(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    131454,       3750]*)
(*NotebookOutlinePosition[    172992,       5028]*)
(*  CellTagsIndexPosition[    170683,       4965]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  "Exploring Computer Mathematics\nwith ",
  StyleBox["TH\[Exists]OREM\[ForAll]",
    FontColor->RGBColor[0, 0, 1]]
}], "Subtitle",
  TextAlignment->Center],

Cell["Tutorial presentation Logic 1, Linz, January 2007", "Subsubtitle",
  TextAlignment->Center,
  FontSlant->"Plain",
  FontVariations->{"CompatibilityType"->0}],

Cell[TextData[{
  StyleBox["Tudor Jebelean and the ",
    FontSlant->"Plain"],
  StyleBox["TH\[Exists]OREM\[ForAll]",
    FontSlant->"Plain",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"CompatibilityType"->0}],
  StyleBox[" ",
    FontSlant->"Plain",
    FontVariations->{"CompatibilityType"->0}],
  StyleBox["Group\nResearch Institute for Symbolic Computation\nUniversity of \
Linz, Austria ",
    FontSlant->"Plain"]
}], "Subsubtitle",
  TextAlignment->Center,
  TextJustification->0,
  CellTags->"Built\[Dash]in (PauleSchorn)"],

Cell["www.theorema.org", "Subsubtitle",
  TextAlignment->Center,
  FontFamily->"Arial",
  FontSlant->"Plain",
  FontVariations->{"CompatibilityType"->0}],

Cell[CellGroupData[{

Cell["Overview of the System", "Section"],

Cell[CellGroupData[{

Cell[TextData[{
  "What is ",
  StyleBox["TH\[Exists]OREM\[ForAll]",
    FontColor->RGBColor[0, 0, 1]],
  " ?"
}], "Subsection"],

Cell[CellGroupData[{

Cell["Init", "Subsubsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< Theorema`\)], "Input"],

Cell[BoxData[
    \("You can specify your personal preferences in a file `Setup.m` in the \
directory (folder) \"Theorema -> User\" in your private Theorema \
directory!"\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \(\(SetOptions[Prove, transformBy \[Rule] ProofSimplifier];\)\)], "Input"],

Cell[BoxData[
    \(\(SetOptions[Prove, 
        TransformerOptions \[Rule] {branches \[Rule] Proved}];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Snapshot", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[\((\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\) + \
\(\((\(0\^+\))\)\^+\))\)]\)], "Input"],

Cell[BoxData[
    \(\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\) + \(\((\(0\^+\))\)\^+\)\
\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<+\>\"", ",", \(any[m, n]\), ",", "\n", "\t", GridBox[{
            {\(m + 0 = m\)},
            {\(m + \(n\^+\) = \(\((m + n)\)\^+\)\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (+)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[\((\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\) + \
\(\((\(0\^+\))\)\^+\))\), using \[Rule] Definition["\<+\>"]]\)], "Input"],

Cell[BoxData[
    \(\(\((\(\((\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\))\)\^+\))\)\^+\
\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{
      StyleBox["Lemma",
        FontWeight->"Bold"], "[", \("\<0+\>", any[m, n], \n\t0 + m = m\), 
      "]"}]], "Input",
  CellTags->"Lemma (0+)"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{
          RowBox[{
            StyleBox["Lemma",
              FontWeight->"Bold"], "[", "\"\<0+\>\"", "]"}], ",", "\n", 
          "\t", \(using \[Rule] \[LeftAngleBracket]Definition["\<+\>"]\
\[RightAngleBracket]\), ",", "\n", "\t", \(by \[Rule] NNEqIndProver\)}], 
        "]"}], ";"}]], "Input",
  CellTags->"Proposition (commutativity of addition)"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-lemma-0-plus.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Goal: Practical Mathematical Work", "Subsubsection"],

Cell["Computing + Solving + Proving", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
Natural-style questions: language of higher-order logic, 2D notation\
\>", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["Natural-style answers (proofs)", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["Still experimental", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Characteristics", "Subsubsection"],

Cell[TextData[{
  StyleBox["One",
    FontSlant->"Italic"],
  " logic and software frame for formal mathematics."
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["Combines automated reasoning with computer algebra. ", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
A multi-method system. (Both general and special simplifiers, solvers, and \
provers in the system.)\
\>", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["An emphasis on \"nice\" input and output.", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
Programmed in Mathematica: platform independent. (However, no \"hidden\" \
knowledge of Mathematica is used!)\
\>", "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}]
}, Closed]],

Cell[CellGroupData[{

Cell["This Talk", "Subsubsection"],

Cell[TextData[StyleBox["Simple examples.",
  FontSlant->"Plain"]], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[StyleBox["User view",
  FontSlant->"Plain"]], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[StyleBox["Underlying methods.",
  FontSlant->"Plain"]], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{71.1875, Inherited}, {Inherited, Inherited}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["System Architecture", "Subsection"],

Cell[CellGroupData[{

Cell["Basic layers: logic language, user interface", "Subsubsection"],

Cell[CellGroupData[{

Cell["logic language: quoting", "Subsubsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[ForAll] \+x P[x]\)], "Input"],

Cell[BoxData[
    RowBox[{"P", "[", 
      StyleBox["x",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None], "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Bullet][\[ForAll] \+x P[x]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      UnderscriptBox["\[ForAll]", 
        RowBox[{
          StyleBox["x",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], " "}]], 
      RowBox[{"P", "[", 
        StyleBox["x",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Bullet][\[ForAll] \+x P[x]] // InputForm\)], "Input"],

Cell["\<\
\[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x]]], \
True, P[\[Bullet]var[x]]]\
\>", "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["user interface", "Subsubsubsection"],

Cell[BoxData[
    \(Proposition["\<label\>", \ contents]\)], "Input"],

Cell[BoxData[
    \(Prove[Proposition["\<label\>"], using \[Rule] Theory["\<theory\>"], 
      by \[Rule] Prover, options\[Ellipsis]]\)], "Input"],

Cell[BoxData[
    \(Compute[\[Ellipsis]]\)], "Input"],

Cell[BoxData[
    \(Solve[\[Ellipsis]]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Engines: proving, computing, solving", "Subsubsection"],

Cell["common trace structure: \"reasoning object\"", "Subsubsubsection"],

Cell["\<\
Implementation: hierarchical structure of packages, loaded as needed\
\>", "Subsubsubsection"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Provers", "Subsection"],

Cell[CellGroupData[{

Cell["Propositional", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<conclusion\>\"", ",", "\n", "\t", GridBox[{
            {\(\((A \[And] B \[And] C)\)\[DoubleLongLeftRightArrow]A\), 
              "\"\<abc\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (conclusion)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<assumptions\>\"", ",", "\n", "\t", GridBox[{
            {\(A\[DoubleLongRightArrow]B\), "\"\<ab\>\""},
            {"C", "\"\<c\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (assumptions)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<conclusion\>"], 
        using \[Rule] Proposition["\<assumptions\>"], 
        by \[Rule] PropositionalProver];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-propositional.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \($TmaProofObject // InputForm\)], "Input"],

Cell["\<\
Theorema`Provers`Common`ProofObject`Private`AndNode[
 Theorema`Provers`Common`ProofObject`Private`ProofInfo[
  \"InitialProofSituation\", 
  \[Bullet]lf[\"Proposition (conclusion): abc\", 
   \[Trademark]Iff[\[Trademark]And[A, B, C], A], \[Bullet]finfo[]], 
  \[Bullet]asml[\[Bullet]lf[\"Proposition (assumptions): ab\", 
    \[Trademark]Implies[A, B], \[Bullet]finfo[\"\"]], 
   \[Bullet]lf[\"Proposition (assumptions): c\", C, \[Bullet]finfo[\"\"]]]], 
 Theorema`Provers`Common`ProofObject`Private`Subgoals[
  Theorema`Provers`Common`ProofObject`Private`AndNode[
   Theorema`Provers`Common`ProofObject`Private`ProofInfo[
    \"ProveEquivalence\", \[Bullet]usedFormulae[
     \"Proposition (conclusion): abc\"], \[Bullet]generatedFormulae[
     \[Bullet]lf[\"1\", A, \[Bullet]finfo[]], \[Bullet]lf[\"2\", \
\[Trademark]And[A, B, C], 
      \[Bullet]finfo[]], \[Bullet]lf[\"3\", \[Trademark]And[A, B, C], \
\[Bullet]finfo[]], 
     \[Bullet]lf[\"4\", A, \[Bullet]finfo[]]]], 
   Theorema`Provers`Common`ProofObject`Private`Subgoals[
    Theorema`Provers`Common`ProofObject`Private`AndNode[
     Theorema`Provers`Common`ProofObject`Private`ProofInfo[
      \"AssumptionIsConjunction\", \[Bullet]usedFormulae[\"2\"], 
      \[Bullet]generatedFormulae[\[Bullet]lf[\"2.1\", A, \[Bullet]finfo[]], 
       \[Bullet]lf[\"2.2\", B, \[Bullet]finfo[]], \[Bullet]lf[\"2.3\", C, 
        \[Bullet]finfo[]]]], 
     Theorema`Provers`Common`ProofObject`Private`Subgoals[
      Theorema`Provers`Common`ProofObject`Private`AndNode[
       Theorema`Provers`Common`ProofObject`Private`ProofInfo[
        \"ConclusionIsAssumption\", \[Bullet]usedFormulae[\"1\", \"2.1\"], 
        \[Bullet]generatedFormulae[]], 
       Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
       Theorema`Provers`Common`ProofObject`Private`MainProofSitu\\
ation[\[Bullet]lf[\"1\", A, \[Bullet]finfo[]], \
\[Bullet]asml[\[Bullet]lf[\"2.1\", A, 
          \[Bullet]finfo[]], \[Bullet]lf[\"2.2\", B, \[Bullet]finfo[]], 
         \[Bullet]lf[\"2.3\", C, \[Bullet]finfo[]], 
         \[Bullet]lf[\"Proposition (assumptions): ab\", 
          \[Trademark]Implies[A, B], \[Bullet]finfo[\"\"]], 
         \[Bullet]lf[\"Proposition (assumptions): c\", C, 
          \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[{{\"PPND\", \
\[Bullet]lkTab[{}]}, 
          {\"ProversHistory\", {PPND}}, {\"LastProver\", PPND}}]], 
       Theorema`Provers`Common`ProofObject`Private`Constraints[
        ], \"proved\"]], Theorema`Provers`Common`ProofObject`Priva\\
te`MainProofSituation[\[Bullet]lf[\"1\", A, \[Bullet]finfo[]], 
      \[Bullet]asml[\[Bullet]lf[\"2\", \[Trademark]And[A, B, C], \
\[Bullet]finfo[]], 
       \[Bullet]lf[\"Proposition (assumptions): ab\", \[Trademark]Implies[A, \
B], 
        \[Bullet]finfo[\"\"]], \[Bullet]lf[\"Proposition (assumptions): c\", \
C, 
        \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[{{\"ProversHistory\", {}}, 
        {\"PPND\", \[Bullet]lkTab[{}]}, {\"LastProver\", PPND}}]], 
     Theorema`Provers`Common`ProofObject`Private`Constraints[], 
     \"proved\"], 
    Theorema`Provers`Common`ProofObject`Private`AndNode[
     Theorema`Provers`Common`ProofObject`Private`ProofInfo[
      \"ModusPonens\", \[Bullet]usedFormulae[\"4\", 
       \"Proposition (assumptions): ab\"], \[Bullet]generatedFormulae[
       \[Bullet]lf[\"5\", B, \[Bullet]finfo[]]]], 
     Theorema`Provers`Common`ProofObject`Private`Subgoals[
      Theorema`Provers`Common`ProofObject`Private`AndNode[
       Theorema`Provers`Common`ProofObject`Private`ProofInfo[
        \"ProveConjunction\", \[Bullet]usedFormulae[\"3\"], 
        \[Bullet]generatedFormulae[\[Bullet]lf[\"3.1\", A, \[Bullet]finfo[]], \

         \[Bullet]lf[\"3.2\", B, \[Bullet]finfo[]], \[Bullet]lf[\"3.3\", C, 
          \[Bullet]finfo[]]]], 
       Theorema`Provers`Common`ProofObject`Private`Subgoals[
        Theorema`Provers`Common`ProofObject`Private`AndNode[
         Theorema`Provers`Common`ProofObject`Private`ProofInfo[
          \"ConclusionIsAssumption\", \[Bullet]usedFormulae[\"3.1\", \"4\"], 
          \[Bullet]generatedFormulae[]], 
         Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
         Theorema`Provers`Common`ProofObject`Private`MainProofSi\\
tuation[\[Bullet]lf[\"3.1\", A, \[Bullet]finfo[]], \[Bullet]asml[\[Bullet]lf[\
\"5\", B, 
            \[Bullet]finfo[]], \[Bullet]lf[\"4\", A, \[Bullet]finfo[]], 
           \[Bullet]lf[\"Proposition (assumptions): c\", C, 
            \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[{{\"PPND\", \
\[Bullet]lkTab[{}]}, 
            {\"ProversHistory\", {PPND, PPND}}, {\"LastProver\", 
             PPND}}]], Theorema`Provers`Common`ProofObject`Priva\\
te`Constraints[], \"proved\"], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[
         Theorema`Provers`Common`ProofObject`Private`ProofInfo[
          \"ConclusionIsAssumption\", \[Bullet]usedFormulae[\"3.2\", \"5\"], 
          \[Bullet]generatedFormulae[]], 
         Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
         Theorema`Provers`Common`ProofObject`Private`MainProofSi\\
tuation[\[Bullet]lf[\"3.2\", B, \[Bullet]finfo[]], \[Bullet]asml[\[Bullet]lf[\
\"5\", B, 
            \[Bullet]finfo[]], \[Bullet]lf[\"4\", A, \[Bullet]finfo[]], 
           \[Bullet]lf[\"Proposition (assumptions): c\", C, 
            \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[{{\"PPND\", \
\[Bullet]lkTab[{}]}, 
            {\"ProversHistory\", {PPND, PPND}}, {\"LastProver\", 
             PPND}}]], Theorema`Provers`Common`ProofObject`Priva\\
te`Constraints[], \"proved\"], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[
         Theorema`Provers`Common`ProofObject`Private`ProofInfo[
          \"ConclusionIsAssumption\", \[Bullet]usedFormulae[\"3.3\", 
           \"Proposition (assumptions): c\"], \[Bullet]generatedFormulae[
           ]], 
         Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
         Theorema`Provers`Common`ProofObject`Private`MainProofSi\\
tuation[\[Bullet]lf[\"3.3\", C, \[Bullet]finfo[]], \[Bullet]asml[\[Bullet]lf[\
\"5\", B, 
            \[Bullet]finfo[]], \[Bullet]lf[\"4\", A, \[Bullet]finfo[]], 
           \[Bullet]lf[\"Proposition (assumptions): c\", C, 
            \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[{{\"PPND\", \
\[Bullet]lkTab[{}]}, 
            {\"ProversHistory\", {PPND, PPND}}, {\"LastProver\", 
             PPND}}]], Theorema`Provers`Common`ProofObject`Priva\\
te`Constraints[], \"proved\"]], 
       Theorema`Provers`Common`ProofObject`Private`MainProofSitu\\
ation[\[Bullet]lf[\"3\", \[Trademark]And[A, B, C], \[Bullet]finfo[]], 
        \[Bullet]asml[\[Bullet]lf[\"5\", B, \[Bullet]finfo[]], \
\[Bullet]lf[\"4\", A, 
          \[Bullet]finfo[]], \[Bullet]lf[\"Proposition (assumptions): c\", C, \

          \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[{{\"PPND\", \
\[Bullet]lkTab[{}]}, 
          {\"ProversHistory\", {PPND}}, {\"LastProver\", PPND}}]], 
       Theorema`Provers`Common`ProofObject`Private`Constraints[
        \[Bullet]sl[]], \"proved\"]], Theorema`Provers`Common`ProofObjec\\
t`Private`MainProofSituation[\[Bullet]lf[\"3\", \[Trademark]And[A, B, C], 
       \[Bullet]finfo[]], \[Bullet]asml[\[Bullet]lf[\"4\", A, \
\[Bullet]finfo[]], 
       \[Bullet]lf[\"Proposition (assumptions): ab\", \[Trademark]Implies[A, \
B], 
        \[Bullet]finfo[\"\"]], \[Bullet]lf[\"Proposition (assumptions): c\", \
C, 
        \[Bullet]finfo[\"\"]]], \[Bullet]lkTab[{{\"ProversHistory\", {}}, 
        {\"PPND\", \[Bullet]lkTab[{}]}, {\"LastProver\", PPND}}]], 
     Theorema`Provers`Common`ProofObject`Private`Constraints[
      \[Bullet]sl[]], \"proved\"]], Theorema`Provers`Common`ProofObject`\\
Private`MainProofSituation[
    \[Bullet]lf[\"Proposition (conclusion): abc\", 
     \[Trademark]Iff[\[Trademark]And[A, B, C], A], \[Bullet]finfo[]], 
    \[Bullet]asml[\[Bullet]lf[\"Proposition (assumptions): ab\", 
      \[Trademark]Implies[A, B], \[Bullet]finfo[\"\"]], 
     \[Bullet]lf[\"Proposition (assumptions): c\", C, \[Bullet]finfo[\"\"]]], \

    \[Bullet]lkTab[{{\"ProversHistory\", {}}, {\"PPND\", \
\[Bullet]lkTab[{}]}}]], 
   Theorema`Provers`Common`ProofObject`Private`Constraints[
    \[Bullet]sl[]], \"proved\"]], 
 Theorema`Provers`Common`ProofObject`Private`Constraints[
  \[Bullet]sl[]], \"proved\"]\
\>", "Output"]
}, Closed]],

Cell[BoxData[
    \(AndNode[\[IndentingNewLine]ProofInfo["\<InitialProofSituation\>", \
\[Bullet]lf["\<Proposition (conclusion): abc\>", \
\[Trademark]Iff[\[Trademark]And[A, B, C], 
            A], \[Bullet]finfo[]], \[Bullet]asml[\[Bullet]lf["\<Proposition \
(assumptions): ab\>", \[Trademark]Implies[A, 
              B], \[Bullet]finfo["\<\>"]], \[Bullet]lf["\<Proposition \
(assumptions): c\>", 
            C, \[Bullet]finfo["\<\>"]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<ProveEquivalence\>\
", \[Bullet]usedFormulae["\<Proposition (conclusion): abc\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<1\>", 
                A, \[Bullet]finfo[]], \[Bullet]lf["\<2\>", \[Trademark]And[A, 
                  B, C], \[Bullet]finfo[]], \[Bullet]lf["\<3\>", \
\[Trademark]And[A, B, C], \[Bullet]finfo[]], \[Bullet]lf["\<4\>", 
                A, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
AssumptionIsConjunction\>", \[Bullet]usedFormulae["\<2\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<2.1\>", 
                    A, \[Bullet]finfo[]], \[Bullet]lf["\<2.2\>", 
                    B, \[Bullet]finfo[]], \[Bullet]lf["\<2.3\>", 
                    C, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
ConclusionIsAssumption\>", \[Bullet]usedFormulae["\<1\>", "\<2.1\>"], \
\[Bullet]generatedFormulae[]], \[IndentingNewLine]Subgoals[], \
\[IndentingNewLine]"\<proved\>"]], \[IndentingNewLine]"\<proved\>"], \
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<ModusPonens\>", \
\[Bullet]usedFormulae["\<4\>", "\<Proposition (assumptions): ab\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<5\>", 
                    B, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<ProveConjunction\>\
", \[Bullet]usedFormulae["\<3\>"], \
\[Bullet]generatedFormulae[\[Bullet]lf["\<3.1\>", 
                        A, \[Bullet]finfo[]], \[Bullet]lf["\<3.2\>", 
                        B, \[Bullet]finfo[]], \[Bullet]lf["\<3.3\>", 
                        
                        C, \[Bullet]finfo[]]]], \[IndentingNewLine]Subgoals[\
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
ConclusionIsAssumption\>", \[Bullet]usedFormulae["\<3.1\>", "\<4\>"], \
\[Bullet]generatedFormulae[]], \[IndentingNewLine]Subgoals[], \
\[IndentingNewLine]"\<proved\>"], \[IndentingNewLine]AndNode[\
\[IndentingNewLine]ProofInfo["\<ConclusionIsAssumption\>", \
\[Bullet]usedFormulae["\<3.2\>", "\<5\>"], \[Bullet]generatedFormulae[]], \
\[IndentingNewLine]Subgoals[], \[IndentingNewLine]"\<proved\>"], \
\[IndentingNewLine]AndNode[\[IndentingNewLine]ProofInfo["\<\
ConclusionIsAssumption\>", \[Bullet]usedFormulae["\<3.3\>", "\<Proposition \
(assumptions): c\>"], \[Bullet]generatedFormulae[]], \
\[IndentingNewLine]Subgoals[], \[IndentingNewLine]"\<proved\>"]], \
\[IndentingNewLine]"\<proved\>"]], \[IndentingNewLine]"\<proved\>"]], \
\[IndentingNewLine]"\<proved\>"]], \[IndentingNewLine]"\<proved\>"]\)], \
"Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Prover\)\)\(\ \)\)\
\),
          ButtonData:>{"Prover-propositional.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[TextData[{
  "Demo file for further proofs in propositional logic: ",
  ButtonBox["Propositional-Logic-Prover.nb",
    ButtonData:>{"Propositional-Logic-Prover.nb", None},
    ButtonStyle->"Hyperlink"]
}], "Subsubsubsection"]
}, Closed]],

Cell[CellGroupData[{

Cell["Predicate Logic", "Subsubsection"],

Cell[BoxData[
    \(SetGlobals[Prover \[Rule] PredicateProver]\)], "Input"],

Cell[BoxData[
    RowBox[{"Theorem", "[", 
      RowBox[{"\"\<Exists Distributivity\>\"", ",", "\n", "\t", GridBox[{
            {\(\((\[Exists] \+y\((P[y] \[Implies] 
                        Q)\))\) \[DoubleLeftRightArrow] \((\((\[ForAll] \+x P[
                          x])\) \[Implies] Q)\)\), "\"\<\[Exists]d\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Theorem (Exists Distributivity)"],

Cell[BoxData[
    \(\(Prove[
        Theorem["\<Exists Distributivity\>"], \
\[IndentingNewLine]ProverOptions \[Rule] {PNDLevel \[Rule] 0}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-ex-dis-1.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[BoxData[
    \(\(Prove[
        Theorem["\<Exists Distributivity\>"], \
\[IndentingNewLine]ProverOptions \[Rule] {PNDLevel \[Rule] 2, 
            BackChaining \[Rule] 
              True}, \[IndentingNewLine]TransformerOptions \[Rule] {branches \
\[Rule] Proved}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-ex-dis-2.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[BoxData[
    \(\(Prove[
        Theorem["\<Exists Distributivity\>"], \
\[IndentingNewLine]ProverOptions \[Rule] {PNDLevel \[Rule] 2, 
            BackChaining \[Rule] 
              True}, \[IndentingNewLine]TransformerOptions \[Rule] {branches \
\[Rule] {Proved, Pending, Failed, Disproved}}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-ex-dis-3.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[TextData[{
  "Demo file for further proofs in predicate logic: ",
  ButtonBox["Predicate-Logic-Prover.nb",
    ButtonData:>{"Predicate-Logic-Prover.nb", None},
    ButtonStyle->"Hyperlink"]
}], "Subsubsubsection"]
}, Closed]],

Cell[CellGroupData[{

Cell["Equational Reasoning", "Subsubsection"],

Cell[CellGroupData[{

Cell["Multiplication in Boolean Algebra is Idempotent", "Subsubsubsection"],

Cell[BoxData[
    \(SetGlobals[Prover \[Rule] EquationalProver]\)], "Input"],

Cell[BoxData[
    RowBox[{
      StyleBox["Axiom",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<Boolean algebra\>\"", ",", \(any[x, y, z]\), ",", 
        "\[IndentingNewLine]", GridBox[{
            {\(x + 0\  = \ x\), "\"\<1\>\""},
            {\(x + \((\(-x\))\)\  = \ 1\), "\"\<2\>\""},
            {\(x + y = \ y + x\), "\"\<3\>\""},
            {\(x*y\  = \ y*x\), "\"\<4\>\""},
            {\(x + \((y*z)\) = \((x + y)\)*\((x + z)\)\), "\"\<5\>\""},
            {\(x*\((y + z)\) = \((x*y)\) + \((x*z)\)\), "\"\<6\>\""},
            {\(x*1 = x\), "\"\<7\>\""},
            {\(x*\((\(-x\))\)\  = \ 0\), "\"\<8\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Axiom (Boolean algebra)"],

Cell[BoxData[
    \(Theorem["\<Goal\>", \ \[ForAll] \+u\((u*u\  = \ u)\)]\)], "Input",
  CellTags->"Theorem (Goal)"],

Cell[BoxData[
    \(\(Prove[Theorem["\<Goal\>"], \ 
        using\  \[Rule] \ Axiom["\<Boolean algebra\>"]];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-eq-bool-alg.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Combinatory logic problem formulated in higher-order", \
"Subsubsubsection"],

Cell[BoxData[
    \(Assumption["\<1\>", \ any[x], \ M[x]\  = \ x[x]]\)], "Input",
  CellTags->"Assumption (1)"],

Cell[BoxData[
    \(Assumption["\<2\>", \ 
      any[x, y, z], \ \(\(Q[x]\)[y]\)[z] = y[x[z]]]\)], "Input",
  CellTags->"Assumption (2)"],

Cell[BoxData[
    \(Proposition["\<Goal\>", \ \[Exists] \+y\((y = \ 
            combinator[y])\)]\)], "Input",
  CellTags->"Proposition (Goal)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<Goal\>"], \ 
        using\  -> \ {Assumption["\<1\>"], \ 
            Assumption["\<2\>"]}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-eq-combinator.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Proving with sequence variables", "Subsubsubsection"],

Cell["Example with completion", "Text"],

Cell[BoxData[
    RowBox[{
      StyleBox["Axiom",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<Sequence transformation\>\"", ",", \(any[x, y, z, S\&_]\), ",", 
        "\[IndentingNewLine]", GridBox[{
            {\(f[a, b, S\&_] = f[S\&_]\), "\"\<1\>\""},
            {\(f[x, y, z, S\&_] = f[z, y, x, S\&_]\), "\"\<2\>\""},
            {\(f[x, y, z, S\&_] = f[y, z, x, S\&_]\), "\"\<3\>\""},
            {\(f[x, y, S\&_] = f[y, x, S\&_]\), "\"\<4\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Axiom (Sequence transformation)"],

Cell[BoxData[
    \(Proposition["\<Goal\>", \[IndentingNewLine]\[ForAll] \+\(x, S\&_\)\(\
\[Exists] \+\(T\&_\)\(\[ForAll] \+z\((f[x, b, a, a, b, a, b, z, S\&_] = 
                f[z, T\&_])\)\)\)]\)], "Input",
  CellTags->"Proposition (Goal)"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<Goal\>"]\), ",", 
          RowBox[{"using", "\[Rule]", " ", 
            RowBox[{
              StyleBox["Axiom",
                FontWeight->"Bold"], "[", "\"\<Sequence transformation\>\"", 
              "]"}]}]}], "]"}], ";"}]], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-eq-seq.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Domain Specific: Sets, Natura Numbers, Limits, Tuples", "Subsubsection"],

Cell["Are presented in more detail later.", "SmallText"]
}, Closed]],

Cell[CellGroupData[{

Cell["Using Special Engines", "Subsubsection"],

Cell[CellGroupData[{

Cell["Booleans of Equalities by Groebner Bases", "Subsubsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Formula",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<Test\>\"", ",", \(any[x, y]\), ",", "\n", "\t", GridBox[{
            {\(\((\ \ \((\(x\^2\) y - 3  x\ )\) \[NotEqual] 
                    0)\) \[Or] \((\((x\ y + x + y)\) \[NotEqual] 
                    0)\) \[Or] \n\t\t\((\((\((\(x\^2\) y + 3  x = 
                            0)\) \[Or] \((\((\(-2\)\ x\^2 + \(-7\)\ x\ y + 
                                x\^2\ y + 
                                x\^3\ y + \(-2\)\ y\^2 + \(-2\)\ x\ y\^2 + 
                                2\ x\^2\ y\^2)\) = 
                            0)\))\)\n\t \[And] \((\((x\^2 + \(-x\)\ y + 
                            x\^2\ y + \(-2\)\ y\^2 + \(-2\)\ x\ y\^2)\) = 
                        0)\))\)\), \(\(\ \ \ \ \ \ \ \ \ \ \)\("\<B1\>"\)\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Formula (Test)"],

Cell[BoxData[
    \(\(Prove[Formula["\<Test\>"], 
        by \[Rule] GroebnerBasesProver];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-groebner-bases.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Combinatorial Identities by Zeilberger / Paule", "Subsubsubsection",
  CellTags->{"Equational Properties of Addition", "Test"}],

Cell[TextData[StyleBox["Init",
  FontWeight->"Bold"]], "SmallText"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Needs["\<Theorema`Provers`PauleSchorn`Simplifier`\>"]\)], "Input"],

Cell[BoxData[
    \("Fast Zeilberger by Peter Paule and Markus Schorn. (V 2.4test)"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("Systembreaker = "\[InvisibleSpace]ENullspace\),
      SequenceForm[ "Systembreaker = ", ENullspace],
      Editable->False]], "Print"]
}, Open  ]],

Cell[BoxData[
    RowBox[{
      StyleBox["Built\[Dash]in",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<PauleSchorn\>\"", ",", "\n", "\t", GridBox[{
            {\(Built\[Dash]in["\<Quantifiers\>"]\)},
            {\(Built\[Dash]in["\<Operators\>"]\)},
            {\(Built\[Dash]in["\<Numbers\>"]\)},
            {\(Built\[Dash]in["\<Number Domains\>"]\)},
            {\(Built\[Dash]in["\<Forward Difference\>"]\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Built\[Dash]in (PauleSchorn)"],

Cell[BoxData[
    \(Use[Built\[Dash]in["\<PauleSchorn\>"]]\)], "Input"],

Cell[BoxData[
    \(FormatVariables[FontColor \[Rule] RGBColor[0, 0, 0.8], 
      FontWeight \[Rule] "\<Plain\>", 
      FontSlant \[Rule] "\<Italic\>"]\)], "Input"],

Cell[BoxData[
    \(FormatArbitraryButFixedConstants[FontColor \[Rule] RGBColor[0, 0.5, 0], 
      FontWeight \[Rule] "\<Plain\>", 
      FontSlant \[Rule] "\<Plain\>"]\)], "Input"],

Cell[TextData[StyleBox["A simple example:",
  FontWeight->"Bold"]], "SmallText"],

Cell[BoxData[
    RowBox[{
      StyleBox["Formula",
        FontWeight->"Bold"], 
      "[", \("\<Gauss\>", \[Sum]\+\(k = 0, \[Ellipsis], n\)k\), 
      "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Formula (Gauss)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[Formula["\<Gauss\>"], 
      by \[Rule] PauleSchorn\[Dash]Telescope]\)], "Input"],

Cell[BoxData[
    \("If `n' is a natural number, then:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        UnderscriptBox["\[Sum]", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], "=", "0"}], ",", "\[Ellipsis]", ",", 
            "n"}]], 
        StyleBox["k",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 0.8],
          Background->None]}], "=", \(1\/2\ n\ \((1 + n)\)\)}]], "Print"],

Cell[BoxData[
    \(1\/2\ n\ \((1 + n)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Prove[Formula["\<Gauss\>"], by \[Rule] PauleSchorn\[Dash]Telescope, 
        built\[Dash]in \[Rule] 
          Built\[Dash]in["\<PauleSchorn\>"]];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Theorem:\\n\"\>", "\[InvisibleSpace]", 
        InterpretationBox[
          
          RowBox[{"\<\"If \"\>", "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Plain",
              FontColor->RGBColor[0, 0.500008, 0],
              Background->None], "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", "\<\" is a natural number, then:\"\>"}],
          SequenceForm[ "If ", " ", 
            \[Bullet]fix[ n], " ", " is a natural number, then:"],
          Editable->False], "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            UnderscriptBox["\[Sum]", 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "=", "0"}], ",", "\[Ellipsis]", ",", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]}]], 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 0.8],
              Background->None]}], "=", 
          RowBox[{\(1\/2\), " ", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Plain",
              FontColor->RGBColor[0, 0.500008, 0],
              Background->None], " ", 
            RowBox[{"(", 
              RowBox[{"1", "+", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]}], ")"}]}]}]}],
      SequenceForm[ "Theorem:\n", 
        SequenceForm[ "If ", " ", 
          \[Bullet]fix[ n], " ", " is a natural number, then:"], "\n", 
        \[Trademark]Equal[ 
          \[Trademark]SumOf[ 
            \[Bullet]range[ 
              \[Bullet]integerRange[ 
                \[Bullet]var[ k], 0, 
                \[Bullet]fix[ n]]], True, 
            \[Bullet]var[ k]], 
          Times[ 
            Rational[ 1, 2], 
            \[Bullet]fix[ n], 
            Plus[ 1, 
              \[Bullet]fix[ n]]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Proof:\\n\"\>", "\[InvisibleSpace]", "\<\"Let \"\>", 
        "\[InvisibleSpace]", 
        SubscriptBox[
          StyleBox["\[CapitalDelta]",
            FontColor->RGBColor[0.549996, 0, 0.8]], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], 
        "\[InvisibleSpace]", "\<\" denote the forward difference operator in \
\"\>", "\[InvisibleSpace]", 
        StyleBox["k",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 0.8],
          Background->None], "\[InvisibleSpace]", "\<\" then\\n\"\>", 
        "\[InvisibleSpace]", "\<\"the Theorem follows from summing the \
equation\\n\"\>", "\[InvisibleSpace]", 
        RowBox[{
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["\[CapitalDelta]",
                FontColor->RGBColor[0.549996, 0, 0.8]], 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]], "[", 
            RowBox[{\(1\/2\), " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}], " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]}], "]"}]}], 
        "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", "\<\"over the range \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 0.8],
              Background->None], "=", "0"}], ",", "\[Ellipsis]", ",", 
          StyleBox["n",
            FontWeight->"Plain",
            FontSlant->"Plain",
            FontColor->RGBColor[0, 0.500008, 0],
            Background->None]}], "\[InvisibleSpace]", "\<\".\"\>"}],
      SequenceForm[ "Proof:\n", "Let ", 
        \[Trademark]\[CapitalDelta][ 
          \[Bullet]var[ k]], " denote the forward difference operator in ", 
        \[Bullet]var[ k], " then\n", 
        "the Theorem follows from summing the equation\n", 
        \[Trademark]Equal[ 
          \[Bullet]var[ k], 
          \[Trademark]\[CapitalDelta][ 
            \[Bullet]var[ k], 
            Times[ 
              Rational[ 1, 2], 
              Plus[ -1, 
                \[Bullet]var[ k]], 
              \[Bullet]var[ k]]]], "\n", "over the range ", 
        \[Bullet]displayAsRange[ 
          \[Bullet]range[ 
            \[Bullet]integerRange[ 
              \[Bullet]var[ k], 0, 
              \[Bullet]fix[ n]]]], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"The equation is routinely verifiable\\n\"\>", 
        "\[InvisibleSpace]", "\<\"by dividing the right\[Dash]hand side by \
the left\[Dash]hand side\\n\"\>", 
        "\[InvisibleSpace]", "\<\"and simplifying the resulting rational \
function\\n\"\>", "\[InvisibleSpace]", 
        FractionBox[
          RowBox[{
            RowBox[{\(1\/2\), " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}]}], "-", 
            RowBox[{\(1\/2\), " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}], " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]}]}], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], "\[InvisibleSpace]", "\<\"\\nto 1.\"\>"}],
      SequenceForm[ 
      "The equation is routinely verifiable\n", 
        "by dividing the right\[Dash]hand side by the left\[Dash]hand side\n",
         "and simplifying the resulting rational function\n", 
        \[Trademark]Divide[ 
          \[Trademark]Minus[ 
            Times[ 
              Rational[ 1, 2], 
              \[Bullet]var[ k], 
              Plus[ 1, 
                \[Bullet]var[ k]]], 
            Times[ 
              Rational[ 1, 2], 
              Plus[ -1, 
                \[Bullet]var[ k]], 
              \[Bullet]var[ k]]], 
          \[Bullet]var[ k]], "\nto 1."],
      Editable->False]], "Print"]
}, Open  ]],

Cell["\<\
The simplification can be done by called Mathematica's simplifier:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Simplify", "[", 
      RowBox[{
        FractionBox[
          RowBox[{
            RowBox[{\(1\/2\), " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}]}], "-", 
            RowBox[{\(1\/2\), " ", 
              RowBox[{"(", 
                RowBox[{\((\(-1\))\), "+", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}], ")"}], " ", 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]}]}], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], 
        ",", \(by -> ExternalSimplifier[System`Simplify]\)}], "]"}]], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[TextData[{
  StyleBox["A complex example",
    FontWeight->"Bold"],
  ", wich shows the mathematical power of the Gosper-Zeilberger-Paule-prover: \
The problem of constructing a closed form for the input expression in this \
example was an open problem for many years. The solution was given in P. \
Paule,  ",
  StyleBox["Computer-Solution of Problem 94-2,",
    FontSlant->"Italic"],
  " SIAM REVIEW Vol.37 (1995), 105-106."
}], "Text"],

Cell[BoxData[
    RowBox[{
      StyleBox["Formula",
        FontWeight->"Bold"], 
      "[", \("\<SIAM series\>", \n\t\[Sum]\+\(k = 1, \[Ellipsis], \
n\)\(\(\((\(-1\))\)\^\(k + 1\)\) \((4\ k + 1)\) \(\((2\ k)\)!\)\)\/\(\(2\^k\) \
\((2\ k - 1)\) \(\((k + 1)\)!\) \(2\^k\) \(k!\)\)\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Formula (SIAM series)"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[Formula["\<SIAM series\>"], 
      by \[Rule] PauleSchorn\[Dash]Telescope]\)], "Input"],

Cell[BoxData[
    \("If `-1 + n' is a natural number, then:"\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        UnderscriptBox["\[Sum]", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None], "=", "1"}], ",", "\[Ellipsis]", ",", 
            "n"}]], 
        RowBox[{"(", 
          FractionBox[
            RowBox[{
              SuperscriptBox[\((\(-1\))\), 
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "+", "1"}]], "*", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"4", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], "+", "1"}], ")"}], "*", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}]}], 
            RowBox[{
              SuperscriptBox["2", 
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None]], "*", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"2", "*", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], "-", "1"}], ")"}], "*", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None], "+", "1"}], ")"}], "!"}], "*", 
              SuperscriptBox["2", 
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None]], "*", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}]}]], ")"}]}], 
      "=", \(1 + \((\(-1\))\) \(\(-1\)\^n\) \(2\^\(\(-2\)\ n\)\) \
\(\(n!\)\^\(-1\)\) \(\((2\ n)\)!\) \(\((1 + n)\)!\)\^\(-1\)\)}]], "Print"],

Cell[BoxData[
    \(1 + \((\(-1\))\) \(\(-1\)\^n\) \(2\^\(\(-2\)\ n\)\) \(\(n!\)\^\(-1\)\) \
\(\((2\ n)\)!\) \(\((1 + n)\)!\)\^\(-1\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Prove[Formula["\<SIAM series\>"], 
        by \[Rule] PauleSchorn\[Dash]Telescope, 
        built\[Dash]in \[Rule] 
          Built\[Dash]in["\<PauleSchorn\>"]];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Theorem:\\n\"\>", "\[InvisibleSpace]", 
        InterpretationBox[
          
          RowBox[{"\<\"If \"\>", "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", 
            RowBox[{\(-1\), "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Plain",
                FontColor->RGBColor[0, 0.500008, 0],
                Background->None]}], "\[InvisibleSpace]", "\<\" \"\>", 
            "\[InvisibleSpace]", "\<\" is a natural number, then:\"\>"}],
          SequenceForm[ "If ", " ", 
            Plus[ -1, 
              \[Bullet]fix[ n]], " ", " is a natural number, then:"],
          Editable->False], "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            UnderscriptBox["\[Sum]", 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "=", "1"}], ",", "\[Ellipsis]", ",", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]}]], 
            RowBox[{"(", 
              FractionBox[
                RowBox[{
                  RowBox[{"-", 
                    SuperscriptBox[\(-1\), 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]]}], " ", 
                  SuperscriptBox["2", 
                    RowBox[{\(-2\), " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]], " ", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{"2", " ", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}], ")"}], "!"}], " ", 
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      RowBox[{"4", " ", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}]}], ")"}]}], 
                RowBox[{
                  RowBox[{
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None], "!"}], " ", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{"1", "+", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}], ")"}], "!"}], " ", 
                  RowBox[{"(", 
                    RowBox[{\(-1\), "+", 
                      RowBox[{"2", " ", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}]}], ")"}]}]], ")"}]}], "=", 
          RowBox[{"1", "+", 
            RowBox[{\((\(-1\))\), 
              SuperscriptBox[\(-1\), 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Plain",
                  FontColor->RGBColor[0, 0.500008, 0],
                  Background->None]], 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Plain",
                    FontColor->RGBColor[0, 0.500008, 0],
                    Background->None]}]], 
              SuperscriptBox[
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Plain",
                    FontColor->RGBColor[0, 0.500008, 0],
                    Background->None], "!"}], \(-1\)], 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Plain",
                      FontColor->RGBColor[0, 0.500008, 0],
                      Background->None]}], ")"}], "!"}], 
              SuperscriptBox[
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Plain",
                        FontColor->RGBColor[0, 0.500008, 0],
                        Background->None]}], ")"}], "!"}], \(-1\)]}]}]}]}],
      SequenceForm[ "Theorem:\n", 
        SequenceForm[ "If ", " ", 
          Plus[ -1, 
            \[Bullet]fix[ n]], " ", " is a natural number, then:"], "\n", 
        \[Trademark]Equal[ 
          \[Trademark]SumOf[ 
            \[Bullet]range[ 
              \[Bullet]integerRange[ 
                \[Bullet]var[ k], 1, 
                \[Bullet]fix[ n]]], True, 
            Times[ -1, 
              Power[ -1, 
                \[Bullet]var[ k]], 
              Power[ 2, 
                Times[ -2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]var[ k]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 1, 
                Times[ 4, 
                  \[Bullet]var[ k]]]]], 
          Plus[ 1, 
            Times[ -1, 
              Power[ -1, 
                \[Bullet]fix[ n]], 
              Power[ 2, 
                Times[ -2, 
                  \[Bullet]fix[ n]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]fix[ n]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]fix[ n]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]fix[ n]]], -1]]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"Proof:\\n\"\>", "\[InvisibleSpace]", "\<\"Let \"\>", 
        "\[InvisibleSpace]", 
        SubscriptBox[
          StyleBox["\[CapitalDelta]",
            FontColor->RGBColor[0.549996, 0, 0.8]], 
          StyleBox["k",
            FontWeight->"Plain",
            FontSlant->"Italic",
            FontColor->RGBColor[0, 0, 0.8],
            Background->None]], 
        "\[InvisibleSpace]", "\<\" denote the forward difference operator in \
\"\>", "\[InvisibleSpace]", 
        StyleBox["k",
          FontWeight->"Plain",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 0.8],
          Background->None], "\[InvisibleSpace]", "\<\" then\\n\"\>", 
        "\[InvisibleSpace]", "\<\"the Theorem follows from summing the \
equation\\n\"\>", "\[InvisibleSpace]", 
        RowBox[{
          FractionBox[
            RowBox[{
              RowBox[{"-", 
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]]}], " ", 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}]], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  RowBox[{"4", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}], 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}]], "=", 
          RowBox[{
            SubscriptBox[
              StyleBox["\[CapitalDelta]",
                FontColor->RGBColor[0.549996, 0, 0.8]], 
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 0.8],
                Background->None]], "[", 
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\((\(-2\))\), 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\(-1\), "+", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}], ")"}]}]], "]"}]}], 
        "\[InvisibleSpace]", "\<\"\\n\"\>", 
        "\[InvisibleSpace]", "\<\"over the range \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 0.8],
              Background->None], "=", "1"}], ",", "\[Ellipsis]", ",", 
          StyleBox["n",
            FontWeight->"Plain",
            FontSlant->"Plain",
            FontColor->RGBColor[0, 0.500008, 0],
            Background->None]}], "\[InvisibleSpace]", "\<\".\"\>"}],
      SequenceForm[ "Proof:\n", "Let ", 
        \[Trademark]\[CapitalDelta][ 
          \[Bullet]var[ k]], " denote the forward difference operator in ", 
        \[Bullet]var[ k], " then\n", 
        "the Theorem follows from summing the equation\n", 
        \[Trademark]Equal[ 
          Times[ -1, 
            Power[ -1, 
              \[Bullet]var[ k]], 
            Power[ 2, 
              Times[ -2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                \[Bullet]var[ k]], -1], 
            Factorial[ 
              Times[ 2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                Plus[ 1, 
                  \[Bullet]var[ k]]], -1], 
            Power[ 
              Plus[ -1, 
                Times[ 2, 
                  \[Bullet]var[ k]]], -1], 
            Plus[ 1, 
              Times[ 4, 
                \[Bullet]var[ k]]]], 
          \[Trademark]\[CapitalDelta][ 
            \[Bullet]var[ k], 
            Times[ 
              Power[ -1, 
                \[Bullet]var[ k]], 
              Power[ 2, 
                Plus[ 1, 
                  Times[ -2, 
                    \[Bullet]var[ k]]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]var[ k]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 1, 
                \[Bullet]var[ k]], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    \[Bullet]var[ k]]], -1]]]], "\n", "over the range ", 
        \[Bullet]displayAsRange[ 
          \[Bullet]range[ 
            \[Bullet]integerRange[ 
              \[Bullet]var[ k], 1, 
              \[Bullet]fix[ n]]]], "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"The equation is routinely verifiable\\n\"\>", 
        "\[InvisibleSpace]", "\<\"by dividing the right\[Dash]hand side by \
the left\[Dash]hand side\\n\"\>", 
        "\[InvisibleSpace]", "\<\"and simplifying the resulting rational \
function\\n\"\>", "\[InvisibleSpace]", 
        FractionBox[
          RowBox[{
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\((\(-2\))\), 
                      RowBox[{"1", "+", 
                        StyleBox["k",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 0.8],
                          Background->None]}]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"2", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\(-1\), "+", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}]}], ")"}]}]], "-", 
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\((\(-2\))\), 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\(-1\), "+", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}], ")"}]}]]}], 
          FractionBox[
            RowBox[{
              RowBox[{"-", 
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]]}], " ", 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}]], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  RowBox[{"4", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}], 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{\(-1\), "+", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}]]], 
        "\[InvisibleSpace]", "\<\"\\nto 1.\"\>"}],
      SequenceForm[ 
      "The equation is routinely verifiable\n", 
        "by dividing the right\[Dash]hand side by the left\[Dash]hand side\n",
         "and simplifying the resulting rational function\n", 
        \[Trademark]Divide[ 
          \[Trademark]Minus[ 
            Times[ 
              Power[ -1, 
                Plus[ 1, 
                  \[Bullet]var[ k]]], 
              Power[ 2, 
                Plus[ 1, 
                  Times[ -2, 
                    Plus[ 1, 
                      \[Bullet]var[ k]]]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Factorial[ 
                Times[ 2, 
                  Plus[ 1, 
                    \[Bullet]var[ k]]]], 
              Power[ 
                Factorial[ 
                  Plus[ 2, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 2, 
                \[Bullet]var[ k]], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    Plus[ 1, 
                      \[Bullet]var[ k]]]], -1]], 
            Times[ 
              Power[ -1, 
                \[Bullet]var[ k]], 
              Power[ 2, 
                Plus[ 1, 
                  Times[ -2, 
                    \[Bullet]var[ k]]]], 
              Power[ 
                Factorial[ 
                  \[Bullet]var[ k]], -1], 
              Factorial[ 
                Times[ 2, 
                  \[Bullet]var[ k]]], 
              Power[ 
                Factorial[ 
                  Plus[ 1, 
                    \[Bullet]var[ k]]], -1], 
              Plus[ 1, 
                \[Bullet]var[ k]], 
              Power[ 
                Plus[ -1, 
                  Times[ 2, 
                    \[Bullet]var[ k]]], -1]]], 
          Times[ -1, 
            Power[ -1, 
              \[Bullet]var[ k]], 
            Power[ 2, 
              Times[ -2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                \[Bullet]var[ k]], -1], 
            Factorial[ 
              Times[ 2, 
                \[Bullet]var[ k]]], 
            Power[ 
              Factorial[ 
                Plus[ 1, 
                  \[Bullet]var[ k]]], -1], 
            Power[ 
              Plus[ -1, 
                Times[ 2, 
                  \[Bullet]var[ k]]], -1], 
            Plus[ 1, 
              Times[ 4, 
                \[Bullet]var[ k]]]]], "\nto 1."],
      Editable->False]], "Print"]
}, Open  ]],

Cell[TextData[{
  "Again, the simplification can be accomplished by calling ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s simplifier:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Simplify", "[", 
      RowBox[{
        FractionBox[
          RowBox[{
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\(-2\), " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"2", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\((\(-1\))\), "+", 
                    RowBox[{"2", " ", 
                      RowBox[{"(", 
                        RowBox[{"1", "+", 
                          StyleBox["k",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 0.8],
                            Background->None]}], ")"}]}]}], ")"}]}]], "-", 
            FractionBox[
              RowBox[{
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]], " ", 
                SuperscriptBox["2", 
                  RowBox[{"1", "+", 
                    RowBox[{\(-2\), " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}]], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}]}], 
              RowBox[{
                RowBox[{
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None], "!"}], " ", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{"1", "+", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}], ")"}], "!"}], " ", 
                RowBox[{"(", 
                  RowBox[{\((\(-1\))\), "+", 
                    RowBox[{"2", " ", 
                      StyleBox["k",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 0.8],
                        Background->None]}]}], ")"}]}]]}], 
          FractionBox[
            RowBox[{
              RowBox[{"-", 
                SuperscriptBox[\(-1\), 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]]}], " ", 
              SuperscriptBox["2", 
                RowBox[{\(-2\), " ", 
                  StyleBox["k",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 0.8],
                    Background->None]}]], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{"1", "+", 
                  RowBox[{"4", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}], 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 0.8],
                  Background->None], "!"}], " ", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{"1", "+", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}], ")"}], "!"}], " ", 
              RowBox[{"(", 
                RowBox[{\((\(-1\))\), "+", 
                  RowBox[{"2", " ", 
                    StyleBox["k",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 0.8],
                      Background->None]}]}], ")"}]}]]], 
        ",", \(by -> ExternalSimplifier[System`FullSimplify]\)}], 
      "]"}]], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(FormatVariables[];\)\), "\n", 
    \(\(FormatArbitraryButFixedConstants[];\)\), "\n", 
    \(\(Use[];\)\)}], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Using External Provers", "Subsubsection"],

Cell[BoxData[
    \(Needs["\<Theorema`Provers`UserProvers`External`\>"]\)], "Input"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<Equal Transitivity\>\"", ",", "\n", "\t", GridBox[{
            {\(\[ForAll] \+\(x, y, z\)\((\((\((x = y)\)\  \[And] \ \((y = 
                            z)\))\)\[DoubleLongRightArrow]\ \((x = z)\))\)\), 
              "\"\<==\[Implies]=\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Proposition (Equal Transitivity)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<Equal Transitivity\>"], 
        by \[Rule] Otter];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-otter.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Computing within ",
  StyleBox["Theorema",
    FontSlant->"Italic"],
  " "
}], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[{\ \(i\)\( | \+\(i \[Element] {1, 2, 3}\)\)}]\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        StyleBox["i",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], 
        UnderscriptBox["\[VerticalSeparator]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", \({1, 2, 3}\)}]]}], 
      "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Use[\[LeftAngleBracket]Built\[Dash]in["\<Quantifiers\>"], 
        Built\[Dash]in["\<Connectives\>"], Built\[Dash]in["\<Numbers\>"], 
        Built\[Dash]in["\<Tuples\>"], 
        Built\[Dash]in["\<Sets\>"]\[RightAngleBracket]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Compute[{\ \(i\)\( | \+\(i \[Element] {1, 2, 3}\)\)}]\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(ComputationalSession[]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({\ \(i\)\( | \+\(i \[Element] {1, 2, 3}\)\)}\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({\ \((2\ i)\)\( | \+\(i = 1, \[Ellipsis], 3\)\)}\)], "Input",
  CellTags->"sets"],

Cell[BoxData[
    \({2, 4, 6}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({i\( | \+\(i = 1, \[Ellipsis], 20\)\)is\[Dash]prime[i]}\)], "Input"],

Cell[BoxData[
    \({2, 3, 5, 7, 11, 13, 17, 19}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({2, 3, 1, 2, 3} = {1, 2, 3, 3, 3}\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({2, 3, 1, 2, 3}\)], "Input"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({1, 2, 3, 3, 3}\)], "Input"],

Cell[BoxData[
    \({1, 2, 3}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({1, 2, 1, 3} = {2, 1, 4, 3}\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(2 \[Element] {2, 1, 2, 4}\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{\(any[is\[Dash]set[A, B]]\), "\[Colon]", "\n", "\t", GridBox[{
          {\(A\[CircleMinus]B := {\ 
                x\( | \+\(x \[Element] A\)\)\((x \[NotElement] B)\)}\)},
          {\(A \[SubsetEqual] 
                B := \[ForAll] \+\(x \[Element] A\)x \[Element] B\)}
          },
        ColumnAlignments->{Left}]}]], "Input",
  CellTags->"Line_71"],

Cell[CellGroupData[{

Cell[BoxData[
    \({2, 3, 1, 3}\[CircleMinus]{3, 5}\)], "Input"],

Cell[BoxData[
    \({1, 2}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftAngleBracket]2, 3, 1, 3\[RightAngleBracket]\[CircleMinus]{3, 
        5}\)], "Input"],

Cell[BoxData[
    \(\[LeftAngleBracket]2, 3, 1, 3\[RightAngleBracket]\[CircleMinus]{3, 
        5}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(2\[CircleMinus]3\)], "Input"],

Cell[BoxData[
    \(2\[CircleMinus]3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({3, 2, 5} \[SubsetEqual] {1, 2, 3, 4, 5}\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]set[{2, 3, 2}]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]set[{2, 3}]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]tuple[{2, 3, 2}]\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(is\[Dash]tuple[\[LeftAngleBracket]2, 3, 
        2\[RightAngleBracket]]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftBracketingBar]\[LeftAngleBracket]2, 3, 
        2\[RightAngleBracket]\[RightBracketingBar]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftBracketingBar]{2, 3, 2}\[RightBracketingBar]\)], "Input"],

Cell[BoxData[
    \(2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[LeftBracketingBar]\(-3\)\[RightBracketingBar]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[AE][{3}]\)], "Input"],

Cell[BoxData[
    \(3\)], "Output"]
}, Open  ]],

Cell[BoxData[
    RowBox[{\(any[is\[Dash]set[A]]\), "\[Colon]", "\n", "\t", GridBox[{
          {\(\[GothicCapitalP][A] := {{}} \[DoubleLeftArrow] \((A = {})\)\)},
          {\(\[GothicCapitalP][A] := 
              where[a = \[AE][A], 
                P = \[GothicCapitalP][A\[CircleMinus]{a}], \ \n\t
                P \[Union] {\(({a} \[Union] 
                          B)\)\( | \+\(B \[Element] P\)\)}]\)}
          },
        ColumnAlignments->{Left}]}]], "Input",
  CellTags->"Line_84"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{}]\)], "Input"],

Cell[BoxData[
    \({{}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{3}]\)], "Input"],

Cell[BoxData[
    \({{}, {3}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3}]\)], "Input"],

Cell[BoxData[
    \({{}, {1}, {3}, {1, 3}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3, 4, 8}]\)], "Input"],

Cell[BoxData[
    \({{}, {1}, {3}, {4}, {8}, {1, 3}, {1, 4}, {1, 8}, {3, 4}, {3, 8}, {4, 
        8}, {1, 3, 4}, {1, 3, 8}, {1, 4, 8}, {3, 4, 8}, {1, 3, 4, 
        8}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(EndComputationalSession[]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3, 4, 8}]\)], "Input"],

Cell[BoxData[
    \(\[GothicCapitalP][{1, 3, 4, 8}]\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Use[]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Proving in Natural Style", "Section"],

Cell[CellGroupData[{

Cell["A Small Mathematical Theory", "Subsection"],

Cell[CellGroupData[{

Cell[TextData[{
  "A Couple of Individual Formulae in ",
  StyleBox["Theorema",
    FontSlant->"Italic"],
  " Syntax"
}], "Subsubsection"],

Cell[CellGroupData[{

Cell["A Definition", "Subsubsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<limit:\>", any[f, a], \n\t
      limit[f, a]\[DoubleLongLeftRightArrow]\ \(\(\[ForAll] \
\+\[Epsilon]\)\+\(\[Epsilon] > 0\)\(\[Exists] \+N\(\(\[ForAll] \+n\)\+\(n \
\[GreaterEqual] N\)\[LeftBracketingBar]f[n] - 
                    a\[RightBracketingBar] < \[Epsilon]\)\)\)\), 
      "]"}]], "Input",
  CellTags->"Definition (limit:)"],

Cell[BoxData[
    \(General::"spell1" \(\(:\)\(\ \)\) 
      "Possible spelling error: new symbol name \"\!\(limit\)\" is similar to \
existing symbol \"\!\(Limit\)\"."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", "\"\<limit:\>\"", "]"}]], "Input"],

Cell[BoxData[
    RowBox[{"\[Bullet]def", "[", 
      RowBox[{"\<\"limit:\"\>", ",", 
        RowBox[{"\[Bullet]range", "[", 
          RowBox[{
            RowBox[{"\[Bullet]simpleRange", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ",", 
            RowBox[{"\[Bullet]simpleRange", "[", 
              StyleBox["a",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "]"}], ",", "True", ",", 
        RowBox[{"\[Bullet]flist", "[", 
          RowBox[{"\[Bullet]lf", "[", 
            RowBox[{"\<\"\"\>", ",", 
              RowBox[{
                RowBox[{"limit", "[", 
                  RowBox[{
                    StyleBox["f",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
                RowBox[{
                  UnderscriptBox[
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], " "}]], 
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}]], 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                      RowBox[{
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], " "}]], 
                    RowBox[{
                      UnderscriptBox[
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[GreaterEqual]", 
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]], 
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{
                                StyleBox["f",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "[", 
                                StyleBox["n",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              StyleBox["a",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}]}]}]}]}], "]"}], 
          "]"}]}], "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Bullet][\(\[ForAll] \+\[Epsilon]\)\+\(\[Epsilon] > 0\)\(\[Exists] \+N\
\(\(\[ForAll] \+n\)\+\(n \[GreaterEqual] N\)\[LeftBracketingBar]f[n] - 
                    a\[RightBracketingBar] < \[Epsilon]\)\)] // 
      InputForm\)], "Input"],

Cell["\<\
\[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[\[Epsilon]\
]]], 
 \[Trademark]Greater[\[Bullet]var[\[Epsilon]], 0], 
 \[Trademark]Exists[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[\
\[Trademark]N]]], True, 
  \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[n]]], 
   \[Trademark]GreaterEqual[\[Bullet]var[n], \[Bullet]var[\[Trademark]N]], 
   \[Trademark]Less[\[Trademark]BracketingBar[\[Trademark]Minus[f[\[Bullet]\
var[n]], a]], 
    \[Bullet]var[\[Epsilon]]]]]]\
\>", "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["A Proposition", "Subsubsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", \("\<limit of sum\>", 
      any[f, a, g, 
        b], \n\t\((limit[f, a] \[And] 
            limit[g, b])\)\ \ \ \ \  \[Implies] \ \ \ \ \ limit[f + g, 
          a + b]\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (limit of sum)"]
}, Closed]],

Cell[CellGroupData[{

Cell["Prerequisite Knowledge", "Subsubsubsection",
  CellTags->"Proposition (limit of sum)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<+:\>", 
      any[f, g, x], \n\t\((f + g)\)[x] = f[x] + g[x]\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Definition (+:)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Lemma",
        FontWeight->"Bold"], "[", \("\<|+|\>", 
      any[x, y, a, 
        b, \[Delta], \[Epsilon]], \n\t\((\[LeftBracketingBar]\((x + 
                    y)\) - \((a + 
                    b)\)\[RightBracketingBar] < \((\[Delta] + \
\[Epsilon])\))\)\ \ \ \ \[DoubleLongLeftArrow]\ \ \ \((\[LeftBracketingBar]x \
- a\[RightBracketingBar] < \[Delta] \[And] \[LeftBracketingBar]y - 
                  b\[RightBracketingBar] < \[Epsilon])\)\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Lemma (|+|)"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Lemma",
        FontWeight->"Bold"], "[", \("\<max\>", any[m, M1, M2], \n\t
      m \[GreaterEqual] 
          max[M1, M2]\ \ \ \ \  \[Implies] \ \ \ \ \ \((m \[GreaterEqual] 
              M1 \[And] m \[GreaterEqual] M2)\)\), "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Lemma (max)"],

Cell[BoxData[
    \(General::"spell1" \(\(:\)\(\ \)\) 
      "Possible spelling error: new symbol name \"\!\(max\)\" is similar to \
existing symbol \"\!\(Max\)\"."\)], "Message"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Composition of a Knowledge Base", "Subsubsection",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "Limit of a Sequence", "limit of sum", "lim sum", "max-greater", 
    "maximum", "sum of sequences"}],

Cell[BoxData[
    RowBox[{
      StyleBox["Theory",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<limit\>\"", ",", "\n", "\t", GridBox[{
            {
              RowBox[{
                StyleBox["Definition",
                  FontWeight->"Bold"], "[", "\"\<limit:\>\"", "]"}]},
            {
              RowBox[{
                StyleBox["Definition",
                  FontWeight->"Bold"], "[", "\"\<+:\>\"", "]"}]},
            {
              RowBox[{
                StyleBox["Lemma",
                  FontWeight->"Bold"], "[", "\"\<|+|\>\"", "]"}]},
            {
              RowBox[{
                StyleBox["Lemma",
                  FontWeight->"Bold"], "[", "\"\<max\>\"", "]"}]}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Theory (limit)"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      StyleBox["Theory",
        FontWeight->"Bold"], "[", "\"\<limit\>\"", "]"}]], "Input"],

Cell[BoxData[
    RowBox[{"\[Bullet]thr", "[", 
      RowBox[{"\<\"limit\"\>", ",", \(\[Bullet]range[]\), ",", "True", ",", 
        RowBox[{"\[Bullet]flist", "[", 
          RowBox[{
            RowBox[{"\[Bullet]def", "[", 
              RowBox[{"\<\"limit:\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["f",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{"limit", "[", 
                          RowBox[{
                            StyleBox["f",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], ",", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "]"}], 
                        "\[DoubleLeftRightArrow]", 
                        RowBox[{
                          UnderscriptBox[
                            UnderscriptBox["\[ForAll]", 
                              RowBox[{
                                StyleBox["\[Epsilon]",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], " "}]], 
                            RowBox[{
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], ">", "0"}]], 
                          RowBox[{
                            UnderscriptBox["\[Exists]", 
                              RowBox[{
                                StyleBox["N",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], " "}]], 
                            RowBox[{
                              UnderscriptBox[
                                UnderscriptBox["\[ForAll]", 
                                  RowBox[{
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], " "}]], 
                                RowBox[{
                                  StyleBox["n",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "\[GreaterEqual]", 
                                  StyleBox["N",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}]], 
                              RowBox[{"(", 
                                RowBox[{
                                  RowBox[{"\[LeftBracketingBar]", 
                                    RowBox[{
                                      RowBox[{
                                        StyleBox["f",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "[", 
                                        StyleBox["n",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "]"}], "-", 
                                      StyleBox["a",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None]}], 
                                    "\[RightBracketingBar]"}], "<", 
                                  StyleBox["\[Epsilon]",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}]}]}]}]}]}], 
                    "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"\[Bullet]def", "[", 
              RowBox[{"\<\"+:\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["f",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["g",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"(", 
                            RowBox[{
                              StyleBox["f",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "+", 
                              StyleBox["g",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], ")"}], "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", 
                        RowBox[{
                          RowBox[{
                            StyleBox["f",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "+", 
                          RowBox[{
                            StyleBox["g",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}]}]}], "]"}], "]"}]}], 
              "]"}], ",", 
            RowBox[{"\[Bullet]lma", "[", 
              RowBox[{"\<\"|+|\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["\[Delta]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox["x",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  StyleBox["y",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}], "-", 
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  StyleBox["b",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          RowBox[{
                            StyleBox["\[Delta]",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "+", 
                            StyleBox["\[Epsilon]",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[DoubleLeftArrow]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  StyleBox["x",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Delta]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[And]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  StyleBox["y",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "-", 
                                  StyleBox["b",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}], "]"}], 
                  "]"}]}], "]"}], ",", 
            RowBox[{"\[Bullet]lma", "[", 
              RowBox[{"\<\"max\"\>", ",", 
                RowBox[{"\[Bullet]range", "[", 
                  RowBox[{
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["m",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["M1",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], ",", 
                    RowBox[{"\[Bullet]simpleRange", "[", 
                      StyleBox["M2",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "]"}], ",", "True", ",", 
                RowBox[{"\[Bullet]flist", "[", 
                  RowBox[{"\[Bullet]lf", "[", 
                    RowBox[{"\<\"\"\>", ",", 
                      RowBox[{
                        RowBox[{
                          StyleBox["m",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[GreaterEqual]", 
                          RowBox[{"max", "[", 
                            RowBox[{
                              StyleBox["M1",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], ",", 
                              StyleBox["M2",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "]"}]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[GreaterEqual]", 
                            StyleBox["M1",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["m",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[GreaterEqual]", 
                            StyleBox["M2",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}]}]}], "]"}], "]"}]}], 
              "]"}]}], "]"}]}], "]"}]], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["The PCS Prover", "Subsection"],

Cell[CellGroupData[{

Cell["Main Idea of the PCS Prover", "Subsubsection"],

Cell["\<\
The PCS proof method (BB 2000) aims at generating \"natural\" proofs.\
\>", "Text"],

Cell["\<\
Roughly, the PCS prover proceeds by iteratively going through the following \
three phases:\
\>", "Text"],

Cell[TextData[{
  StyleBox["The",
    FontSlant->"Italic"],
  " ",
  StyleBox["P-phase (\"Proving\" phase)",
    FontSlant->"Italic"]
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{51.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[{
  StyleBox["The",
    FontSlant->"Italic"],
  " ",
  StyleBox["C-phase (\"Computing\" phase)",
    FontSlant->"Italic"]
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{51.1875, Inherited}, {Inherited, Inherited}}],

Cell[TextData[{
  StyleBox["The",
    FontSlant->"Italic"],
  " ",
  StyleBox["S-phase (\"Solving\" phase)",
    FontSlant->"Italic"]
}], "Text",
  CellDingbat->"\[FilledSmallCircle]",
  CellMargins->{{51.1875, Inherited}, {Inherited, Inherited}}],

Cell["\<\
It reduces proving of formulae with \"alternating quantifiers\" to solving. \
\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Proof Generated by the PCS Prover", "Subsubsection"],

Cell[BoxData[
    \(\(Prove[Proposition["\<limit of sum\>"], 
        using \[Rule] Theory["\<limit\>"], by \[Rule] PCS];\)\)], "Input",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "max-greater", "maximum", "sum of sequences"}],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-PCS-simple.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell[BoxData[
    \(\(Transform[$TmaProofObject, by -> ProofSimplifier, 
        TransformerOptions \[Rule] {branches \[Rule] {Proved, Pending, 
                Failed, Disproved}}];\)\)], "Input"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-PCS-full.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["The Set Theory Prover", "Subsection"],

Cell[TextData[{
  "The ",
  StyleBox["Theorema",
    FontSlant->"Italic"],
  " set theory prover is also based on the PCS principle. In addition to the \
predicate logic natural deduction inference rules it incorporates special \
inference rules for the basic notions of set theory, in particular the \
special set quantifiers."
}], "Text"],

Cell[CellGroupData[{

Cell["Classes of Equivalence: Definitions", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<reflexivity\>", 
      any[\(\[Tilde]\)\(\(,\)\(A\)\)], \
\[IndentingNewLine]is\[Dash]reflexive\_A[ \[Tilde] ] : \[NegativeThickSpace]\
\[NegativeMediumSpace]\(\(\[DoubleLeftRightArrow]\)\(\[ForAll] \+\(x \
\[Element] A\)x \[Tilde] x\)\)\), "]"}]], "Input",
  CellTags->"Definition (reflexivity)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<symmetry\>", 
      any[\(\[Tilde]\)\(\(,\)\(A\)\)], \
\[IndentingNewLine]is\[Dash]symmetric\_A[ \[Tilde] ] : \[NegativeThickSpace]\
\[NegativeMediumSpace]\(\(\[DoubleLeftRightArrow]\)\(\[ForAll] \+\(x, y \
\[Element] A\)\((x \[Tilde] y \[Implies] y \[Tilde] x)\)\)\)\), 
      "]"}]], "Input",
  CellTags->"Definition (symmetry)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<transitivity\>", 
      any[\(\[Tilde]\)\(\(,\)\(A\)\)], \[IndentingNewLine]is\[Dash]transitive\
\_A[ \[Tilde] ] : \[NegativeThickSpace]\[NegativeMediumSpace]\(\(\
\[DoubleLeftRightArrow]\)\(\[ForAll] \+\(x, y, z \[Element] A\)\((x \[Tilde] 
                    y \[And] y \[Tilde] z \[Implies] x \[Tilde] z)\)\)\)\), 
      "]"}]], "Input",
  CellTags->"Definition (transitivity)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<equivalence\>\"", ",", \(any[\(\[Tilde]\)\(\(,\)\(A\)\)]\), ",", 
        "\[IndentingNewLine]", 
        RowBox[{\(is\[Dash]equivalence\_A[ \[Tilde] ]\), ":", 
          "\[NegativeThickSpace]\[NegativeMediumSpace]", 
          RowBox[{"\[DoubleLeftRightArrow]", 
            RowBox[{
              StyleBox["\[And]",
                Background->None], 
              RowBox[{
                StyleBox["{",
                  SpanMaxSize->Infinity,
                  Background->None], 
                StyleBox[GridBox[{
                      {\(is\[Dash]reflexive\_A[ \[Tilde] ]\)},
                      {\(is\[Dash]symmetric\_A[ \[Tilde] ]\)},
                      {\(is\[Dash]transitive\_A[ \[Tilde] ]\)}
                      },
                    ColumnAlignments->{Left}],
                  Background->None], 
                StyleBox["}",
                  ShowContents->False,
                  Background->None]}]}]}]}]}], " ", "]"}]], "Input",
  CellTags->"Definition (equivalence)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", \("\<class\>", 
      any[x, \(\(\[Tilde]\)\(\(,\)\(A\)\)\)], \[IndentingNewLine]class\_\(A,  \
\[Tilde] \)[
          x] := {a \[Element] A \[VerticalSeparator] 
            a \[Tilde] x \[And] x \[Element] A}\), "]"}]], "Input",
  CellTags->"Definition (class)"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Proof", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", \("\<equal classes\>", 
      any[x \[Element] A, y \[Element] A, \(\(\[Tilde]\)\(\(,\)\(A\)\)\)], 
      with[is\[Dash]equivalence\_A[ \[Tilde] ]], \[IndentingNewLine]x \
\[Tilde] y \[Implies] \((class\_\(A,  \[Tilde] \)[x] = 
            class\_\(A,  \[Tilde] \)[y])\)\), "]"}]], "Input",
  CellTags->"Proposition (equal classes)"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<equal classes\>"]\), ",", 
          "\[IndentingNewLine]", \(using \[Rule] \
\[LeftAngleBracket]Definition["\<equivalence\>"], 
              Definition["\<transitivity\>"], Definition["\<symmetry\>"], 
              Definition["\<class\>"]\[RightAngleBracket]\), ",", 
          "\[IndentingNewLine]", \(by \[Rule] SetTheoryPCSProver\), ",", 
          "\[IndentingNewLine]", \(TransformerOptions \[Rule] {branches \
\[Rule] Proved, steps \[Rule] Useful}\), ",", "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {GRWTarget \[Rule] {"\<goal\>", \
"\<kb\>"}, AllowIntroduceQuantifiers \[Rule] True, 
                UseCyclicRules \[Rule] True, 
                DisableProver \[Rule] {STC, PND}, ApplyBuiltIns \[Rule] {}}\),
            
            "UnHighlightedText"], 
          StyleBox[",",
            "UnHighlightedText"], 
          StyleBox[\(SearchDepth \[Rule] 50\),
            "UnHighlightedText"]}], "]"}], ";"}]], "Input"],

Cell[BoxData[
    \(Throw::"nocatch" \(\(:\)\(\ \)\) 
      "Uncaught \!\(Throw[\(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\)]\) \
returned to top level."\)], "Message"],

Cell[BoxData[
    \(Hold[
      Throw[Theorema`General`TmaException`Private`TExceptionWrapper[
          Theorema`General`TmaException`Private`TClass[LookupTable], 
          Theorema`General`TmaException`Private`TType[Syntax], 
          Theorema`General`TmaException`Private`TMessage[
            "Wrong Argument to GetElem: {Null, matchedAgainstKB}"], 
          Theorema`General`TmaException`Private`TData[Null, 
            "matchedAgainstKB"]]]]\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-set-theory.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["S-Decomposition", "Subsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<conv of sum\>\"", ",", "\n", "\t", GridBox[{
            {\(\[ForAll] \+\(f, g\)\((\((\((conv[f] \[And] 
                          conv[g])\)\ \[DoubleLongRightArrow]\ 
                      conv[f\[CirclePlus]g])\))\)\), "\"\<l+\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Proposition (conv of sum)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<conv\>\"", ",", \(any[f]\), ",", "\n", "\t", GridBox[{
            {\(conv[
                  f]\  : \[NegativeMediumSpace]\[NegativeThickSpace]\(\(\
\[DoubleLeftRightArrow]\)\(\[Exists] \+a\(\[ForAll] \+\(\[Epsilon] > 0\)\(\
\[Exists] \+N\(\(\(\ \)\(\[ForAll]\)\)\+\(n \[GreaterEqual] 
                                N\)\) \((\[LeftBracketingBar]f[n] - 
                                  a\[RightBracketingBar] < \
\[Epsilon])\)\)\)\)\)\), "\"\<c:\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (conv)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<sum of sequences\>\"", ",", \(any[f, g, x]\), ",", "\n", "\t", 
        GridBox[{
            {\(\((\((f\[CirclePlus]g)\)[x])\) := \((f[x] + g[x])\)\), 
              "\"\<\[CirclePlus]:\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (sum of sequences)"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"proof-conv-plus.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["An Induction Prover and the Cascade ", "Subsection"],

Cell[CellGroupData[{

Cell["Inductive Definition of Addition", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Definition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<addition\>\"", ",", \(any[m, n]\), ",", "\n", "\t", GridBox[{
            {\(m + 0 = m\)},
            {\(m + \(n\^+\) = \(\((m + n)\)\^+\)\)}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Definition (addition)"]
}, Closed]],

Cell[CellGroupData[{

Cell["A Failing Proof", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{
      "\"\<commutativity of addition\>\"", ",", \(any[m, n]\), ",", "\n", 
        "\t", GridBox[{
            {\(m + n = n + m\), "\"\< + = \>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  CellTags->"Proposition (commutativity of addition)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<commutativity of addition\>"], \n\t
        using \[Rule] \[LeftAngleBracket]Definition["\<addition\>"]\
\[RightAngleBracket], \n\tby \[Rule] NNEqIndProver, \n\t
        ProverOptions \[Rule] {TermOrder \[Rule] LeftToRight}, 
        TransformerOptions \[Rule] {branches \[Rule] {Proved, Pending, 
                Failed, Disproved}}];\)\)], "Input",
  CellTags->"Proposition (commutativity of addition)"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-0-fail.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"],

Cell["Fails at (14).", "SmallText"]
}, Closed]],

Cell[CellGroupData[{

Cell["The Cascade", "Subsubsection"],

Cell[BoxData[
    \(\(Prove[Proposition["\<commutativity of addition\>"], \n\t
        using \[Rule] Definition["\<addition\>"], 
        by \[Rule] Cascade[NNEqIndProver, ConjectureGenerator], 
        ProverOptions \[Rule] {TermOrder \[Rule] LeftToRight}, 
        TransformerOptions \[Rule] {branches \[Rule] {Proved, Pending, 
                Failed, Disproved}}];\)\)], "Input",
  CellTags->{
  "Addition", "assoc+", "comm*", "comm+", "left addition", "Multiplication"}],

Cell[TextData[{
  "  ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-1-zero-left.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]],
  "                      ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-2-failed.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]],
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-3-succ-left.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]],
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Proof\)\)\(\ \
\)\)\),
          ButtonData:>{"induction-4-success.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Math Knowledge at Work", "Section"],

Cell[CellGroupData[{

Cell["Theory of Tuples", "Subsection"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(TupleTheory\)\)\(\ \
\)\)\),
          ButtonData:>{"TupleTheory.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Sorting: Programming in Predicate Logic", "Subsection"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \
\)\(SortingTheory\)\)\(\ \)\)\),
          ButtonData:>{"SortingTheory.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Verified Development of Sorting: Program Synthesis", "Subsection"],

Cell[TextData[{
  "                        ",
  Cell[BoxData[
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(SortingDevelopment\
\)\)\(\ \)\)\),
          ButtonData:>{"SortingDevelopment.nb", None},
          ButtonStyle->"Hyperlink"], TraditionalForm]]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Future Developments", "Section"],

Cell[CellGroupData[{

Cell["Proof Presentation", "Subsection"],

Cell[CellGroupData[{

Cell["Focus Windows", "Subsubsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<conclusion\>\"", ",", "\n", "\t", GridBox[{
            {\(\((A \[And] B \[And] C)\)\[DoubleLongLeftRightArrow]A\), 
              "\"\<abc\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (conclusion)"],

Cell[BoxData[
    RowBox[{
      StyleBox["Proposition",
        FontWeight->"Bold"], "[", 
      RowBox[{"\"\<assumptions\>\"", ",", "\n", "\t", GridBox[{
            {\(A\[DoubleLongRightArrow]B\), "\"\<ab\>\""},
            {"C", "\"\<c\>\""}
            },
          ColumnAlignments->{Left}]}], "]"}]], "Input",
  LimitsPositioningTokens->{},
  CellTags->"Proposition (assumptions)"],

Cell[BoxData[
    \(\(Prove[Proposition["\<conclusion\>"], 
        using \[Rule] Proposition["\<assumptions\>"], 
        by \[Rule] PropositionalProver, 
        showBy \[Rule] FocusWindows];\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Interactive Proving", "Subsubsection"],

Cell[BoxData[
    \(\(StartInteractive[]\ ;\)\)], "Input"],

Cell[BoxData[
    \(\(Prove[Proposition["\<conclusion\>"], 
        using \[Rule] Proposition["\<assumptions\>"], 
        by \[Rule] PropositionalProver];\)\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Program Verification", "Subsection"],

Cell[BoxData[
    \(Functional : \ see\ sorting\)], "Input"],

Cell[BoxData[
    RowBox[{"Imperative", 
      FormBox[
        ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(imperative\)\)\(\ \
\)\)\),
          ButtonData:>{"imperative-verification.nb", None},
          ButtonStyle->"Hyperlink"],
        "TraditionalForm"]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["User-Built Provers", "Subsection"],

Cell[BoxData[
    \(Convenient\ representation\ of\ inferences\ and\ \
\(\(strategies\)\(.\)\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Mathematical Knowledge   Management", "Subsection"],

Cell[CellGroupData[{

Cell["Scenarios", "Subsubsection"],

Cell[BoxData[
    \(Proving\ \((example : \ limits)\)\)], "Input"],

Cell[BoxData[
    \(Program\ verification/synthesis\ \((example : \ sorting)\)\)], "Input"],

Cell[BoxData[
    \(Problem\ solving\ \((example : \ quantifier\ elimination)\)\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Types of Math Knowledge", "Subsubsection"],

Cell[BoxData[
    \(Hierarchical\ collections\ of\ formulae\)], "Input"],

Cell[BoxData[
    \(Data\ types\)], "Input"],

Cell[BoxData[
    \(Algorithm\ types\)], "Input"],

Cell[BoxData[
    \(Knowledge\ types\)], "Input"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"5.2 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
AutoGeneratedPackage->None,
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{1046, 852},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5,
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of all cells in \
a given style.  Make modifications to any definition using commands in the \
Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ScriptMinSize->12,
    FontSize->16],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Margins"->{1, 1},
    "Widths"->{0, 5}},
    ScriptMinSize->8,
    FontSize->11],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ScriptMinSize->5,
    FontSize->10,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    AutoItalicWords->{"Theorema"},
    LimitsPositioningTokens->{},
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold",
    Background->RGBColor[0, 1, 1]],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{24, 10}, {20, 40}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {12, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {20, 15}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24,
    Background->RGBColor[0, 1, 1]],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{24, 10}, {20, 20}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {20, 15}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {20, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 8}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{25, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->16,
    FontWeight->"Bold",
    Background->RGBColor[0, 1, 1]],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{13, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 20}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontSize->14,
    FontWeight->"Bold",
    FontColor->GrayLevel[0],
    Background->RGBColor[0.4, 1, 1]],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22,
    Background->RGBColor[0.6, 1, 1]],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold",
    Background->RGBColor[0.700008, 1, 1]],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]],
  
  Cell[StyleData["Subsubsubsection"],
    CellDingbat->"\[EmptySmallSquare]",
    CellMargins->{{22, Inherited}, {8, 18}},
    CellGroupingRules->{"SectionGrouping", 60},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontWeight->"Bold",
    Background->RGBColor[0.900008, 1, 1]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    TextJustification->1,
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output to the \
kernel.  Be careful when modifying, renaming, or removing these styles, \
because the front end associates special meanings with these style names. \
Some attributes for these styles are actually set in FormatType Styles (in \
the last section of this stylesheet). \
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontFamily->"Times New Roman",
    FontWeight->"Plain",
    FontSlant->"Plain",
    FontTracking->"Plain",
    Background->RGBColor[1, 1, 0],
    FontVariations->{"Underline"->False,
    "Outline"->False,
    "Shadow"->False}],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}}],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[StyleData["InputOnly"],
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{47, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output"],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}}],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0}],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageMargins->{{38, Inherited}, {Inherited, 0}},
    Magnification->0.6],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    FontSize->9,
    Magnification->0.8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5}],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1}],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{42, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    ScriptLevel->0,
    SingleLetterItalics->True,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5}],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1}],
  
  Cell[StyleData["DisplayFormula", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard ButtonFunctions, for use \
in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, After]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext ButtonBoxes.  The \
\"Hyperlink\" style is for links within the same Notebook, or between \
Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"]],
  
  Cell[StyleData["Hyperlink", "Condensed"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line help \
system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"]],
  
  Cell[StyleData["MainBookLink", "Condensed"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"]],
  
  Cell[StyleData["AddOnsLink", "Condensed"]],
  
  Cell[StyleData["AddOnLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"]],
  
  Cell[StyleData["RefGuideLink", "Condensed"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"]],
  
  Cell[StyleData["GettingStartedLink", "Condensed"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"]],
  
  Cell[StyleData["OtherInformationLink", "Condensed"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder objects in \
palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SelectionPlaceholder"],
    Editable->False,
    Selectable->False,
    StyleBoxAutoDelete->True,
    Placeholder->PrimaryPlaceholder,
    StyleMenuListing->None,
    DrawHighlighted->True],
  
  Cell[StyleData["SelectionPlaceholder", "Presentation"]],
  
  Cell[StyleData["SelectionPlaceholder", "Condensed"]],
  
  Cell[StyleData["SelectionPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles of most \
cells.  If a cell's FormatType matches the name of one of the styles defined \
below, then that style is applied between the cell's style and its own \
options. This is particularly true of Input and Output.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontSize->12,
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    AllowInlineCells->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{0.6, 1},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    LineSpacing->{1.25, 0},
    StyleMenuListing->None],
  
  Cell[StyleData["TraditionalForm"],
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an inline cell \
within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    TextAlignment->Left,
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.749996, 0.8]]
  }, Open  ]]
  }, Open  ]]
  }]
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Built\[Dash]in (PauleSchorn)"->{
    Cell[2117, 65, 542, 16, 201, "Subsubtitle",
      CellTags->"Built\[Dash]in (PauleSchorn)"],
    Cell[32153, 917, 541, 12, 265, "Input",
      CellTags->"Built\[Dash]in (PauleSchorn)"]},
  "Definition (+)"->{
    Cell[3918, 140, 346, 9, 162, "Input",
      CellTags->"Definition (+)"]},
  "Lemma (0+)"->{
    Cell[4572, 162, 174, 5, 118, "Input",
      CellTags->"Lemma (0+)"]},
  "Proposition (commutativity of addition)"->{
    Cell[4749, 169, 427, 10, 154, "Input",
      CellTags->"Proposition (commutativity of addition)"],
    Cell[124551, 3497, 380, 10, 118, "Input",
      CellTags->"Proposition (commutativity of addition)"],
    Cell[124934, 3509, 448, 7, 226, "Input",
      CellTags->"Proposition (commutativity of addition)"]},
  "Proposition (conclusion)"->{
    Cell[9971, 367, 398, 10, 113, "Input",
      CellTags->"Proposition (conclusion)"],
    Cell[128742, 3641, 398, 10, 118, "Input",
      CellTags->"Proposition (conclusion)"]},
  "Proposition (assumptions)"->{
    Cell[10372, 379, 388, 10, 163, "Input",
      CellTags->"Proposition (assumptions)"],
    Cell[129143, 3653, 388, 10, 159, "Input",
      CellTags->"Proposition (assumptions)"]},
  "Theorem (Exists Distributivity)"->{
    Cell[23442, 642, 437, 8, 163, "Input",
      CellTags->"Theorem (Exists Distributivity)"]},
  "Axiom (Boolean algebra)"->{
    Cell[25968, 722, 746, 17, 372, "Input",
      CellTags->"Axiom (Boolean algebra)"]},
  "Theorem (Goal)"->{
    Cell[26717, 741, 116, 2, 100, "Input",
      CellTags->"Theorem (Goal)"]},
  "Assumption (1)"->{
    Cell[27364, 765, 111, 2, 82, "Input",
      CellTags->"Assumption (1)"]},
  "Assumption (2)"->{
    Cell[27478, 769, 137, 3, 82, "Input",
      CellTags->"Assumption (2)"]},
  "Proposition (Goal)"->{
    Cell[27618, 774, 145, 3, 105, "Input",
      CellTags->"Proposition (Goal)"],
    Cell[28934, 816, 244, 4, 160, "Input",
      CellTags->"Proposition (Goal)"]},
  "Axiom (Sequence transformation)"->{
    Cell[28343, 801, 588, 13, 250, "Input",
      CellTags->"Axiom (Sequence transformation)"]},
  "Formula (Test)"->{
    Cell[30154, 859, 962, 18, 271, "Input",
      CellTags->"Formula (Test)"]},
  "Equational Properties of Addition"->{
    Cell[31547, 896, 133, 1, 73, "Subsubsubsection",
      CellTags->{"Equational Properties of Addition", "Test"}]},
  "Test"->{
    Cell[31547, 896, 133, 1, 73, "Subsubsubsection",
      CellTags->{"Equational Properties of Addition", "Test"}]},
  "Formula (Gauss)"->{
    Cell[33206, 947, 232, 7, 115, "Input",
      CellTags->"Formula (Gauss)"]},
  "Formula (SIAM series)"->{
    Cell[44476, 1265, 368, 8, 192, "Input",
      CellTags->"Formula (SIAM series)"]},
  "Proposition (Equal Transitivity)"->{
    Cell[81521, 2240, 474, 10, 135, "Input",
      CellTags->"Proposition (Equal Transitivity)"]},
  "sets"->{
    Cell[82569, 2279, 106, 2, 108, "Input",
      CellTags->"sets"],
    Cell[83394, 2307, 106, 2, 108, "Input",
      CellTags->"sets"],
    Cell[83641, 2320, 97, 2, 108, "Input",
      CellTags->"sets"],
    Cell[83821, 2330, 101, 2, 108, "Input",
      CellTags->"sets"]},
  "Line_71"->{
    Cell[84854, 2392, 381, 8, 196, "Input",
      CellTags->"Line_71"]},
  "Line_84"->{
    Cell[87155, 2514, 493, 10, 238, "Input",
      CellTags->"Line_84"]},
  "Definition (limit:)"->{
    Cell[89048, 2604, 430, 9, 175, "Input",
      CellTags->"Definition (limit:)"]},
  "Proposition (limit of sum)"->{
    Cell[94689, 2746, 354, 9, 118, "Input",
      CellTags->"Proposition (limit of sum)"],
    Cell[95080, 2760, 92, 1, 73, "Subsubsubsection",
      CellTags->"Proposition (limit of sum)"]},
  "Definition (+:)"->{
    Cell[95175, 2763, 237, 6, 118, "Input",
      CellTags->"Definition (+:)"]},
  "Lemma (|+|)"->{
    Cell[95415, 2771, 568, 12, 118, "Input",
      CellTags->"Lemma (|+|)"]},
  "Lemma (max)"->{
    Cell[96008, 2787, 344, 8, 118, "Input",
      CellTags->"Lemma (max)"]},
  "2-ary limit"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "2-ary limit of sum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "3-ary limit"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "3-ary limit of sum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "4-ary limit"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "4-ary limit of sum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "distance of sum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "fsum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "Limit of a Sequence"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}]},
  "limit of sum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}]},
  "lim sum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}]},
  "max-greater"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "maximum"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "sum of sequences"->{
    Cell[96595, 2807, 322, 5, 76, "Subsubsection",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "Limit of a Sequence", "limit of sum", 
        "lim sum", "max-greater", "maximum", "sum of sequences"}],
    Cell[115080, 3224, 347, 6, 82, "Input",
      CellTags->{
      "2-ary limit", "2-ary limit of sum", "3-ary limit", 
        "3-ary limit of sum", "4-ary limit", "4-ary limit of sum", 
        "distance of sum", "fsum", "max-greater", "maximum", 
        "sum of sequences"}]},
  "Theory (limit)"->{
    Cell[96920, 2814, 839, 24, 229, "Input",
      CellTags->"Theory (limit)"]},
  "Definition (reflexivity)"->{
    Cell[116712, 3277, 392, 8, 151, "Input",
      CellTags->"Definition (reflexivity)"]},
  "Definition (symmetry)"->{
    Cell[117107, 3287, 426, 9, 157, "Input",
      CellTags->"Definition (symmetry)"]},
  "Definition (transitivity)"->{
    Cell[117536, 3298, 477, 9, 157, "Input",
      CellTags->"Definition (transitivity)"]},
  "Definition (equivalence)"->{
    Cell[118016, 3309, 1115, 27, 199, "Input",
      CellTags->"Definition (equivalence)"]},
  "Definition (class)"->{
    Cell[119134, 3338, 354, 8, 121, "Input",
      CellTags->"Definition (class)"]},
  "Proposition (equal classes)"->{
    Cell[119560, 3353, 424, 8, 121, "Input",
      CellTags->"Proposition (equal classes)"]},
  "Proposition (conv of sum)"->{
    Cell[122085, 3420, 458, 10, 135, "Input",
      CellTags->"Proposition (conv of sum)"]},
  "Definition (conv)"->{
    Cell[122546, 3432, 669, 14, 132, "Input",
      CellTags->"Definition (conv)"]},
  "Definition (sum of sequences)"->{
    Cell[123218, 3448, 425, 11, 118, "Input",
      CellTags->"Definition (sum of sequences)"]},
  "Definition (addition)"->{
    Cell[124104, 3480, 367, 10, 162, "Input",
      CellTags->"Definition (addition)"]},
  "Addition"->{
    Cell[125778, 3535, 475, 8, 190, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "assoc+"->{
    Cell[125778, 3535, 475, 8, 190, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "comm\[RawStar]"->{
    Cell[125778, 3535, 475, 8, 190, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "comm+"->{
    Cell[125778, 3535, 475, 8, 190, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "left addition"->{
    Cell[125778, 3535, 475, 8, 190, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]},
  "Multiplication"->{
    Cell[125778, 3535, 475, 8, 190, "Input",
      CellTags->{
      "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
        "Multiplication"}]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Built\[Dash]in (PauleSchorn)", 156207, 4633},
  {"Definition (+)", 156420, 4638},
  {"Lemma (0+)", 156516, 4641},
  {"Proposition (commutativity of addition)", 156637, 4644},
  {"Proposition (conclusion)", 156984, 4651},
  {"Proposition (assumptions)", 157197, 4656},
  {"Theorem (Exists Distributivity)", 157419, 4661},
  {"Axiom (Boolean algebra)", 157546, 4664},
  {"Theorem (Goal)", 157657, 4667},
  {"Assumption (1)", 157758, 4670},
  {"Assumption (2)", 157858, 4673},
  {"Proposition (Goal)", 157962, 4676},
  {"Axiom (Sequence transformation)", 158166, 4681},
  {"Formula (Test)", 158285, 4684},
  {"Equational Properties of Addition", 158406, 4687},
  {"Test", 158536, 4690},
  {"Formula (Gauss)", 158677, 4693},
  {"Formula (SIAM series)", 158786, 4696},
  {"Proposition (Equal Transitivity)", 158913, 4699},
  {"sets", 159024, 4702},
  {"Line_71", 159315, 4711},
  {"Line_84", 159403, 4714},
  {"Definition (limit:)", 159504, 4717},
  {"Proposition (limit of sum)", 159623, 4720},
  {"Definition (+:)", 159838, 4725},
  {"Lemma (|+|)", 159938, 4728},
  {"Lemma (max)", 160035, 4731},
  {"2-ary limit", 160131, 4734},
  {"2-ary limit of sum", 160777, 4747},
  {"3-ary limit", 161416, 4760},
  {"3-ary limit of sum", 162062, 4773},
  {"4-ary limit", 162701, 4786},
  {"4-ary limit of sum", 163347, 4799},
  {"distance of sum", 163990, 4812},
  {"fsum", 164622, 4825},
  {"Limit of a Sequence", 165269, 4838},
  {"limit of sum", 165628, 4845},
  {"lim sum", 165982, 4852},
  {"max-greater", 166340, 4859},
  {"maximum", 166975, 4872},
  {"sum of sequences", 167619, 4885},
  {"Theory (limit)", 168261, 4898},
  {"Definition (reflexivity)", 168374, 4901},
  {"Definition (symmetry)", 168494, 4904},
  {"Definition (transitivity)", 168615, 4907},
  {"Definition (equivalence)", 168739, 4910},
  {"Definition (class)", 168858, 4913},
  {"Proposition (equal classes)", 168978, 4916},
  {"Proposition (conv of sum)", 169105, 4919},
  {"Definition (conv)", 169223, 4922},
  {"Definition (sum of sequences)", 169345, 4925},
  {"Definition (addition)", 169471, 4928},
  {"Addition", 169576, 4931},
  {"assoc+", 169755, 4936},
  {"comm\[RawStar]", 169942, 4941},
  {"comm+", 170120, 4946},
  {"left addition", 170306, 4951},
  {"Multiplication", 170493, 4956}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 172, 5, 222, "Subtitle"],
Cell[1951, 60, 163, 3, 107, "Subsubtitle"],
Cell[2117, 65, 542, 16, 201, "Subsubtitle",
  CellTags->"Built\[Dash]in (PauleSchorn)"],
Cell[2662, 83, 153, 4, 107, "Subsubtitle"],

Cell[CellGroupData[{
Cell[2840, 91, 41, 0, 137, "Section"],

Cell[CellGroupData[{
Cell[2906, 95, 128, 5, 133, "Subsection"],

Cell[CellGroupData[{
Cell[3059, 104, 32, 0, 91, "Subsubsubsection"],

Cell[CellGroupData[{
Cell[3116, 108, 45, 1, 82, "Input"],
Cell[3164, 111, 183, 3, 79, "Print"]
}, Open  ]],
Cell[3362, 117, 92, 1, 82, "Input"],
Cell[3457, 120, 118, 2, 82, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3612, 127, 35, 0, 75, "Subsubsection"],

Cell[CellGroupData[{
Cell[3672, 131, 121, 2, 82, "Input"],
Cell[3796, 135, 107, 2, 58, "Output"]
}, Open  ]],
Cell[3918, 140, 346, 9, 162, "Input",
  CellTags->"Definition (+)"],

Cell[CellGroupData[{
Cell[4289, 153, 156, 2, 82, "Input"],
Cell[4448, 157, 109, 2, 58, "Output"]
}, Open  ]],
Cell[4572, 162, 174, 5, 118, "Input",
  CellTags->"Lemma (0+)"],
Cell[4749, 169, 427, 10, 154, "Input",
  CellTags->"Proposition (commutativity of addition)"],
Cell[5179, 181, 281, 8, 69, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5497, 194, 58, 0, 75, "Subsubsection"],
Cell[5558, 196, 147, 2, 67, "Text"],
Cell[5708, 200, 194, 4, 67, "Text"],
Cell[5905, 206, 148, 2, 67, "Text"],
Cell[6056, 210, 136, 2, 67, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[6229, 217, 40, 0, 75, "Subsubsection"],
Cell[6272, 219, 227, 6, 67, "Text"],
Cell[6502, 227, 170, 2, 67, "Text"],
Cell[6675, 231, 226, 5, 67, "Text"],
Cell[6904, 238, 159, 2, 67, "Text"],
Cell[7066, 242, 235, 5, 67, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[7338, 252, 34, 0, 75, "Subsubsection"],
Cell[7375, 254, 176, 3, 67, "Text"],
Cell[7554, 259, 169, 3, 67, "Text"],
Cell[7726, 264, 179, 3, 67, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[7954, 273, 41, 0, 89, "Subsection"],

Cell[CellGroupData[{
Cell[8020, 277, 69, 0, 109, "Subsubsection"],

Cell[CellGroupData[{
Cell[8114, 281, 51, 0, 94, "Subsubsubsection"],

Cell[CellGroupData[{
Cell[8190, 285, 51, 1, 96, "Input"],
Cell[8244, 288, 159, 5, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8440, 298, 62, 1, 126, "Input"],
Cell[8505, 301, 366, 12, 97, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8908, 318, 75, 1, 126, "Input"],
Cell[8986, 321, 127, 3, 79, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[9162, 330, 42, 0, 73, "Subsubsubsection"],
Cell[9207, 332, 69, 1, 82, "Input"],
Cell[9279, 335, 146, 2, 82, "Input"],
Cell[9428, 339, 53, 1, 82, "Input"],
Cell[9484, 342, 51, 1, 82, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[9584, 349, 61, 0, 76, "Subsubsection"],
Cell[9648, 351, 72, 0, 94, "Subsubsubsection"],
Cell[9723, 353, 104, 2, 94, "Subsubsubsection"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[9876, 361, 29, 0, 89, "Subsection"],

Cell[CellGroupData[{
Cell[9930, 365, 38, 0, 116, "Subsubsection"],
Cell[9971, 367, 398, 10, 113, "Input",
  CellTags->"Proposition (conclusion)"],
Cell[10372, 379, 388, 10, 163, "Input",
  CellTags->"Proposition (assumptions)"],
Cell[10763, 391, 170, 3, 113, "Input"],
Cell[10936, 396, 282, 8, 64, "Text"],

Cell[CellGroupData[{
Cell[11243, 408, 61, 1, 80, "Input"],
Cell[11307, 411, 8286, 151, 3508, "Output"]
}, Closed]],
Cell[19608, 565, 3156, 50, 1752, "Input"],
Cell[22767, 617, 284, 8, 64, "Text"],
Cell[23054, 627, 230, 5, 91, "Subsubsubsection"]
}, Closed]],

Cell[CellGroupData[{
Cell[23321, 637, 40, 0, 81, "Subsubsection"],
Cell[23364, 639, 75, 1, 80, "Input"],
Cell[23442, 642, 437, 8, 163, "Input",
  CellTags->"Theorem (Exists Distributivity)"],
Cell[23882, 652, 155, 3, 113, "Input"],
Cell[24040, 657, 277, 8, 64, "Text"],
Cell[24320, 667, 285, 6, 146, "Input"],
Cell[24608, 675, 277, 8, 64, "Text"],
Cell[24888, 685, 315, 6, 146, "Input"],
Cell[25206, 693, 277, 8, 64, "Text"],
Cell[25486, 703, 218, 5, 91, "Subsubsubsection"]
}, Closed]],

Cell[CellGroupData[{
Cell[25741, 713, 45, 0, 81, "Subsubsection"],

Cell[CellGroupData[{
Cell[25811, 717, 75, 0, 94, "Subsubsubsection"],
Cell[25889, 719, 76, 1, 82, "Input"],
Cell[25968, 722, 746, 17, 372, "Input",
  CellTags->"Axiom (Boolean algebra)"],
Cell[26717, 741, 116, 2, 100, "Input",
  CellTags->"Theorem (Goal)"],
Cell[26836, 745, 123, 2, 82, "Input"],
Cell[26962, 749, 280, 8, 69, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[27279, 762, 82, 1, 73, "Subsubsubsection"],
Cell[27364, 765, 111, 2, 82, "Input",
  CellTags->"Assumption (1)"],
Cell[27478, 769, 137, 3, 82, "Input",
  CellTags->"Assumption (2)"],
Cell[27618, 774, 145, 3, 105, "Input",
  CellTags->"Proposition (Goal)"],
Cell[27766, 779, 151, 3, 82, "Input"],
Cell[27920, 784, 282, 8, 69, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[28239, 797, 59, 0, 73, "Subsubsubsection"],
Cell[28301, 799, 39, 0, 67, "Text"],
Cell[28343, 801, 588, 13, 250, "Input",
  CellTags->"Axiom (Sequence transformation)"],
Cell[28934, 816, 244, 4, 160, "Input",
  CellTags->"Proposition (Goal)"],
Cell[29181, 822, 330, 8, 82, "Input"],
Cell[29514, 832, 275, 8, 69, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[29838, 846, 78, 0, 81, "Subsubsection"],
Cell[29919, 848, 56, 0, 55, "SmallText"]
}, Closed]],

Cell[CellGroupData[{
Cell[30012, 853, 46, 0, 81, "Subsubsection"],

Cell[CellGroupData[{
Cell[30083, 857, 68, 0, 94, "Subsubsubsection"],
Cell[30154, 859, 962, 18, 271, "Input",
  CellTags->"Formula (Test)"],
Cell[31119, 879, 105, 2, 82, "Input"],
Cell[31227, 883, 283, 8, 69, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[31547, 896, 133, 1, 73, "Subsubsubsection",
  CellTags->{"Equational Properties of Addition", "Test"}],
Cell[31683, 899, 67, 1, 55, "SmallText"],

Cell[CellGroupData[{
Cell[31775, 904, 86, 1, 82, "Input"],
Cell[31864, 907, 98, 2, 43, "Print"],
Cell[31965, 911, 173, 3, 43, "Print"]
}, Open  ]],
Cell[32153, 917, 541, 12, 265, "Input",
  CellTags->"Built\[Dash]in (PauleSchorn)"],
Cell[32697, 931, 71, 1, 82, "Input"],
Cell[32771, 934, 165, 3, 82, "Input"],
Cell[32939, 939, 181, 3, 118, "Input"],
Cell[33123, 944, 80, 1, 55, "SmallText"],
Cell[33206, 947, 232, 7, 115, "Input",
  CellTags->"Formula (Gauss)"],

Cell[CellGroupData[{
Cell[33463, 958, 110, 2, 82, "Input"],
Cell[33576, 962, 68, 1, 43, "Print"],
Cell[33647, 965, 559, 16, 84, "Print"],
Cell[34209, 983, 54, 1, 84, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34300, 989, 183, 3, 82, "Input"],
Cell[34486, 994, 2516, 65, 159, "Print"],
Cell[37005, 1061, 3223, 82, 216, "Print"],
Cell[40231, 1145, 2242, 57, 237, "Print"]
}, Open  ]],
Cell[42488, 1205, 90, 2, 67, "Text"],

Cell[CellGroupData[{
Cell[42603, 1211, 1374, 36, 124, "Input"],
Cell[43980, 1249, 35, 1, 58, "Output"]
}, Open  ]],
Cell[44030, 1253, 443, 10, 142, "Text"],
Cell[44476, 1265, 368, 8, 192, "Input",
  CellTags->"Formula (SIAM series)"],

Cell[CellGroupData[{
Cell[44869, 1277, 116, 2, 82, "Input"],
Cell[44988, 1281, 73, 1, 43, "Print"],
Cell[45064, 1284, 2908, 74, 97, "Print"],
Cell[47975, 1360, 147, 2, 60, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48159, 1367, 198, 4, 82, "Input"],
Cell[48360, 1373, 7006, 179, 175, "Print"],
Cell[55369, 1554, 8155, 213, 228, "Print"],
Cell[63527, 1769, 10052, 261, 288, "Print"]
}, Open  ]],
Cell[73594, 2033, 161, 5, 67, "Text"],

Cell[CellGroupData[{
Cell[73780, 2042, 7362, 178, 223, "Input"],
Cell[81145, 2222, 35, 1, 58, "Output"]
}, Open  ]],
Cell[81195, 2226, 140, 3, 154, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[81384, 2235, 47, 0, 81, "Subsubsection"],
Cell[81434, 2237, 84, 1, 82, "Input"],
Cell[81521, 2240, 474, 10, 135, "Input",
  CellTags->"Proposition (Equal Transitivity)"],
Cell[81998, 2252, 109, 2, 82, "Input"],
Cell[82110, 2256, 274, 8, 69, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[82433, 2270, 111, 5, 89, "Subsection"],

Cell[CellGroupData[{
Cell[82569, 2279, 106, 2, 108, "Input",
  CellTags->"sets"],
Cell[82678, 2283, 415, 13, 84, "Output"]
}, Open  ]],
Cell[83108, 2299, 261, 4, 82, "Input"],

Cell[CellGroupData[{
Cell[83394, 2307, 106, 2, 108, "Input",
  CellTags->"sets"],
Cell[83503, 2311, 43, 1, 58, "Output"]
}, Open  ]],
Cell[83561, 2315, 55, 1, 82, "Input"],

Cell[CellGroupData[{
Cell[83641, 2320, 97, 2, 108, "Input",
  CellTags->"sets"],
Cell[83741, 2324, 43, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[83821, 2330, 101, 2, 108, "Input",
  CellTags->"sets"],
Cell[83925, 2334, 43, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84005, 2340, 88, 1, 108, "Input"],
Cell[84096, 2343, 62, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84195, 2349, 66, 1, 82, "Input"],
Cell[84264, 2352, 38, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84339, 2358, 48, 1, 82, "Input"],
Cell[84390, 2361, 43, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84470, 2367, 48, 1, 82, "Input"],
Cell[84521, 2370, 43, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84601, 2376, 60, 1, 82, "Input"],
Cell[84664, 2379, 39, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84740, 2385, 58, 1, 82, "Input"],
Cell[84801, 2388, 38, 1, 58, "Output"]
}, Open  ]],
Cell[84854, 2392, 381, 8, 196, "Input",
  CellTags->"Line_71"],

Cell[CellGroupData[{
Cell[85260, 2404, 65, 1, 82, "Input"],
Cell[85328, 2407, 40, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[85405, 2413, 111, 2, 82, "Input"],
Cell[85519, 2417, 112, 2, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[85668, 2424, 49, 1, 82, "Input"],
Cell[85720, 2427, 50, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[85807, 2433, 73, 1, 82, "Input"],
Cell[85883, 2436, 38, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[85958, 2442, 56, 1, 82, "Input"],
Cell[86017, 2445, 38, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86092, 2451, 53, 1, 82, "Input"],
Cell[86148, 2454, 38, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86223, 2460, 58, 1, 82, "Input"],
Cell[86284, 2463, 39, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86360, 2469, 104, 2, 82, "Input"],
Cell[86467, 2473, 38, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86542, 2479, 129, 2, 82, "Input"],
Cell[86674, 2483, 35, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86746, 2489, 83, 1, 82, "Input"],
Cell[86832, 2492, 35, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86904, 2498, 80, 1, 82, "Input"],
Cell[86987, 2501, 35, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87059, 2507, 43, 1, 82, "Input"],
Cell[87105, 2510, 35, 1, 58, "Output"]
}, Open  ]],
Cell[87155, 2514, 493, 10, 238, "Input",
  CellTags->"Line_84"],

Cell[CellGroupData[{
Cell[87673, 2528, 54, 1, 82, "Input"],
Cell[87730, 2531, 38, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87805, 2537, 55, 1, 82, "Input"],
Cell[87863, 2540, 43, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87943, 2546, 58, 1, 82, "Input"],
Cell[88004, 2549, 56, 1, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88097, 2555, 64, 1, 82, "Input"],
Cell[88164, 2558, 182, 3, 94, "Output"]
}, Open  ]],
Cell[88361, 2564, 58, 1, 82, "Input"],

Cell[CellGroupData[{
Cell[88444, 2569, 64, 1, 82, "Input"],
Cell[88511, 2572, 65, 1, 58, "Output"]
}, Open  ]],
Cell[88591, 2576, 38, 1, 82, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[88678, 2583, 43, 0, 93, "Section"],

Cell[CellGroupData[{
Cell[88746, 2587, 49, 0, 125, "Subsection"],

Cell[CellGroupData[{
Cell[88820, 2591, 138, 5, 111, "Subsubsection"],

Cell[CellGroupData[{
Cell[88983, 2600, 40, 0, 94, "Subsubsubsection"],

Cell[CellGroupData[{
Cell[89048, 2604, 430, 9, 175, "Input",
  CellTags->"Definition (limit:)"],
Cell[89481, 2615, 183, 3, 43, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89701, 2623, 124, 3, 82, "Input"],
Cell[89828, 2628, 3933, 88, 151, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[93798, 2721, 258, 4, 121, "Input"],
Cell[94059, 2727, 537, 11, 216, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[94645, 2744, 41, 0, 73, "Subsubsubsection"],
Cell[94689, 2746, 354, 9, 118, "Input",
  CellTags->"Proposition (limit of sum)"]
}, Closed]],

Cell[CellGroupData[{
Cell[95080, 2760, 92, 1, 73, "Subsubsubsection",
  CellTags->"Proposition (limit of sum)"],
Cell[95175, 2763, 237, 6, 118, "Input",
  CellTags->"Definition (+:)"],
Cell[95415, 2771, 568, 12, 118, "Input",
  CellTags->"Lemma (|+|)"],

Cell[CellGroupData[{
Cell[96008, 2787, 344, 8, 118, "Input",
  CellTags->"Lemma (max)"],
Cell[96355, 2797, 179, 3, 43, "Message"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[96595, 2807, 322, 5, 76, "Subsubsection",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "Limit of a Sequence", "limit of sum", "lim sum", "max-greater", 
    "maximum", "sum of sequences"}],
Cell[96920, 2814, 839, 24, 229, "Input",
  CellTags->"Theory (limit)"],

Cell[CellGroupData[{
Cell[97784, 2842, 119, 3, 82, "Input"],
Cell[97906, 2847, 15829, 315, 384, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[113796, 3169, 36, 0, 81, "Subsection"],

Cell[CellGroupData[{
Cell[113857, 3173, 52, 0, 109, "Subsubsection"],
Cell[113912, 3175, 93, 2, 67, "Text"],
Cell[114008, 3179, 115, 3, 67, "Text"],
Cell[114126, 3184, 247, 8, 67, "Text"],
Cell[114376, 3194, 249, 8, 67, "Text"],
Cell[114628, 3204, 247, 8, 67, "Text"],
Cell[114878, 3214, 102, 3, 67, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[115017, 3222, 60, 0, 76, "Subsubsection"],
Cell[115080, 3224, 347, 6, 82, "Input",
  CellTags->{
  "2-ary limit", "2-ary limit of sum", "3-ary limit", "3-ary limit of sum", 
    "4-ary limit", "4-ary limit of sum", "distance of sum", "fsum", 
    "max-greater", "maximum", "sum of sequences"}],
Cell[115430, 3232, 279, 8, 69, "Text"],
Cell[115712, 3242, 197, 3, 118, "Input"],
Cell[115912, 3247, 277, 8, 69, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[116238, 3261, 43, 0, 81, "Subsection"],
Cell[116284, 3263, 340, 8, 142, "Text"],

Cell[CellGroupData[{
Cell[116649, 3275, 60, 0, 109, "Subsubsection"],
Cell[116712, 3277, 392, 8, 151, "Input",
  CellTags->"Definition (reflexivity)"],
Cell[117107, 3287, 426, 9, 157, "Input",
  CellTags->"Definition (symmetry)"],
Cell[117536, 3298, 477, 9, 157, "Input",
  CellTags->"Definition (transitivity)"],
Cell[118016, 3309, 1115, 27, 199, "Input",
  CellTags->"Definition (equivalence)"],
Cell[119134, 3338, 354, 8, 121, "Input",
  CellTags->"Definition (class)"]
}, Closed]],

Cell[CellGroupData[{
Cell[119525, 3351, 32, 0, 76, "Subsubsection"],
Cell[119560, 3353, 424, 8, 121, "Input",
  CellTags->"Proposition (equal classes)"],

Cell[CellGroupData[{
Cell[120009, 3365, 1056, 21, 262, "Input"],
Cell[121068, 3388, 166, 3, 43, "Message"],
Cell[121237, 3393, 465, 8, 238, "Output"]
}, Open  ]],
Cell[121717, 3404, 279, 8, 69, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[122045, 3418, 37, 0, 81, "Subsection"],
Cell[122085, 3420, 458, 10, 135, "Input",
  CellTags->"Proposition (conv of sum)"],
Cell[122546, 3432, 669, 14, 132, "Input",
  CellTags->"Definition (conv)"],
Cell[123218, 3448, 425, 11, 118, "Input",
  CellTags->"Definition (sum of sequences)"],
Cell[123646, 3461, 278, 8, 69, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[123961, 3474, 58, 0, 81, "Subsection"],

Cell[CellGroupData[{
Cell[124044, 3478, 57, 0, 109, "Subsubsection"],
Cell[124104, 3480, 367, 10, 162, "Input",
  CellTags->"Definition (addition)"]
}, Closed]],

Cell[CellGroupData[{
Cell[124508, 3495, 40, 0, 76, "Subsubsection"],
Cell[124551, 3497, 380, 10, 118, "Input",
  CellTags->"Proposition (commutativity of addition)"],
Cell[124934, 3509, 448, 7, 226, "Input",
  CellTags->"Proposition (commutativity of addition)"],
Cell[125385, 3518, 279, 8, 69, "Text"],
Cell[125667, 3528, 35, 0, 55, "SmallText"]
}, Closed]],

Cell[CellGroupData[{
Cell[125739, 3533, 36, 0, 76, "Subsubsection"],
Cell[125778, 3535, 475, 8, 190, "Input",
  CellTags->{
  "Addition", "assoc+", "comm\[RawStar]", "comm+", "left addition", 
    "Multiplication"}],
Cell[126256, 3545, 1029, 29, 69, "Text"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[127346, 3581, 41, 0, 93, "Section"],

Cell[CellGroupData[{
Cell[127412, 3585, 38, 0, 126, "Subsection"],
Cell[127453, 3587, 280, 8, 69, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[127770, 3600, 61, 0, 84, "Subsection"],
Cell[127834, 3602, 284, 8, 69, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[128155, 3615, 72, 0, 84, "Subsection"],
Cell[128230, 3617, 294, 8, 69, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[128573, 3631, 38, 0, 93, "Section"],

Cell[CellGroupData[{
Cell[128636, 3635, 40, 0, 126, "Subsection"],

Cell[CellGroupData[{
Cell[128701, 3639, 38, 0, 109, "Subsubsection"],
Cell[128742, 3641, 398, 10, 118, "Input",
  CellTags->"Proposition (conclusion)"],
Cell[129143, 3653, 388, 10, 159, "Input",
  CellTags->"Proposition (assumptions)"],
Cell[129534, 3665, 208, 4, 118, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[129779, 3674, 44, 0, 76, "Subsubsection"],
Cell[129826, 3676, 58, 1, 82, "Input"],
Cell[129887, 3679, 170, 3, 82, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[130106, 3688, 42, 0, 84, "Subsection"],
Cell[130151, 3690, 60, 1, 82, "Input"],
Cell[130214, 3693, 279, 7, 88, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[130530, 3705, 40, 0, 84, "Subsection"],
Cell[130573, 3707, 107, 2, 82, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[130717, 3714, 57, 0, 84, "Subsection"],

Cell[CellGroupData[{
Cell[130799, 3718, 34, 0, 109, "Subsubsection"],
Cell[130836, 3720, 66, 1, 82, "Input"],
Cell[130905, 3723, 91, 1, 82, "Input"],
Cell[130999, 3726, 92, 1, 82, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[131128, 3732, 48, 0, 76, "Subsubsection"],
Cell[131179, 3734, 72, 1, 82, "Input"],
Cell[131254, 3737, 44, 1, 82, "Input"],
Cell[131301, 3740, 49, 1, 82, "Input"],
Cell[131353, 3743, 49, 1, 82, "Input"]
}, Closed]]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

