(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    304450,       8960]*)
(*NotebookOutlinePosition[    323391,       9496]*)
(*  CellTagsIndexPosition[    319976,       9391]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of merge)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture15): conjecture15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  StyleBox["X1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "=", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (conjecture15): conjecture15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture44): conjecture44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X2",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X3",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X4",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"left\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"right\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"\[Not]", 
                RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"merged", "[", 
                RowBox[{
                  StyleBox["X2",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["X3",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "]"}], "\[TildeTilde]", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (conjecture44): conjecture44"]
}, Closed]],

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (correctness of sort)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (correctness of sort)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by well\[Dash]founded induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["X",
          FontWeight->"Bold",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1],
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["Well\[Dash]founded induction:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  "Well\[Dash]Founded Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x3",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x3",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x3",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  "We have to show:  "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "We try to prove ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by case distinction using ",
  StyleBox["(", "Label"],
  ButtonBox["Algorithm (sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Algorithm (sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ". However, the proof fails in at least one of the cases."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[CellGroupData[{

Cell["Case 1: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (trivial tuples are sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (trivial tuples are sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (only trivial tuple permuted version of itself)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (only trivial tuple permuted version of itself)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Formula  ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (closure of special)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (closure of special)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"11"],

Cell[TextData[{
  "Formula  ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (conjecture15): conjecture15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (conjecture15): conjecture15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "]"}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"21"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"22"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true by ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Case 2: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"6"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"8"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " , by ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are tuples): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ",",
  StyleBox[" (", "Label"],
  ButtonBox["Lemma (splits are tuples): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox["),", "Label"],
  " we obtain: "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"25"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"26"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"41"],

Cell[TextData[{
  "Not all the conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["41",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "can be proved."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  " ",
  StyleBox["(", "Label"],
  ButtonBox["41.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox["), ", "Label"],
  " by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (closure of merge)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (closure of merge)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[") ", "Label"],
  "is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"42"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["42.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["42.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["42.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["42.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["41.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (conjecture44): conjecture44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (conjecture44): conjecture44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"\[Not]", 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], 
            "]"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"44"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[") ", "Label"],
  "fails. (The prover \"QR\" was unable to transform the proof situation.)"
}], "ProofText",
  CellDingbat->"\[SadSmiley]",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  Background->RGBColor[1, 1, 0]]
}, Open  ]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Theorem["\<correctness of sort\>"], \ 
        using \[Rule] Theory["\<lazy thinking correctness of sort\>"], \ 
        by \[Rule] 
          CascadeLT[SqnsEqCasePC, \ GenerateConjectures, \ nS, \ aNS, \ 
            kConjectures, \ nConjectures], \ 
        built\[Dash]in \[Rule] \
{Property[\(\[TildeTilde]\)\(\(\[Rule]\)\({Commutative}\)\)]}, \ 
        ProverOptions \[Rule] {SqnsProofTechniques \[Rule] {"\<WFInd\>"}, \ 
            SqnsWFOrdering \[Rule] \[Bullet][ \[Succeeds] ], \ 
            GRWTarget \[Rule] {"\<kb\>", \ "\<goal\>"}, \ 
            AllowIntroduceQuantifiers \[Rule] True}, \ 
        SearchDepth \[Rule] 50] // Timing\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00000"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2003/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.56 ",
  ", ",
  "Date: 2003/03/04 08:52:19 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.67 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`CascadeLT`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2002/04/24 12:38:09 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.52 ",
  ", ",
  "Date: 2003/03/28 15:54:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`ConjectureGenerator`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`FailureAnalyser`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2002/06/03 18:29:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2001/11/19 12:11:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Prover`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:04:13 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:02:53 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Sqns`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"special", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x3",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x3",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x3",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(20)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"is\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[TildeTilde]", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"is\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[TildeTilde]", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(27)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(28)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(29)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(30)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(32)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"32"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(34)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"34"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(35)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"35"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(36)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"36"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(37)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"37"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(38)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"38"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(39)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"39"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(40)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"40"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(43)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"merged", "[", 
                RowBox[{
                  RowBox[{"sorted", "[", 
                    RowBox[{"left\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}], ",", 
                  RowBox[{"sorted", "[", 
                    RowBox[{"right\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}]}], "]"}], "]"}], "=", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"43"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"\[Not]", 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], 
            "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(45)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"merged", "[", 
                RowBox[{
                  RowBox[{"sorted", "[", 
                    RowBox[{"left\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}], ",", 
                  RowBox[{"sorted", "[", 
                    RowBox[{"right\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}]}], "]"}], "]"}], "=", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"45"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of merge)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture15): conjecture15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  StyleBox["X1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "=", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (conjecture15): conjecture15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture44): conjecture44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X2",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X3",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X4",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"left\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"right\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"\[Not]", 
                RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"merged", "[", 
                RowBox[{
                  StyleBox["X2",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["X3",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "]"}], "\[TildeTilde]", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (conjecture44): conjecture44"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Theorem (correctness of sort)"->{
    Cell[1823, 55, 1159, 31, 60, "Conclusion",
      CellTags->"Theorem (correctness of sort)"],
    Cell[301987, 8888, 1216, 33, 105, "Text",
      CellTags->"Theorem (correctness of sort)"],
    Cell[303206, 8923, 1216, 33, 105, "Text",
      CellTags->"Theorem (correctness of sort)"]},
  "Definition (is sorted): 1"->{
    Cell[3119, 93, 461, 12, 49, "Assumption",
      CellTags->"Definition (is sorted): 1"],
    Cell[265127, 7879, 513, 13, 105, "Text",
      CellTags->"Definition (is sorted): 1"]},
  "Definition (is sorted): 2"->{
    Cell[3583, 107, 935, 26, 57, "Assumption",
      CellTags->"Definition (is sorted): 2"],
    Cell[265643, 7894, 987, 27, 105, "Text",
      CellTags->"Definition (is sorted): 2"]},
  "Definition (is sorted): 3"->{
    Cell[4521, 135, 2935, 75, 61, "Assumption",
      CellTags->"Definition (is sorted): 3"],
    Cell[266633, 7923, 2992, 77, 105, "Text",
      CellTags->"Definition (is sorted): 3"]},
  "Definition (is permuted version): 1"->{
    Cell[7459, 212, 515, 12, 49, "Assumption",
      CellTags->"Definition (is permuted version): 1"],
    Cell[259510, 7729, 572, 14, 105, "Text",
      CellTags->"Definition (is permuted version): 1"]},
  "Definition (is permuted version): 2"->{
    Cell[7977, 226, 1474, 40, 61, "Assumption",
      CellTags->"Definition (is permuted version): 2"],
    Cell[260085, 7745, 1531, 42, 105, "Text",
      CellTags->"Definition (is permuted version): 2"]},
  "Definition (is permuted version): 3"->{
    Cell[9454, 268, 3448, 86, 61, "Assumption",
      CellTags->"Definition (is permuted version): 3"],
    Cell[261619, 7789, 3505, 88, 105, "Text",
      CellTags->"Definition (is permuted version): 3"]},
  "Definition (is sorted version)"->{
    Cell[12905, 356, 2618, 68, 75, "Assumption",
      CellTags->"Definition (is sorted version)"],
    Cell[269628, 8002, 2675, 70, 105, "Text",
      CellTags->"Definition (is sorted version)"]},
  "Proposition (is tuple tuple)"->{
    Cell[15526, 426, 950, 26, 58, "Assumption",
      CellTags->"Proposition (is tuple tuple)"],
    Cell[294761, 8690, 1002, 27, 105, "Text",
      CellTags->"Proposition (is tuple tuple)"]},
  "Definition (prepend): \[Cup]"->{
    Cell[16479, 454, 1862, 50, 61, "Assumption",
      CellTags->"Definition (prepend): \[Cup]"],
    Cell[273915, 8117, 1919, 52, 105, "Text",
      CellTags->"Definition (prepend): \[Cup]"]},
  "Proposition (singleton tuple is singleton tuple)"->{
    Cell[18344, 506, 996, 26, 57, "Assumption",
      CellTags->"Proposition (singleton tuple is singleton tuple)"],
    Cell[299548, 8822, 1048, 27, 105, "Text",
      CellTags->"Proposition (singleton tuple is singleton tuple)"]},
  "Definition (is trivial tuple)"->{
    Cell[19343, 534, 1549, 39, 60, "Assumption",
      CellTags->"Definition (is trivial tuple)"],
    Cell[272306, 8074, 1606, 41, 105, "Text",
      CellTags->"Definition (is trivial tuple)"]},
  "Definition (is element): 1"->{
    Cell[20895, 575, 952, 27, 57, "Assumption",
      CellTags->"Definition (is element): 1"],
    Cell[249933, 7462, 1009, 29, 105, "Text",
      CellTags->"Definition (is element): 1"]},
  "Definition (is element): 2"->{
    Cell[21850, 604, 2854, 75, 61, "Assumption",
      CellTags->"Definition (is element): 2"],
    Cell[250945, 7493, 2911, 77, 105, "Text",
      CellTags->"Definition (is element): 2"]},
  "Definition (deletion of the first occurrence): 1"->{
    Cell[24707, 681, 1130, 30, 57, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 1"],
    Cell[244833, 7331, 1187, 32, 105, "Text",
      CellTags->"Definition (deletion of the first occurrence): 1"]},
  "Definition (deletion of the first occurrence): 2"->{
    Cell[25840, 713, 3850, 93, 60, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 2"],
    Cell[246023, 7365, 3907, 95, 105, "Text",
      CellTags->"Definition (deletion of the first occurrence): 2"]},
  "Definition (is longer than): 1"->{
    Cell[29693, 808, 1056, 29, 61, "Assumption",
      CellTags->"Definition (is longer than): 1"],
    Cell[253859, 7572, 1113, 31, 105, "Text",
      CellTags->"Definition (is longer than): 1"]},
  "Definition (is longer than): 2"->{
    Cell[30752, 839, 1454, 39, 60, "Assumption",
      CellTags->"Definition (is longer than): 2"],
    Cell[254975, 7605, 1511, 41, 105, "Text",
      CellTags->"Definition (is longer than): 2"]},
  "Definition (is longer than): 3"->{
    Cell[32209, 880, 2961, 77, 61, "Assumption",
      CellTags->"Definition (is longer than): 3"],
    Cell[256489, 7648, 3018, 79, 105, "Text",
      CellTags->"Definition (is longer than): 3"]},
  "Proposition (trivial tuples are sorted)"->{
    Cell[35173, 959, 1333, 34, 78, "Assumption",
      CellTags->"Proposition (trivial tuples are sorted)"],
    Cell[300599, 8851, 1385, 35, 105, "Text",
      CellTags->"Proposition (trivial tuples are sorted)"]},
  "Proposition (only trivial tuple permuted version of itself)"->{
    Cell[36509, 995, 2375, 61, 78, "Assumption",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"],
    Cell[295766, 8719, 2432, 63, 105, "Text",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"]},
  "Proposition (reflexivity of permuted version)"->{
    Cell[38887, 1058, 1287, 34, 60, "Assumption",
      CellTags->"Proposition (reflexivity of permuted version)"],
    Cell[298201, 8784, 1344, 36, 105, "Text",
      CellTags->"Proposition (reflexivity of permuted version)"]},
  "Algorithm (sorted)"->{
    Cell[40177, 1094, 2545, 60, 99, "Assumption",
      CellTags->"Algorithm (sorted)"],
    Cell[242228, 7267, 2602, 62, 105, "Text",
      CellTags->"Algorithm (sorted)"]},
  "Lemma (closure of special)"->{
    Cell[42725, 1156, 1457, 39, 75, "Assumption",
      CellTags->"Lemma (closure of special)"],
    Cell[277394, 8215, 1514, 41, 105, "Text",
      CellTags->"Lemma (closure of special)"]},
  "Lemma (splits are tuples): 1"->{
    Cell[44185, 1197, 1515, 40, 75, "Assumption",
      CellTags->"Lemma (splits are tuples): 1"],
    Cell[291610, 8602, 1572, 42, 105, "Text",
      CellTags->"Lemma (splits are tuples): 1"]},
  "Lemma (splits are tuples): 2"->{
    Cell[45703, 1239, 1516, 40, 75, "Assumption",
      CellTags->"Lemma (splits are tuples): 2"],
    Cell[293185, 8646, 1573, 42, 105, "Text",
      CellTags->"Lemma (splits are tuples): 2"]},
  "Lemma (splits are shorter): 1"->{
    Cell[47222, 1281, 1464, 39, 76, "Assumption",
      CellTags->"Lemma (splits are shorter): 1"],
    Cell[285512, 8430, 1521, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 1"],
    Cell[287036, 8473, 1521, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 1"]},
  "Lemma (splits are shorter): 2"->{
    Cell[48689, 1322, 1465, 39, 76, "Assumption",
      CellTags->"Lemma (splits are shorter): 2"],
    Cell[288560, 8516, 1522, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 2"],
    Cell[290085, 8559, 1522, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 2"]},
  "Lemma (closure of merge)"->{
    Cell[50157, 1363, 1497, 40, 78, "Assumption",
      CellTags->"Lemma (closure of merge)"],
    Cell[275837, 8171, 1554, 42, 105, "Text",
      CellTags->"Lemma (closure of merge)"]},
  "Lemma (conjecture15): conjecture15"->{
    Cell[51657, 1405, 2037, 53, 75, "Assumption",
      CellTags->"Lemma (conjecture15): conjecture15"],
    Cell[278911, 8258, 2094, 55, 105, "Text",
      CellTags->"Lemma (conjecture15): conjecture15"]},
  "Lemma (conjecture44): conjecture44"->{
    Cell[53697, 1460, 4444, 111, 106, "Assumption",
      CellTags->"Lemma (conjecture44): conjecture44"],
    Cell[281008, 8315, 4501, 113, 105, "Text",
      CellTags->"Lemma (conjecture44): conjecture44"]},
  "1"->{
    Cell[59190, 1608, 635, 18, 49, "Assumption",
      CellTags->"1"],
    Cell[147506, 4679, 678, 20, 105, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[60003, 1634, 1745, 47, 60, "Assumption",
      CellTags->"2"],
    Cell[161421, 5082, 1784, 48, 105, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[61904, 1689, 987, 26, 49, "Conclusion",
      CellTags->"3"],
    Cell[180602, 5618, 1030, 28, 105, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[63749, 1745, 635, 18, 49, "Assumption",
      CellTags->"4"],
    Cell[203816, 6251, 692, 20, 105, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[64500, 1768, 974, 26, 49, "Conclusion",
      CellTags->"5"],
    Cell[238153, 7150, 1031, 28, 105, "Text",
      CellTags->"5"]},
  "9"->{
    Cell[66178, 1819, 622, 18, 49, "Assumption",
      CellTags->"9"],
    Cell[241546, 7245, 679, 20, 105, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[67544, 1862, 1712, 47, 58, "Assumption",
      CellTags->"10"],
    Cell[148187, 4701, 1769, 49, 105, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[70188, 1943, 679, 19, 49, "Assumption",
      CellTags->"11"],
    Cell[149959, 4752, 1085, 30, 105, "Text",
      CellTags->"11"]},
  "14"->{
    Cell[71815, 1996, 893, 26, 49, "Assumption",
      CellTags->"14"],
    Cell[154272, 4874, 957, 27, 105, "Text",
      CellTags->"14"]},
  "21"->{
    Cell[73347, 2047, 918, 25, 49, "Conclusion",
      CellTags->"21"],
    Cell[163947, 5155, 975, 27, 105, "Text",
      CellTags->"21"]},
  "22"->{
    Cell[74962, 2097, 1519, 42, 49, "Conclusion",
      CellTags->"22"],
    Cell[164925, 5184, 1576, 44, 105, "Text",
      CellTags->"22"]},
  "6"->{
    Cell[81734, 2324, 676, 19, 49, "Assumption",
      CellTags->"6"],
    Cell[239187, 7180, 733, 21, 105, "Text",
      CellTags->"6"]},
  "8"->{
    Cell[82526, 2348, 1563, 38, 73, "Conclusion",
      CellTags->"8"],
    Cell[239923, 7203, 1620, 40, 105, "Text",
      CellTags->"8"]},
  "23"->{
    Cell[86200, 2456, 1132, 29, 47, "Assumption",
      CellTags->"23"],
    Cell[168791, 5302, 1175, 31, 105, "Text",
      CellTags->"23"]},
  "24"->{
    Cell[87335, 2487, 1134, 29, 47, "Assumption",
      CellTags->"24"],
    Cell[169969, 5335, 1177, 31, 105, "Text",
      CellTags->"24"]},
  "25"->{
    Cell[89156, 2541, 1952, 49, 119, "Assumption",
      CellTags->"25"],
    Cell[171149, 5368, 2489, 61, 105, "Text",
      CellTags->"25"]},
  "26"->{
    Cell[91795, 2615, 1956, 49, 119, "Assumption",
      CellTags->"26"],
    Cell[173641, 5431, 2494, 61, 105, "Text",
      CellTags->"26"]},
  "41"->{
    Cell[94696, 2698, 3450, 81, 95, "Conclusion",
      CellTags->"41"],
    Cell[206544, 6326, 3817, 91, 105, "Text",
      CellTags->"41"]},
  "42"->{
    Cell[100689, 2859, 1227, 31, 49, "Conclusion",
      CellTags->"42"],
    Cell[215191, 6552, 1270, 33, 105, "Text",
      CellTags->"42"]},
  "44"->{
    Cell[107972, 3086, 3931, 96, 219, "Conclusion",
      CellTags->"44"],
    Cell[222536, 6736, 4298, 106, 105, "Text",
      CellTags->"44"]},
  "AdditionalInfo"->{
    Cell[126433, 3659, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]},
  "12"->{
    Cell[151047, 4784, 1843, 48, 105, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[152893, 4834, 1376, 38, 105, "Text",
      CellTags->"13"]},
  "15"->{
    Cell[155232, 4903, 945, 27, 105, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[156180, 4932, 905, 26, 105, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[157088, 4960, 957, 27, 105, "Text",
      CellTags->"17"]},
  "18"->{
    Cell[158048, 4989, 1377, 38, 105, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[159428, 5029, 1990, 51, 105, "Text",
      CellTags->"19"]},
  "20"->{
    Cell[163208, 5132, 736, 21, 105, "Text",
      CellTags->"20"]},
  "22.1"->{
    Cell[166504, 5230, 684, 20, 105, "Text",
      CellTags->"22.1"]},
  "22.2"->{
    Cell[167191, 5252, 909, 26, 105, "Text",
      CellTags->"22.2"]},
  "22.3"->{
    Cell[168103, 5280, 685, 20, 105, "Text",
      CellTags->"22.3"]},
  "27"->{
    Cell[176138, 5494, 1750, 47, 105, "Text",
      CellTags->"27"]},
  "28"->{
    Cell[177891, 5543, 1094, 30, 105, "Text",
      CellTags->"28"]},
  "29"->{
    Cell[178988, 5575, 1611, 41, 105, "Text",
      CellTags->"29"]},
  "30"->{
    Cell[181635, 5648, 745, 21, 105, "Text",
      CellTags->"30"]},
  "31"->{
    Cell[182383, 5671, 2009, 51, 105, "Text",
      CellTags->"31"]},
  "31.1"->{
    Cell[184395, 5724, 804, 22, 105, "Text",
      CellTags->"31.1"]},
  "31.2"->{
    Cell[185202, 5748, 1095, 30, 105, "Text",
      CellTags->"31.2"]},
  "31.3"->{
    Cell[186300, 5780, 805, 22, 105, "Text",
      CellTags->"31.3"]},
  "32"->{
    Cell[187108, 5804, 1095, 30, 105, "Text",
      CellTags->"32"]},
  "33"->{
    Cell[188206, 5836, 2013, 51, 105, "Text",
      CellTags->"33"]},
  "33.1"->{
    Cell[190222, 5889, 805, 22, 105, "Text",
      CellTags->"33.1"]},
  "33.2"->{
    Cell[191030, 5913, 1097, 30, 105, "Text",
      CellTags->"33.2"]},
  "33.3"->{
    Cell[192130, 5945, 806, 22, 105, "Text",
      CellTags->"33.3"]},
  "34"->{
    Cell[192939, 5969, 746, 21, 105, "Text",
      CellTags->"34"]},
  "35"->{
    Cell[193688, 5992, 2272, 55, 105, "Text",
      CellTags->"35"]},
  "36"->{
    Cell[195963, 6049, 1775, 44, 105, "Text",
      CellTags->"36"]},
  "37"->{
    Cell[197741, 6095, 2026, 51, 105, "Text",
      CellTags->"37"]},
  "38"->{
    Cell[199770, 6148, 2268, 55, 105, "Text",
      CellTags->"38"]},
  "39"->{
    Cell[202041, 6205, 1772, 44, 105, "Text",
      CellTags->"39"]},
  "40"->{
    Cell[204511, 6273, 2030, 51, 105, "Text",
      CellTags->"40"]},
  "41.1"->{
    Cell[210364, 6419, 684, 20, 105, "Text",
      CellTags->"41.1"]},
  "41.2"->{
    Cell[211051, 6441, 1303, 33, 105, "Text",
      CellTags->"41.2"]},
  "41.3"->{
    Cell[212357, 6476, 1524, 39, 105, "Text",
      CellTags->"41.3"]},
  "41.4"->{
    Cell[213884, 6517, 1304, 33, 105, "Text",
      CellTags->"41.4"]},
  "42.1"->{
    Cell[216464, 6587, 804, 22, 105, "Text",
      CellTags->"42.1"]},
  "42.2"->{
    Cell[217271, 6611, 805, 22, 105, "Text",
      CellTags->"42.2"]},
  "43"->{
    Cell[218079, 6635, 4454, 99, 105, "Text",
      CellTags->"43"]},
  "44.1"->{
    Cell[226837, 6844, 684, 20, 105, "Text",
      CellTags->"44.1"]},
  "44.2"->{
    Cell[227524, 6866, 804, 22, 105, "Text",
      CellTags->"44.2"]},
  "44.3"->{
    Cell[228331, 6890, 1095, 30, 105, "Text",
      CellTags->"44.3"]},
  "44.4"->{
    Cell[229429, 6922, 805, 22, 105, "Text",
      CellTags->"44.4"]},
  "44.5"->{
    Cell[230237, 6946, 805, 22, 105, "Text",
      CellTags->"44.5"]},
  "44.6"->{
    Cell[231045, 6970, 1097, 30, 105, "Text",
      CellTags->"44.6"]},
  "44.7"->{
    Cell[232145, 7002, 806, 22, 105, "Text",
      CellTags->"44.7"]},
  "44.8"->{
    Cell[232954, 7026, 739, 21, 105, "Text",
      CellTags->"44.8"]},
  "45"->{
    Cell[233696, 7049, 4454, 99, 105, "Text",
      CellTags->"45"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Theorem (correctness of sort)", 305196, 8980},
  {"Definition (is sorted): 1", 305519, 8987},
  {"Definition (is sorted): 2", 305736, 8992},
  {"Definition (is sorted): 3", 305954, 8997},
  {"Definition (is permuted version): 1", 306184, 9002},
  {"Definition (is permuted version): 2", 306432, 9007},
  {"Definition (is permuted version): 3", 306682, 9012},
  {"Definition (is sorted version)", 306927, 9017},
  {"Proposition (is tuple tuple)", 307161, 9022},
  {"Definition (prepend): \[Cup]", 307390, 9027},
  {"Proposition (singleton tuple is singleton tuple)", 307640, 9032},
  {"Definition (is trivial tuple)", 307910, 9037},
  {"Definition (is element): 1", 308140, 9042},
  {"Definition (is element): 2", 308363, 9047},
  {"Definition (deletion of the first occurrence): 1", 308609, 9052},
  {"Definition (deletion of the first occurrence): 2", 308899, 9057},
  {"Definition (is longer than): 1", 309171, 9062},
  {"Definition (is longer than): 2", 309407, 9067},
  {"Definition (is longer than): 3", 309643, 9072},
  {"Proposition (trivial tuples are sorted)", 309888, 9077},
  {"Proposition (only trivial tuple permuted version of itself)", 310171, \
9082},
  {"Proposition (reflexivity of permuted version)", 310494, 9089},
  {"Algorithm (sorted)", 310749, 9094},
  {"Lemma (closure of special)", 310958, 9099},
  {"Lemma (splits are tuples): 1", 311185, 9104},
  {"Lemma (splits are tuples): 2", 311416, 9109},
  {"Lemma (splits are shorter): 1", 311648, 9114},
  {"Lemma (splits are shorter): 2", 311978, 9121},
  {"Lemma (closure of merge)", 312303, 9128},
  {"Lemma (conjecture15): conjecture15", 312532, 9133},
  {"Lemma (conjecture44): conjecture44", 312781, 9138},
  {"1", 313000, 9143},
  {"2", 313148, 9148},
  {"3", 313298, 9153},
  {"4", 313447, 9158},
  {"5", 313595, 9163},
  {"9", 313744, 9168},
  {"10", 313893, 9173},
  {"11", 314046, 9178},
  {"14", 314198, 9183},
  {"21", 314349, 9188},
  {"22", 314500, 9193},
  {"6", 314652, 9198},
  {"8", 314800, 9203},
  {"23", 314951, 9208},
  {"24", 315104, 9213},
  {"25", 315257, 9218},
  {"26", 315411, 9223},
  {"41", 315565, 9228},
  {"42", 315718, 9233},
  {"44", 315872, 9238},
  {"AdditionalInfo", 316040, 9243},
  {"12", 316131, 9246},
  {"13", 316211, 9249},
  {"15", 316291, 9252},
  {"16", 316370, 9255},
  {"17", 316449, 9258},
  {"18", 316528, 9261},
  {"19", 316608, 9264},
  {"20", 316688, 9267},
  {"22.1", 316769, 9270},
  {"22.2", 316852, 9273},
  {"22.3", 316935, 9276},
  {"27", 317016, 9279},
  {"28", 317096, 9282},
  {"29", 317176, 9285},
  {"30", 317256, 9288},
  {"31", 317335, 9291},
  {"31.1", 317417, 9294},
  {"31.2", 317500, 9297},
  {"31.3", 317584, 9300},
  {"32", 317665, 9303},
  {"33", 317745, 9306},
  {"33.1", 317827, 9309},
  {"33.2", 317910, 9312},
  {"33.3", 317994, 9315},
  {"34", 318075, 9318},
  {"35", 318154, 9321},
  {"36", 318234, 9324},
  {"37", 318314, 9327},
  {"38", 318394, 9330},
  {"39", 318474, 9333},
  {"40", 318554, 9336},
  {"41.1", 318636, 9339},
  {"41.2", 318719, 9342},
  {"41.3", 318803, 9345},
  {"41.4", 318887, 9348},
  {"42.1", 318971, 9351},
  {"42.2", 319054, 9354},
  {"43", 319135, 9357},
  {"44.1", 319217, 9360},
  {"44.2", 319300, 9363},
  {"44.3", 319383, 9366},
  {"44.4", 319467, 9369},
  {"44.5", 319550, 9372},
  {"44.6", 319633, 9375},
  {"44.7", 319717, 9378},
  {"44.8", 319800, 9381},
  {"45", 319881, 9384}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 49, "ProofText"],
Cell[1823, 55, 1159, 31, 60, "Conclusion",
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{
Cell[3007, 90, 109, 1, 49, "ProofText"],
Cell[3119, 93, 461, 12, 49, "Assumption",
  CellTags->"Definition (is sorted): 1"],
Cell[3583, 107, 935, 26, 57, "Assumption",
  CellTags->"Definition (is sorted): 2"],
Cell[4521, 135, 2935, 75, 61, "Assumption",
  CellTags->"Definition (is sorted): 3"],
Cell[7459, 212, 515, 12, 49, "Assumption",
  CellTags->"Definition (is permuted version): 1"],
Cell[7977, 226, 1474, 40, 61, "Assumption",
  CellTags->"Definition (is permuted version): 2"],
Cell[9454, 268, 3448, 86, 61, "Assumption",
  CellTags->"Definition (is permuted version): 3"],
Cell[12905, 356, 2618, 68, 75, "Assumption",
  CellTags->"Definition (is sorted version)"],
Cell[15526, 426, 950, 26, 58, "Assumption",
  CellTags->"Proposition (is tuple tuple)"],
Cell[16479, 454, 1862, 50, 61, "Assumption",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[18344, 506, 996, 26, 57, "Assumption",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[19343, 534, 1549, 39, 60, "Assumption",
  CellTags->"Definition (is trivial tuple)"],
Cell[20895, 575, 952, 27, 57, "Assumption",
  CellTags->"Definition (is element): 1"],
Cell[21850, 604, 2854, 75, 61, "Assumption",
  CellTags->"Definition (is element): 2"],
Cell[24707, 681, 1130, 30, 57, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[25840, 713, 3850, 93, 60, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[29693, 808, 1056, 29, 61, "Assumption",
  CellTags->"Definition (is longer than): 1"],
Cell[30752, 839, 1454, 39, 60, "Assumption",
  CellTags->"Definition (is longer than): 2"],
Cell[32209, 880, 2961, 77, 61, "Assumption",
  CellTags->"Definition (is longer than): 3"],
Cell[35173, 959, 1333, 34, 78, "Assumption",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[36509, 995, 2375, 61, 78, "Assumption",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[38887, 1058, 1287, 34, 60, "Assumption",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[40177, 1094, 2545, 60, 99, "Assumption",
  CellTags->"Algorithm (sorted)"],
Cell[42725, 1156, 1457, 39, 75, "Assumption",
  CellTags->"Lemma (closure of special)"],
Cell[44185, 1197, 1515, 40, 75, "Assumption",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[45703, 1239, 1516, 40, 75, "Assumption",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[47222, 1281, 1464, 39, 76, "Assumption",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[48689, 1322, 1465, 39, 76, "Assumption",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[50157, 1363, 1497, 40, 78, "Assumption",
  CellTags->"Lemma (closure of merge)"],
Cell[51657, 1405, 2037, 53, 75, "Assumption",
  CellTags->"Lemma (conjecture15): conjecture15"],
Cell[53697, 1460, 4444, 111, 106, "Assumption",
  CellTags->"Lemma (conjecture44): conjecture44"]
}, Closed]],
Cell[58156, 1574, 763, 23, 45, "ProofText"],
Cell[58922, 1599, 123, 1, 49, "ProofText"],
Cell[59048, 1602, 139, 4, 49, "ProofText"],
Cell[59190, 1608, 635, 18, 49, "Assumption",
  CellTags->"1"],
Cell[59828, 1628, 172, 4, 49, "ProofText"],
Cell[60003, 1634, 1745, 47, 60, "Assumption",
  CellTags->"2"],
Cell[61751, 1683, 150, 4, 49, "ProofText"],
Cell[61904, 1689, 987, 26, 49, "Conclusion",
  CellTags->"3"],
Cell[62894, 1717, 732, 21, 49, "ProofText"],

Cell[CellGroupData[{
Cell[63651, 1742, 95, 1, 49, "ProofText"],
Cell[63749, 1745, 635, 18, 49, "Assumption",
  CellTags->"4"],
Cell[64387, 1765, 110, 1, 49, "ProofText"],
Cell[64500, 1768, 974, 26, 49, "Conclusion",
  CellTags->"5"],
Cell[65477, 1796, 698, 21, 49, "ProofText"],
Cell[66178, 1819, 622, 18, 49, "Assumption",
  CellTags->"9"],
Cell[66803, 1839, 738, 21, 49, "ProofText"],
Cell[67544, 1862, 1712, 47, 58, "Assumption",
  CellTags->"10"],
Cell[69259, 1911, 926, 30, 49, "ProofText"],
Cell[70188, 1943, 679, 19, 49, "Assumption",
  CellTags->"11"],
Cell[70870, 1964, 942, 30, 49, "ProofText"],
Cell[71815, 1996, 893, 26, 49, "Assumption",
  CellTags->"14"],
Cell[72711, 2024, 633, 21, 49, "ProofText"],
Cell[73347, 2047, 918, 25, 49, "Conclusion",
  CellTags->"21"],
Cell[74268, 2074, 691, 21, 49, "ProofText"],
Cell[74962, 2097, 1519, 42, 49, "Conclusion",
  CellTags->"22"],
Cell[76484, 2141, 406, 12, 49, "ProofText"],

Cell[CellGroupData[{
Cell[76915, 2157, 803, 24, 49, "ProofText"],
Cell[77721, 2183, 657, 21, 49, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[78415, 2209, 1033, 31, 49, "ProofText"],
Cell[79451, 2242, 635, 21, 49, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[80123, 2268, 804, 24, 49, "ProofText"],
Cell[80930, 2294, 657, 21, 49, "ProofText"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[81636, 2321, 95, 1, 45, "ProofText"],
Cell[81734, 2324, 676, 19, 49, "Assumption",
  CellTags->"6"],
Cell[82413, 2345, 110, 1, 47, "ProofText"],
Cell[82526, 2348, 1563, 38, 73, "Conclusion",
  CellTags->"8"],
Cell[84092, 2388, 2105, 66, 73, "ProofText"],
Cell[86200, 2456, 1132, 29, 47, "Assumption",
  CellTags->"23"],
Cell[87335, 2487, 1134, 29, 47, "Assumption",
  CellTags->"24"],
Cell[88472, 2518, 681, 21, 47, "ProofText"],
Cell[89156, 2541, 1952, 49, 119, "Assumption",
  CellTags->"25"],
Cell[91111, 2592, 681, 21, 47, "ProofText"],
Cell[91795, 2615, 1956, 49, 119, "Assumption",
  CellTags->"26"],
Cell[93754, 2666, 939, 30, 47, "ProofText"],
Cell[94696, 2698, 3450, 81, 95, "Conclusion",
  CellTags->"41"],
Cell[98149, 2781, 407, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[98581, 2797, 1422, 37, 47, "ProofText"],
Cell[100006, 2836, 680, 21, 49, "ProofText"],
Cell[100689, 2859, 1227, 31, 49, "Conclusion",
  CellTags->"42"],
Cell[101919, 2892, 406, 12, 49, "ProofText"],

Cell[CellGroupData[{
Cell[102350, 2908, 923, 26, 49, "ProofText"],
Cell[103276, 2936, 663, 21, 49, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[103976, 2962, 924, 26, 49, "ProofText"],
Cell[104903, 2990, 663, 21, 49, "ProofText"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[105615, 3017, 1648, 44, 40, "ProofText"],
Cell[107266, 3063, 703, 21, 47, "ProofText"],
Cell[107972, 3086, 3931, 96, 219, "Conclusion",
  CellTags->"44"],
Cell[111906, 3184, 406, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[112337, 3200, 923, 26, 47, "ProofText"],
Cell[113263, 3228, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[113963, 3254, 1214, 34, 47, "ProofText"],
Cell[115180, 3290, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[115880, 3316, 924, 26, 47, "ProofText"],
Cell[116807, 3344, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[117507, 3370, 924, 26, 47, "ProofText"],
Cell[118434, 3398, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[119134, 3424, 1216, 34, 47, "ProofText"],
Cell[120353, 3460, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[121053, 3486, 925, 26, 47, "ProofText"],
Cell[121981, 3514, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[122681, 3540, 858, 25, 47, "ProofText"],
Cell[123542, 3567, 657, 21, 47, "ProofText"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[124248, 3594, 1423, 37, 40, "ProofText"],
Cell[125674, 3633, 513, 14, 71, "ProofText"]
}, Open  ]]
}, Open  ]],
Cell[126214, 3651, 182, 3, 36, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[126433, 3659, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[126546, 3664, 36, 0, 105, "Subsection"],
Cell[126585, 3666, 687, 12, 105, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[127309, 3683, 34, 0, 105, "Subsection"],
Cell[127346, 3685, 120, 7, 105, "Text"],
Cell[127469, 3694, 98, 4, 105, "Text"],
Cell[127570, 3700, 99, 4, 105, "Text"],
Cell[127672, 3706, 180, 9, 105, "Text"],
Cell[127855, 3717, 195, 9, 105, "Text"],
Cell[128053, 3728, 231, 9, 105, "Text"],
Cell[128287, 3739, 230, 9, 105, "Text"],
Cell[128520, 3750, 216, 9, 105, "Text"],
Cell[128739, 3761, 216, 9, 105, "Text"],
Cell[128958, 3772, 216, 9, 105, "Text"],
Cell[129177, 3783, 228, 9, 105, "Text"],
Cell[129408, 3794, 227, 9, 105, "Text"],
Cell[129638, 3805, 227, 9, 105, "Text"],
Cell[129868, 3816, 221, 9, 105, "Text"],
Cell[130092, 3827, 228, 9, 105, "Text"],
Cell[130323, 3838, 224, 9, 105, "Text"],
Cell[130550, 3849, 224, 9, 105, "Text"],
Cell[130777, 3860, 217, 9, 105, "Text"],
Cell[130997, 3871, 218, 9, 105, "Text"],
Cell[131218, 3882, 225, 9, 105, "Text"],
Cell[131446, 3893, 222, 9, 105, "Text"],
Cell[131671, 3904, 222, 9, 105, "Text"],
Cell[131896, 3915, 221, 9, 105, "Text"],
Cell[132120, 3926, 221, 9, 105, "Text"],
Cell[132344, 3937, 221, 9, 105, "Text"],
Cell[132568, 3948, 223, 9, 105, "Text"],
Cell[132794, 3959, 218, 9, 105, "Text"],
Cell[133015, 3970, 220, 9, 105, "Text"],
Cell[133238, 3981, 225, 9, 105, "Text"],
Cell[133466, 3992, 190, 9, 105, "Text"],
Cell[133659, 4003, 229, 9, 105, "Text"],
Cell[133891, 4014, 230, 9, 105, "Text"],
Cell[134124, 4025, 228, 9, 105, "Text"],
Cell[134355, 4036, 226, 9, 105, "Text"],
Cell[134584, 4047, 219, 9, 105, "Text"],
Cell[134806, 4058, 222, 9, 105, "Text"],
Cell[135031, 4069, 223, 9, 105, "Text"],
Cell[135257, 4080, 223, 9, 105, "Text"],
Cell[135483, 4091, 234, 9, 105, "Text"],
Cell[135720, 4102, 233, 9, 105, "Text"],
Cell[135956, 4113, 212, 9, 105, "Text"],
Cell[136171, 4124, 208, 9, 105, "Text"],
Cell[136382, 4135, 221, 9, 105, "Text"],
Cell[136606, 4146, 230, 9, 105, "Text"],
Cell[136839, 4157, 218, 9, 105, "Text"],
Cell[137060, 4168, 220, 9, 105, "Text"],
Cell[137283, 4179, 216, 9, 105, "Text"],
Cell[137502, 4190, 222, 9, 105, "Text"],
Cell[137727, 4201, 218, 9, 105, "Text"],
Cell[137948, 4212, 221, 9, 105, "Text"],
Cell[138172, 4223, 225, 9, 105, "Text"],
Cell[138400, 4234, 223, 9, 105, "Text"],
Cell[138626, 4245, 219, 9, 105, "Text"],
Cell[138848, 4256, 231, 9, 105, "Text"],
Cell[139082, 4267, 236, 9, 105, "Text"],
Cell[139321, 4278, 230, 9, 105, "Text"],
Cell[139554, 4289, 226, 9, 105, "Text"],
Cell[139783, 4300, 228, 9, 105, "Text"],
Cell[140014, 4311, 232, 9, 105, "Text"],
Cell[140249, 4322, 226, 9, 105, "Text"],
Cell[140478, 4333, 224, 9, 105, "Text"],
Cell[140705, 4344, 235, 9, 105, "Text"],
Cell[140943, 4355, 230, 9, 105, "Text"],
Cell[141176, 4366, 241, 9, 105, "Text"],
Cell[141420, 4377, 170, 9, 105, "Text"],
Cell[141593, 4388, 227, 9, 105, "Text"],
Cell[141823, 4399, 225, 9, 105, "Text"],
Cell[142051, 4410, 230, 9, 105, "Text"],
Cell[142284, 4421, 224, 9, 105, "Text"],
Cell[142511, 4432, 221, 9, 105, "Text"],
Cell[142735, 4443, 230, 9, 105, "Text"],
Cell[142968, 4454, 235, 9, 105, "Text"],
Cell[143206, 4465, 246, 9, 105, "Text"],
Cell[143455, 4476, 224, 9, 105, "Text"],
Cell[143682, 4487, 228, 9, 105, "Text"],
Cell[143913, 4498, 241, 9, 105, "Text"],
Cell[144157, 4509, 234, 9, 105, "Text"],
Cell[144394, 4520, 229, 9, 105, "Text"],
Cell[144626, 4531, 232, 9, 105, "Text"],
Cell[144861, 4542, 216, 9, 105, "Text"],
Cell[145080, 4553, 225, 9, 105, "Text"],
Cell[145308, 4564, 187, 9, 105, "Text"],
Cell[145498, 4575, 226, 9, 105, "Text"],
Cell[145727, 4586, 233, 9, 105, "Text"],
Cell[145963, 4597, 227, 9, 105, "Text"],
Cell[146193, 4608, 223, 9, 105, "Text"],
Cell[146419, 4619, 192, 9, 105, "Text"],
Cell[146614, 4630, 210, 9, 105, "Text"],
Cell[146827, 4641, 211, 9, 105, "Text"],
Cell[147041, 4652, 184, 9, 105, "Text"],
Cell[147228, 4663, 182, 9, 105, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[147447, 4677, 56, 0, 105, "Subsection"],
Cell[147506, 4679, 678, 20, 105, "Text",
  CellTags->"1"],
Cell[148187, 4701, 1769, 49, 105, "Text",
  CellTags->"10"],
Cell[149959, 4752, 1085, 30, 105, "Text",
  CellTags->"11"],
Cell[151047, 4784, 1843, 48, 105, "Text",
  CellTags->"12"],
Cell[152893, 4834, 1376, 38, 105, "Text",
  CellTags->"13"],
Cell[154272, 4874, 957, 27, 105, "Text",
  CellTags->"14"],
Cell[155232, 4903, 945, 27, 105, "Text",
  CellTags->"15"],
Cell[156180, 4932, 905, 26, 105, "Text",
  CellTags->"16"],
Cell[157088, 4960, 957, 27, 105, "Text",
  CellTags->"17"],
Cell[158048, 4989, 1377, 38, 105, "Text",
  CellTags->"18"],
Cell[159428, 5029, 1990, 51, 105, "Text",
  CellTags->"19"],
Cell[161421, 5082, 1784, 48, 105, "Text",
  CellTags->"2"],
Cell[163208, 5132, 736, 21, 105, "Text",
  CellTags->"20"],
Cell[163947, 5155, 975, 27, 105, "Text",
  CellTags->"21"],
Cell[164925, 5184, 1576, 44, 105, "Text",
  CellTags->"22"],
Cell[166504, 5230, 684, 20, 105, "Text",
  CellTags->"22.1"],
Cell[167191, 5252, 909, 26, 105, "Text",
  CellTags->"22.2"],
Cell[168103, 5280, 685, 20, 105, "Text",
  CellTags->"22.3"],
Cell[168791, 5302, 1175, 31, 105, "Text",
  CellTags->"23"],
Cell[169969, 5335, 1177, 31, 105, "Text",
  CellTags->"24"],
Cell[171149, 5368, 2489, 61, 105, "Text",
  CellTags->"25"],
Cell[173641, 5431, 2494, 61, 105, "Text",
  CellTags->"26"],
Cell[176138, 5494, 1750, 47, 105, "Text",
  CellTags->"27"],
Cell[177891, 5543, 1094, 30, 105, "Text",
  CellTags->"28"],
Cell[178988, 5575, 1611, 41, 105, "Text",
  CellTags->"29"],
Cell[180602, 5618, 1030, 28, 105, "Text",
  CellTags->"3"],
Cell[181635, 5648, 745, 21, 105, "Text",
  CellTags->"30"],
Cell[182383, 5671, 2009, 51, 105, "Text",
  CellTags->"31"],
Cell[184395, 5724, 804, 22, 105, "Text",
  CellTags->"31.1"],
Cell[185202, 5748, 1095, 30, 105, "Text",
  CellTags->"31.2"],
Cell[186300, 5780, 805, 22, 105, "Text",
  CellTags->"31.3"],
Cell[187108, 5804, 1095, 30, 105, "Text",
  CellTags->"32"],
Cell[188206, 5836, 2013, 51, 105, "Text",
  CellTags->"33"],
Cell[190222, 5889, 805, 22, 105, "Text",
  CellTags->"33.1"],
Cell[191030, 5913, 1097, 30, 105, "Text",
  CellTags->"33.2"],
Cell[192130, 5945, 806, 22, 105, "Text",
  CellTags->"33.3"],
Cell[192939, 5969, 746, 21, 105, "Text",
  CellTags->"34"],
Cell[193688, 5992, 2272, 55, 105, "Text",
  CellTags->"35"],
Cell[195963, 6049, 1775, 44, 105, "Text",
  CellTags->"36"],
Cell[197741, 6095, 2026, 51, 105, "Text",
  CellTags->"37"],
Cell[199770, 6148, 2268, 55, 105, "Text",
  CellTags->"38"],
Cell[202041, 6205, 1772, 44, 105, "Text",
  CellTags->"39"],
Cell[203816, 6251, 692, 20, 105, "Text",
  CellTags->"4"],
Cell[204511, 6273, 2030, 51, 105, "Text",
  CellTags->"40"],
Cell[206544, 6326, 3817, 91, 105, "Text",
  CellTags->"41"],
Cell[210364, 6419, 684, 20, 105, "Text",
  CellTags->"41.1"],
Cell[211051, 6441, 1303, 33, 105, "Text",
  CellTags->"41.2"],
Cell[212357, 6476, 1524, 39, 105, "Text",
  CellTags->"41.3"],
Cell[213884, 6517, 1304, 33, 105, "Text",
  CellTags->"41.4"],
Cell[215191, 6552, 1270, 33, 105, "Text",
  CellTags->"42"],
Cell[216464, 6587, 804, 22, 105, "Text",
  CellTags->"42.1"],
Cell[217271, 6611, 805, 22, 105, "Text",
  CellTags->"42.2"],
Cell[218079, 6635, 4454, 99, 105, "Text",
  CellTags->"43"],
Cell[222536, 6736, 4298, 106, 105, "Text",
  CellTags->"44"],
Cell[226837, 6844, 684, 20, 105, "Text",
  CellTags->"44.1"],
Cell[227524, 6866, 804, 22, 105, "Text",
  CellTags->"44.2"],
Cell[228331, 6890, 1095, 30, 105, "Text",
  CellTags->"44.3"],
Cell[229429, 6922, 805, 22, 105, "Text",
  CellTags->"44.4"],
Cell[230237, 6946, 805, 22, 105, "Text",
  CellTags->"44.5"],
Cell[231045, 6970, 1097, 30, 105, "Text",
  CellTags->"44.6"],
Cell[232145, 7002, 806, 22, 105, "Text",
  CellTags->"44.7"],
Cell[232954, 7026, 739, 21, 105, "Text",
  CellTags->"44.8"],
Cell[233696, 7049, 4454, 99, 105, "Text",
  CellTags->"45"],
Cell[238153, 7150, 1031, 28, 105, "Text",
  CellTags->"5"],
Cell[239187, 7180, 733, 21, 105, "Text",
  CellTags->"6"],
Cell[239923, 7203, 1620, 40, 105, "Text",
  CellTags->"8"],
Cell[241546, 7245, 679, 20, 105, "Text",
  CellTags->"9"],
Cell[242228, 7267, 2602, 62, 105, "Text",
  CellTags->"Algorithm (sorted)"],
Cell[244833, 7331, 1187, 32, 105, "Text",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[246023, 7365, 3907, 95, 105, "Text",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[249933, 7462, 1009, 29, 105, "Text",
  CellTags->"Definition (is element): 1"],
Cell[250945, 7493, 2911, 77, 105, "Text",
  CellTags->"Definition (is element): 2"],
Cell[253859, 7572, 1113, 31, 105, "Text",
  CellTags->"Definition (is longer than): 1"],
Cell[254975, 7605, 1511, 41, 105, "Text",
  CellTags->"Definition (is longer than): 2"],
Cell[256489, 7648, 3018, 79, 105, "Text",
  CellTags->"Definition (is longer than): 3"],
Cell[259510, 7729, 572, 14, 105, "Text",
  CellTags->"Definition (is permuted version): 1"],
Cell[260085, 7745, 1531, 42, 105, "Text",
  CellTags->"Definition (is permuted version): 2"],
Cell[261619, 7789, 3505, 88, 105, "Text",
  CellTags->"Definition (is permuted version): 3"],
Cell[265127, 7879, 513, 13, 105, "Text",
  CellTags->"Definition (is sorted): 1"],
Cell[265643, 7894, 987, 27, 105, "Text",
  CellTags->"Definition (is sorted): 2"],
Cell[266633, 7923, 2992, 77, 105, "Text",
  CellTags->"Definition (is sorted): 3"],
Cell[269628, 8002, 2675, 70, 105, "Text",
  CellTags->"Definition (is sorted version)"],
Cell[272306, 8074, 1606, 41, 105, "Text",
  CellTags->"Definition (is trivial tuple)"],
Cell[273915, 8117, 1919, 52, 105, "Text",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[275837, 8171, 1554, 42, 105, "Text",
  CellTags->"Lemma (closure of merge)"],
Cell[277394, 8215, 1514, 41, 105, "Text",
  CellTags->"Lemma (closure of special)"],
Cell[278911, 8258, 2094, 55, 105, "Text",
  CellTags->"Lemma (conjecture15): conjecture15"],
Cell[281008, 8315, 4501, 113, 105, "Text",
  CellTags->"Lemma (conjecture44): conjecture44"],
Cell[285512, 8430, 1521, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[287036, 8473, 1521, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[288560, 8516, 1522, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[290085, 8559, 1522, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[291610, 8602, 1572, 42, 105, "Text",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[293185, 8646, 1573, 42, 105, "Text",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[294761, 8690, 1002, 27, 105, "Text",
  CellTags->"Proposition (is tuple tuple)"],
Cell[295766, 8719, 2432, 63, 105, "Text",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[298201, 8784, 1344, 36, 105, "Text",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[299548, 8822, 1048, 27, 105, "Text",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[300599, 8851, 1385, 35, 105, "Text",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[301987, 8888, 1216, 33, 105, "Text",
  CellTags->"Theorem (correctness of sort)"],
Cell[303206, 8923, 1216, 33, 105, "Text",
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

