(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    192337,       5720]*)
(*NotebookOutlinePosition[    202053,       6020]*)
(*  CellTagsIndexPosition[    200599,       5969]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Proposition (conv of sum): l+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"conv", "[", 
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"conv", "[", 
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"conv", "[", 
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[CirclePlus]", 
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (conv of sum): l+"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Definition (conv): l2:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"conv", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}], "\[Implies]", 
                    RowBox[{
                      UnderscriptBox["\[Exists]", 
                        RowBox[{
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "\[GreaterEqual]", 
                              StyleBox["N",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[Implies]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  RowBox[{
                                    StyleBox["f",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "[", 
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "]"}], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}]}], 
                  ")"}]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (conv): l2:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Definition (sum of functions): \[CirclePlus]:)\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Definition (product of functions): \[CirclePlus]:)\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CircleDot]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "*", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (product of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar])\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}], 
              "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}]}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->
  "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Proposition (max): max:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (max): max:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Proposition (min): min:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (min): min:"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (conv of sum): l+",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (conv of sum): l+"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(f\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(g\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " and we prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"conv", "[", 
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"conv", "[", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"conv", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[CirclePlus]", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(3)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"conv", "[", 
        StyleBox[\(f\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(4)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"conv", "[", 
        StyleBox[\(g\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"conv", "[", 
        RowBox[{
          StyleBox[\(f\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[CirclePlus]", 
          StyleBox[\(g\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "Using the definition ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (conv): l2:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (conv): l2:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we expand the goal ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(5)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(f\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "\[CirclePlus]", 
                                  StyleBox[\(g\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}], "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(6)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(f\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(7)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(g\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(a\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(a\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(9)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{
                            StyleBox[\(f\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(10)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{
                            StyleBox[\(g\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_2\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find appropriate values ",
  Cell[BoxData[
      \(a\_0\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(8)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{
                            RowBox[{"(", 
                              RowBox[{
                                StyleBox[\(f\_0\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "\[CirclePlus]", 
                                StyleBox[\(g\_0\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}], ")"}], "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], 
                          "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}],
                       "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(\[Epsilon]\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(11)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(12)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox[\(f\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[CirclePlus]", 
                          StyleBox[\(g\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                  "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  "For using ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to find appropriate values ",
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      \(\[Epsilon]\_2\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", and we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(13)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_1\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{
                        StyleBox[\(f\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(14)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_2\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{
                        StyleBox[\(g\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_2\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[CellGroupData[{

Cell["We prove first:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(15)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(18)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], 
        "\[Implies]", \(\[Epsilon]\_1\%\("*"\) > 
            0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"18"],

Cell[TextData[{
  "Using the substitution from step ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " becomes:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(36)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], "\[Implies]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"36"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["36",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "36"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we assume ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(16)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(f\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(17)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(g\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"17"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(N\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(N\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(20)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(21)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"21"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find appropriate values ",
  Cell[BoxData[
      \(N\_0\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(19)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(f\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[CirclePlus]", 
                        StyleBox[\(g\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], ")"}], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"19"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(n\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(22)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"22"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(23)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
          "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  "For using ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to find appropriate values ",
  Cell[BoxData[
      \(n\_1\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      \(n\_2\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", and we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(24)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", \(n\_1\%\("*"\)\), "]"}], "-", 
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_1\%\("*"\)\)}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(25)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", \(n\_2\%\("*"\)\), "]"}], "-", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_2\%\("*"\)\)}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"25"],

Cell[CellGroupData[{

Cell["We prove first:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(26)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"26"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["26",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "26"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(29)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"29"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it becomes an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (max): max:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (max): max:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by taking: ",
  Cell[BoxData[
      RowBox[{"{", 
        RowBox[{
          RowBox[{\(n\_1\%\("*"\)\), "\[Rule]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{\(n\_2\%\("*"\)\), "\[Rule]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{\(N\_0\%\("*"\)\), "\[Rule]", 
            RowBox[{"max", "[", 
              RowBox[{
                StyleBox[\(N\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(N\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}]}], "}"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we assume ",
  StyleBox["(", "Label"],
  ButtonBox["26",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "26"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["26",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "26"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(27)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", \(n\_1\%\("*"\)\), "]"}], "-", 
            StyleBox[\(a\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_1\%\("*"\)\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(28)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", \(n\_2\%\("*"\)\), "]"}], "-", 
            StyleBox[\(a\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_2\%\("*"\)\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"28"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["27, 28",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "27, 28"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(30)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", \(n\_1\%\("*"\)\), "]"}], "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", \(n\_2\%\("*"\)\), "]"}], "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"30"],

Cell[TextData[{
  "Using the substitution from step ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["30",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "30"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " becomes:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(32)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"32"],

Cell[TextData[{
  "Using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (sum of functions): \[CirclePlus]:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (sum of functions): \[CirclePlus]:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["32",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "32"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is transformed into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(35)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], 
              "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"35"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["35",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "35"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it becomes an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by taking: ",
  Cell[BoxData[
      RowBox[{"{", 
        RowBox[{
          RowBox[{\(a\_0\%\("*"\)\), "\[Rule]", 
            RowBox[{
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ",", 
          RowBox[{\(\[Epsilon]\_1\%\("*"\)\), "\[Rule]", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ",", 
          RowBox[{\(\[Epsilon]\_2\%\("*"\)\), "\[Rule]", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}], "}"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      StyleBox["Prove",
        FontWeight->"Bold"], "[", \(Proposition["\<conv of sum\>"], 
      using \[Rule] {Definition["\<conv\>"], Theory["\<auxiliary\>"]}\), 
      "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2001/01/17 17:07:14 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/07/21 10:17:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.59 ",
  ", ",
  "Date: 2000/12/13 17:52:12 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 15:56:36 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/01/25 15:47:41 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/10/20 09:32:04 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 2001/01/15 16:06:25 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/11/28 18:48:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2000/12/13 20:09:49 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/06/01 00:03:05 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:14 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.41 ",
  ", ",
  "Date: 2000/12/12 13:19:19 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:07:29 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/07/05 10:08:23 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/01/25 15:54:05 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PredicateProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/10/20 09:30:52 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`ProverByDef`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/10/20 09:30:52 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/17 17:04:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"conv", "[", 
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[And]", 
          RowBox[{"conv", "[", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[Implies]", 
        RowBox[{"conv", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[CirclePlus]", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(10)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{
                            StyleBox[\(g\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_2\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(11)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(12)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox[\(f\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[CirclePlus]", 
                          StyleBox[\(g\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                  "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(13)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_1\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{
                        StyleBox[\(f\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(14)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_2\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{
                        StyleBox[\(g\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_2\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(15)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(16)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(f\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(17)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(g\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(18)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], 
        "\[Implies]", \(\[Epsilon]\_1\%\("*"\) > 
            0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(19)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(f\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[CirclePlus]", 
                        StyleBox[\(g\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], ")"}], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"conv", "[", 
        RowBox[{
          StyleBox[\(f\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[CirclePlus]", 
          StyleBox[\(g\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(20)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(21)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(22)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(23)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
          "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(24)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", \(n\_1\%\("*"\)\), "]"}], "-", 
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_1\%\("*"\)\)}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(25)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", \(n\_2\%\("*"\)\), "]"}], "-", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_2\%\("*"\)\)}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(26)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(27)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", \(n\_1\%\("*"\)\), "]"}], "-", 
            StyleBox[\(a\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_1\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(28)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", \(n\_2\%\("*"\)\), "]"}], "-", 
            StyleBox[\(a\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_2\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(29)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(3)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"conv", "[", 
        StyleBox[\(f\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(30)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", \(n\_1\%\("*"\)\), "]"}], "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", \(n\_2\%\("*"\)\), "]"}], "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(32)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"32"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(33)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", 
        RowBox[{"max", "[", 
          RowBox[{
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(34)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"34"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(35)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], 
              "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"35"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(36)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], "\[Implies]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"36"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(4)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"conv", "[", 
        StyleBox[\(g\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(5)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(f\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "\[CirclePlus]", 
                                  StyleBox[\(g\_0\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], ")"}], "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(6)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(f\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(7)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(g\_0\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(8)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{
                            RowBox[{"(", 
                              RowBox[{
                                StyleBox[\(f\_0\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "\[CirclePlus]", 
                                StyleBox[\(g\_0\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}], ")"}], "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], 
                          "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}],
                       "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(9)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{
                            StyleBox[\(f\_0\),
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Definition (conv): l2:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"conv", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}], "\[Implies]", 
                    RowBox[{
                      UnderscriptBox["\[Exists]", 
                        RowBox[{
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "\[GreaterEqual]", 
                              StyleBox["N",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[Implies]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  RowBox[{
                                    StyleBox["f",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "[", 
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "]"}], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}]}], 
                  ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (conv): l2:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Definition (product of functions): \[CirclePlus]:)\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CircleDot]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "*", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (product of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Definition (sum of functions): \[CirclePlus]:)\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Proposition (conv of sum): l+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"conv", "[", 
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"conv", "[", 
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"conv", "[", 
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[CirclePlus]", 
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (conv of sum): l+"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar])\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}], 
              "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}]}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->
  "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["\<\
(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])\
\>", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Proposition (max): max:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (max): max:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(Proposition (min): min:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (min): min:"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1.25,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (conv of sum): l+"->{
    Cell[1823, 55, 1554, 43, 45, "Conclusion",
      CellTags->"Proposition (conv of sum): l+"],
    Cell[177657, 5314, 1611, 45, 87, "Text",
      CellTags->"Proposition (conv of sum): l+"]},
  "Definition (conv): l2:"->{
    Cell[3514, 105, 4170, 96, 43, "Assumption",
      CellTags->"Definition (conv): l2:"],
    Cell[168950, 5082, 4227, 98, 87, "Text",
      CellTags->"Definition (conv): l2:"]},
  "Definition (sum of functions): \[CirclePlus]:"->{
    Cell[7687, 203, 2175, 62, 45, "Assumption",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"],
    Cell[175422, 5248, 2232, 64, 87, "Text",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"]},
  "Definition (product of functions): \[CirclePlus]:"->{
    Cell[9865, 267, 2182, 62, 45, "Assumption",
      CellTags->"Definition (product of functions): \[CirclePlus]:"],
    Cell[173180, 5182, 2239, 64, 87, "Text",
      CellTags->"Definition (product of functions): \[CirclePlus]:"]},
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"->{
    Cell[12050, 331, 3772, 100, 45, "Assumption",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    Cell[184086, 5486, 3829, 102, 87, "Text",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"]},
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"->{
    Cell[15825, 433, 4755, 121, 46, "Assumption",
      CellTags->
      "Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]"],
    Cell[179271, 5361, 4812, 123, 87, "Text",
      CellTags->
      "Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]"]},
  "Proposition (max): max:"->{
    Cell[20583, 556, 2158, 60, 45, "Assumption",
      CellTags->"Proposition (max): max:"],
    Cell[187918, 5590, 2215, 62, 87, "Text",
      CellTags->"Proposition (max): max:"]},
  "Proposition (min): min:"->{
    Cell[22744, 618, 2116, 60, 45, "Assumption",
      CellTags->"Proposition (min): min:"],
    Cell[190136, 5654, 2173, 62, 87, "Text",
      CellTags->"Proposition (min): min:"]},
  "1"->{
    Cell[25912, 713, 1074, 31, 38, "Conclusion",
      CellTags->"1"],
    Cell[112593, 3510, 1117, 33, 87, "Text",
      CellTags->"1"]},
  "3"->{
    Cell[27374, 760, 475, 14, 38, "Assumption",
      CellTags->"3"],
    Cell[141761, 4350, 518, 16, 87, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[27852, 776, 475, 14, 38, "Assumption",
      CellTags->"4"],
    Cell[152833, 4666, 518, 16, 87, "Text",
      CellTags->"4"]},
  "2"->{
    Cell[28440, 795, 646, 19, 38, "Conclusion",
      CellTags->"2"],
    Cell[130304, 4006, 689, 21, 87, "Text",
      CellTags->"2"]},
  "5"->{
    Cell[30316, 858, 3447, 83, 43, "Conclusion",
      CellTags->"5"],
    Cell[153354, 4684, 3490, 85, 87, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[33766, 943, 3097, 77, 43, "Assumption",
      CellTags->"6"],
    Cell[156847, 4771, 3140, 79, 87, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[36866, 1022, 3097, 77, 43, "Assumption",
      CellTags->"7"],
    Cell[159990, 4852, 3140, 79, 87, "Text",
      CellTags->"7"]},
  "9"->{
    Cell[41196, 1143, 2771, 70, 43, "Assumption",
      CellTags->"9"],
    Cell[166138, 5009, 2809, 71, 87, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[43970, 1215, 2773, 70, 43, "Assumption",
      CellTags->"10"],
    Cell[113713, 3545, 2811, 71, 87, "Text",
      CellTags->"10"]},
  "8"->{
    Cell[47341, 1306, 2964, 73, 43, "Conclusion",
      CellTags->"8"],
    Cell[163133, 4933, 3002, 74, 87, "Text",
      CellTags->"8"]},
  "11"->{
    Cell[51040, 1405, 478, 14, 38, "Assumption",
      CellTags->"11"],
    Cell[116527, 3618, 521, 16, 87, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[51631, 1424, 2189, 57, 43, "Conclusion",
      CellTags->"12"],
    Cell[117051, 3636, 2232, 59, 87, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[54891, 1517, 2053, 53, 43, "Assumption",
      CellTags->"13"],
    Cell[119286, 3697, 2091, 54, 87, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[56947, 1572, 2053, 53, 43, "Assumption",
      CellTags->"14"],
    Cell[121380, 3753, 2091, 54, 87, "Text",
      CellTags->"14"]},
  "15"->{
    Cell[59137, 1632, 401, 11, 38, "Conclusion",
      CellTags->"15"],
    Cell[123474, 3809, 444, 13, 87, "Text",
      CellTags->"15"]},
  "18"->{
    Cell[60193, 1668, 607, 17, 38, "Conclusion",
      CellTags->"18"],
    Cell[127815, 3934, 650, 19, 87, "Text",
      CellTags->"18"]},
  "36"->{
    Cell[61469, 1710, 721, 21, 40, "Conclusion",
      CellTags->"36"],
    Cell[152066, 4641, 764, 23, 87, "Text",
      CellTags->"36"]},
  "16"->{
    Cell[64244, 1808, 1906, 52, 43, "Assumption",
      CellTags->"16"],
    Cell[123921, 3824, 1944, 53, 87, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[66153, 1862, 1906, 52, 43, "Assumption",
      CellTags->"17"],
    Cell[125868, 3879, 1944, 53, 87, "Text",
      CellTags->"17"]},
  "20"->{
    Cell[69296, 1958, 1625, 44, 43, "Assumption",
      CellTags->"20"],
    Cell[130996, 4029, 1668, 46, 87, "Text",
      CellTags->"20"]},
  "21"->{
    Cell[70924, 2004, 1625, 44, 43, "Assumption",
      CellTags->"21"],
    Cell[132667, 4077, 1668, 46, 87, "Text",
      CellTags->"21"]},
  "19"->{
    Cell[73149, 2069, 1790, 47, 43, "Conclusion",
      CellTags->"19"],
    Cell[128468, 3955, 1833, 49, 87, "Text",
      CellTags->"19"]},
  "22"->{
    Cell[75667, 2142, 502, 15, 38, "Assumption",
      CellTags->"22"],
    Cell[134338, 4125, 540, 16, 87, "Text",
      CellTags->"22"]},
  "23"->{
    Cell[76282, 2162, 1170, 32, 38, "Conclusion",
      CellTags->"23"],
    Cell[134881, 4143, 1213, 34, 87, "Text",
      CellTags->"23"]},
  "24"->{
    Cell[78507, 2230, 1047, 28, 38, "Assumption",
      CellTags->"24"],
    Cell[136097, 4179, 1090, 30, 87, "Text",
      CellTags->"24"]},
  "25"->{
    Cell[79557, 2260, 1047, 28, 38, "Assumption",
      CellTags->"25"],
    Cell[137190, 4211, 1090, 30, 87, "Text",
      CellTags->"25"]},
  "26"->{
    Cell[80741, 2295, 718, 20, 38, "Conclusion",
      CellTags->"26"],
    Cell[138283, 4243, 761, 22, 87, "Text",
      CellTags->"26"]},
  "29"->{
    Cell[82114, 2340, 964, 27, 38, "Conclusion",
      CellTags->"29"],
    Cell[140751, 4319, 1007, 29, 87, "Text",
      CellTags->"29"]},
  "27"->{
    Cell[86414, 2478, 806, 22, 38, "Assumption",
      CellTags->"27"],
    Cell[139047, 4267, 849, 24, 87, "Text",
      CellTags->"27"]},
  "28"->{
    Cell[87223, 2502, 806, 22, 38, "Assumption",
      CellTags->"28"],
    Cell[139899, 4293, 849, 24, 87, "Text",
      CellTags->"28"]},
  "30"->{
    Cell[88692, 2549, 2346, 60, 38, "Conclusion",
      CellTags->"30"],
    Cell[142282, 4368, 2389, 62, 87, "Text",
      CellTags->"30"]},
  "32"->{
    Cell[91707, 2634, 2626, 68, 38, "Conclusion",
      CellTags->"32"],
    Cell[144674, 4432, 2669, 70, 87, "Text",
      CellTags->"32"]},
  "35"->{
    Cell[95073, 2727, 2838, 73, 38, "Conclusion",
      CellTags->"35"],
    Cell[149182, 4564, 2881, 75, 87, "Text",
      CellTags->"35"]},
  "AdditionalInfo"->{
    Cell[99859, 2860, 88, 1, 66, "Section",
      CellTags->"AdditionalInfo"]},
  "33"->{
    Cell[147346, 4504, 853, 26, 87, "Text",
      CellTags->"33"]},
  "34"->{
    Cell[148202, 4532, 977, 30, 87, "Text",
      CellTags->"34"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (conv of sum): l+", 193111, 5741},
  {"Definition (conv): l2:", 193334, 5746},
  {"Definition (sum of functions): \[CirclePlus]:", 193567, 5751},
  {"Definition (product of functions): \[CirclePlus]:", 193850, 5756},
  {"Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]", 194168, 5762},
  {"Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]", 194579, 5772},
  {"Proposition (max): max:", 194959, 5781},
  {"Proposition (min): min:", 195173, 5786},
  {"1", 195365, 5791},
  {"3", 195513, 5796},
  {"4", 195659, 5801},
  {"2", 195805, 5806},
  {"5", 195951, 5811},
  {"6", 196099, 5816},
  {"7", 196247, 5821},
  {"9", 196396, 5826},
  {"10", 196546, 5831},
  {"8", 196697, 5836},
  {"11", 196847, 5841},
  {"12", 196997, 5846},
  {"13", 197149, 5851},
  {"14", 197301, 5856},
  {"15", 197453, 5861},
  {"18", 197603, 5866},
  {"36", 197753, 5871},
  {"16", 197903, 5876},
  {"17", 198055, 5881},
  {"20", 198207, 5886},
  {"21", 198359, 5891},
  {"19", 198511, 5896},
  {"22", 198663, 5901},
  {"23", 198813, 5906},
  {"24", 198965, 5911},
  {"25", 199117, 5916},
  {"26", 199269, 5921},
  {"29", 199419, 5926},
  {"27", 199570, 5931},
  {"28", 199720, 5936},
  {"30", 199870, 5941},
  {"32", 200022, 5946},
  {"35", 200174, 5951},
  {"AdditionalInfo", 200338, 5956},
  {"33", 200428, 5959},
  {"34", 200506, 5962}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 38, "ProofText"],
Cell[1823, 55, 1554, 43, 45, "Conclusion",
  CellTags->"Proposition (conv of sum): l+"],

Cell[CellGroupData[{
Cell[3402, 102, 109, 1, 38, "ProofText"],
Cell[3514, 105, 4170, 96, 43, "Assumption",
  CellTags->"Definition (conv): l2:"],
Cell[7687, 203, 2175, 62, 45, "Assumption",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[9865, 267, 2182, 62, 45, "Assumption",
  CellTags->"Definition (product of functions): \[CirclePlus]:"],
Cell[12050, 331, 3772, 100, 45, "Assumption",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[15825, 433, 4755, 121, 46, "Assumption",
  CellTags->
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"],
Cell[20583, 556, 2158, 60, 45, "Assumption",
  CellTags->"Proposition (max): max:"],
Cell[22744, 618, 2116, 60, 45, "Assumption",
  CellTags->"Proposition (min): min:"]
}, Open  ]],
Cell[24875, 681, 1034, 30, 38, "ProofText"],
Cell[25912, 713, 1074, 31, 38, "Conclusion",
  CellTags->"1"],
Cell[26989, 746, 382, 12, 38, "ProofText"],
Cell[27374, 760, 475, 14, 38, "Assumption",
  CellTags->"3"],
Cell[27852, 776, 475, 14, 38, "Assumption",
  CellTags->"4"],
Cell[28330, 792, 107, 1, 38, "ProofText"],
Cell[28440, 795, 646, 19, 38, "Conclusion",
  CellTags->"2"],
Cell[29089, 816, 1224, 40, 38, "ProofText"],
Cell[30316, 858, 3447, 83, 43, "Conclusion",
  CellTags->"5"],
Cell[33766, 943, 3097, 77, 43, "Assumption",
  CellTags->"6"],
Cell[36866, 1022, 3097, 77, 43, "Assumption",
  CellTags->"7"],
Cell[39966, 1101, 1227, 40, 38, "ProofText"],
Cell[41196, 1143, 2771, 70, 43, "Assumption",
  CellTags->"9"],
Cell[43970, 1215, 2773, 70, 43, "Assumption",
  CellTags->"10"],
Cell[46746, 1287, 592, 17, 38, "ProofText"],
Cell[47341, 1306, 2964, 73, 43, "Conclusion",
  CellTags->"8"],
Cell[50308, 1381, 729, 22, 38, "ProofText"],
Cell[51040, 1405, 478, 14, 38, "Assumption",
  CellTags->"11"],
Cell[51521, 1421, 107, 1, 38, "ProofText"],
Cell[51631, 1424, 2189, 57, 43, "Conclusion",
  CellTags->"12"],
Cell[53823, 1483, 1065, 32, 38, "ProofText"],
Cell[54891, 1517, 2053, 53, 43, "Assumption",
  CellTags->"13"],
Cell[56947, 1572, 2053, 53, 43, "Assumption",
  CellTags->"14"],

Cell[CellGroupData[{
Cell[59025, 1629, 109, 1, 38, "ProofText"],
Cell[59137, 1632, 401, 11, 38, "Conclusion",
  CellTags->"15"],
Cell[59541, 1645, 649, 21, 38, "ProofText"],
Cell[60193, 1668, 607, 17, 38, "Conclusion",
  CellTags->"18"],
Cell[60803, 1687, 663, 21, 38, "ProofText"],
Cell[61469, 1710, 721, 21, 40, "Conclusion",
  CellTags->"36"],
Cell[62193, 1733, 440, 14, 58, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62670, 1752, 660, 21, 38, "ProofText"],
Cell[63333, 1775, 908, 31, 38, "ProofText"],
Cell[64244, 1808, 1906, 52, 43, "Assumption",
  CellTags->"16"],
Cell[66153, 1862, 1906, 52, 43, "Assumption",
  CellTags->"17"],
Cell[68062, 1916, 1231, 40, 38, "ProofText"],
Cell[69296, 1958, 1625, 44, 43, "Assumption",
  CellTags->"20"],
Cell[70924, 2004, 1625, 44, 43, "Assumption",
  CellTags->"21"],
Cell[72552, 2050, 594, 17, 38, "ProofText"],
Cell[73149, 2069, 1790, 47, 43, "Conclusion",
  CellTags->"19"],
Cell[74942, 2118, 722, 22, 38, "ProofText"],
Cell[75667, 2142, 502, 15, 38, "Assumption",
  CellTags->"22"],
Cell[76172, 2159, 107, 1, 38, "ProofText"],
Cell[76282, 2162, 1170, 32, 38, "Conclusion",
  CellTags->"23"],
Cell[77455, 2196, 1049, 32, 38, "ProofText"],
Cell[78507, 2230, 1047, 28, 38, "Assumption",
  CellTags->"24"],
Cell[79557, 2260, 1047, 28, 38, "Assumption",
  CellTags->"25"],

Cell[CellGroupData[{
Cell[80629, 2292, 109, 1, 38, "ProofText"],
Cell[80741, 2295, 718, 20, 38, "Conclusion",
  CellTags->"26"],
Cell[81462, 2317, 649, 21, 38, "ProofText"],
Cell[82114, 2340, 964, 27, 38, "Conclusion",
  CellTags->"29"],
Cell[83081, 2369, 1722, 48, 38, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84840, 2422, 660, 21, 38, "ProofText"],
Cell[85503, 2445, 908, 31, 38, "ProofText"],
Cell[86414, 2478, 806, 22, 38, "Assumption",
  CellTags->"27"],
Cell[87223, 2502, 806, 22, 38, "Assumption",
  CellTags->"28"],
Cell[88032, 2526, 657, 21, 38, "ProofText"],
Cell[88692, 2549, 2346, 60, 38, "Conclusion",
  CellTags->"30"],
Cell[91041, 2611, 663, 21, 38, "ProofText"],
Cell[91707, 2634, 2626, 68, 38, "Conclusion",
  CellTags->"32"],
Cell[94336, 2704, 734, 21, 38, "ProofText"],
Cell[95073, 2727, 2838, 73, 38, "Conclusion",
  CellTags->"35"],
Cell[97914, 2802, 1884, 51, 40, "ProofText"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[99859, 2860, 88, 1, 66, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[99972, 2865, 36, 0, 87, "Subsection"],
Cell[100011, 2867, 216, 5, 87, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[100264, 2877, 34, 0, 87, "Subsection"],
Cell[100301, 2879, 120, 7, 87, "Text"],
Cell[100424, 2888, 98, 4, 87, "Text"],
Cell[100525, 2894, 99, 4, 87, "Text"],
Cell[100627, 2900, 187, 9, 87, "Text"],
Cell[100817, 2911, 221, 9, 87, "Text"],
Cell[101041, 2922, 220, 9, 87, "Text"],
Cell[101264, 2933, 206, 9, 87, "Text"],
Cell[101473, 2944, 206, 9, 87, "Text"],
Cell[101682, 2955, 206, 9, 87, "Text"],
Cell[101891, 2966, 220, 9, 87, "Text"],
Cell[102114, 2977, 216, 9, 87, "Text"],
Cell[102333, 2988, 217, 9, 87, "Text"],
Cell[102553, 2999, 220, 9, 87, "Text"],
Cell[102776, 3010, 214, 9, 87, "Text"],
Cell[102993, 3021, 214, 9, 87, "Text"],
Cell[103210, 3032, 209, 9, 87, "Text"],
Cell[103422, 3043, 210, 9, 87, "Text"],
Cell[103635, 3054, 215, 9, 87, "Text"],
Cell[103853, 3065, 212, 9, 87, "Text"],
Cell[104068, 3076, 211, 9, 87, "Text"],
Cell[104282, 3087, 213, 9, 87, "Text"],
Cell[104498, 3098, 211, 9, 87, "Text"],
Cell[104712, 3109, 215, 9, 87, "Text"],
Cell[104930, 3120, 208, 9, 87, "Text"],
Cell[105141, 3131, 210, 9, 87, "Text"],
Cell[105354, 3142, 217, 9, 87, "Text"],
Cell[105574, 3153, 209, 9, 87, "Text"],
Cell[105786, 3164, 217, 9, 87, "Text"],
Cell[106006, 3175, 211, 9, 87, "Text"],
Cell[106220, 3186, 209, 9, 87, "Text"],
Cell[106432, 3197, 219, 9, 87, "Text"],
Cell[106654, 3208, 220, 9, 87, "Text"],
Cell[106877, 3219, 218, 9, 87, "Text"],
Cell[107098, 3230, 218, 9, 87, "Text"],
Cell[107319, 3241, 211, 9, 87, "Text"],
Cell[107533, 3252, 214, 9, 87, "Text"],
Cell[107750, 3263, 213, 9, 87, "Text"],
Cell[107966, 3274, 224, 9, 87, "Text"],
Cell[108193, 3285, 225, 9, 87, "Text"],
Cell[108421, 3296, 207, 9, 87, "Text"],
Cell[108631, 3307, 215, 9, 87, "Text"],
Cell[108849, 3318, 206, 9, 87, "Text"],
Cell[109058, 3329, 213, 9, 87, "Text"],
Cell[109274, 3340, 209, 9, 87, "Text"],
Cell[109486, 3351, 218, 9, 87, "Text"],
Cell[109707, 3362, 226, 9, 87, "Text"],
Cell[109936, 3373, 220, 9, 87, "Text"],
Cell[110159, 3384, 218, 9, 87, "Text"],
Cell[110380, 3395, 217, 9, 87, "Text"],
Cell[110600, 3406, 222, 9, 87, "Text"],
Cell[110825, 3417, 216, 9, 87, "Text"],
Cell[111044, 3428, 214, 9, 87, "Text"],
Cell[111261, 3439, 224, 9, 87, "Text"],
Cell[111488, 3450, 220, 9, 87, "Text"],
Cell[111711, 3461, 200, 9, 87, "Text"],
Cell[111914, 3472, 201, 9, 87, "Text"],
Cell[112118, 3483, 204, 9, 87, "Text"],
Cell[112325, 3494, 172, 9, 87, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[112534, 3508, 56, 0, 87, "Subsection"],
Cell[112593, 3510, 1117, 33, 87, "Text",
  CellTags->"1"],
Cell[113713, 3545, 2811, 71, 87, "Text",
  CellTags->"10"],
Cell[116527, 3618, 521, 16, 87, "Text",
  CellTags->"11"],
Cell[117051, 3636, 2232, 59, 87, "Text",
  CellTags->"12"],
Cell[119286, 3697, 2091, 54, 87, "Text",
  CellTags->"13"],
Cell[121380, 3753, 2091, 54, 87, "Text",
  CellTags->"14"],
Cell[123474, 3809, 444, 13, 87, "Text",
  CellTags->"15"],
Cell[123921, 3824, 1944, 53, 87, "Text",
  CellTags->"16"],
Cell[125868, 3879, 1944, 53, 87, "Text",
  CellTags->"17"],
Cell[127815, 3934, 650, 19, 87, "Text",
  CellTags->"18"],
Cell[128468, 3955, 1833, 49, 87, "Text",
  CellTags->"19"],
Cell[130304, 4006, 689, 21, 87, "Text",
  CellTags->"2"],
Cell[130996, 4029, 1668, 46, 87, "Text",
  CellTags->"20"],
Cell[132667, 4077, 1668, 46, 87, "Text",
  CellTags->"21"],
Cell[134338, 4125, 540, 16, 87, "Text",
  CellTags->"22"],
Cell[134881, 4143, 1213, 34, 87, "Text",
  CellTags->"23"],
Cell[136097, 4179, 1090, 30, 87, "Text",
  CellTags->"24"],
Cell[137190, 4211, 1090, 30, 87, "Text",
  CellTags->"25"],
Cell[138283, 4243, 761, 22, 87, "Text",
  CellTags->"26"],
Cell[139047, 4267, 849, 24, 87, "Text",
  CellTags->"27"],
Cell[139899, 4293, 849, 24, 87, "Text",
  CellTags->"28"],
Cell[140751, 4319, 1007, 29, 87, "Text",
  CellTags->"29"],
Cell[141761, 4350, 518, 16, 87, "Text",
  CellTags->"3"],
Cell[142282, 4368, 2389, 62, 87, "Text",
  CellTags->"30"],
Cell[144674, 4432, 2669, 70, 87, "Text",
  CellTags->"32"],
Cell[147346, 4504, 853, 26, 87, "Text",
  CellTags->"33"],
Cell[148202, 4532, 977, 30, 87, "Text",
  CellTags->"34"],
Cell[149182, 4564, 2881, 75, 87, "Text",
  CellTags->"35"],
Cell[152066, 4641, 764, 23, 87, "Text",
  CellTags->"36"],
Cell[152833, 4666, 518, 16, 87, "Text",
  CellTags->"4"],
Cell[153354, 4684, 3490, 85, 87, "Text",
  CellTags->"5"],
Cell[156847, 4771, 3140, 79, 87, "Text",
  CellTags->"6"],
Cell[159990, 4852, 3140, 79, 87, "Text",
  CellTags->"7"],
Cell[163133, 4933, 3002, 74, 87, "Text",
  CellTags->"8"],
Cell[166138, 5009, 2809, 71, 87, "Text",
  CellTags->"9"],
Cell[168950, 5082, 4227, 98, 87, "Text",
  CellTags->"Definition (conv): l2:"],
Cell[173180, 5182, 2239, 64, 87, "Text",
  CellTags->"Definition (product of functions): \[CirclePlus]:"],
Cell[175422, 5248, 2232, 64, 87, "Text",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[177657, 5314, 1611, 45, 87, "Text",
  CellTags->"Proposition (conv of sum): l+"],
Cell[179271, 5361, 4812, 123, 87, "Text",
  CellTags->
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"],
Cell[184086, 5486, 3829, 102, 87, "Text",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[187918, 5590, 2215, 62, 87, "Text",
  CellTags->"Proposition (max): max:"],
Cell[190136, 5654, 2173, 62, 87, "Text",
  CellTags->"Proposition (min): min:"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

