(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     94144,       3434]*)
(*NotebookOutlinePosition[     98336,       3549]*)
(*  CellTagsIndexPosition[     97793,       3531]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition (Goal))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition (Goal)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox[\(T\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"f", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", "b", ",", "a", ",", "a", ",", 
                    "b", ",", "a", ",", "b", ",", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(S\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "=", 
                RowBox[{"f", "[", 
                  RowBox[{
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(T\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], ")"}]}]}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 1)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 1"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{"a", ",", "b", ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              StyleBox[\(S\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Axiom (Sequence transformation): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 2)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 2"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Axiom (Sequence transformation): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 3)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 3"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Axiom (Sequence transformation): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 4)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 4"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Axiom (Sequence transformation): 4"]
}, Open  ]],

Cell[TextData[{
  "To prove ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (Goal)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (Goal)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find  ",
  Cell[BoxData[
      \(T\&_\^"*"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["c"\_2, b, a, a, b, a, b, "f"\_1[T\&_\^"*"], \("c"\_1\)\&_] = 
        f["f"\_1[T\&_\^"*"], T\&_\^"*"]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]},
  CellTags->"1"],

Cell["\<\
We will use the following assumptions, referring to them as axioms:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x1\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              StyleBox[\(x1\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{"a", ",", "b", ",", 
                StyleBox[\(x1\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x3\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x3\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x3\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x3",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x4\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x3",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x4\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x3",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x4\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 3"],

Cell["We need the following propositions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", "a", ",", "b", ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Proposition 1"],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "Proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontWeight->"Bold"],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  "We take all variables arbitrary but fixed."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["x"\_1, a, b, \("x"\_2\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f[a, b, "x"\_1, \("x"\_2\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "RL",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["x"\_1, \("x"\_2\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", "b", ",", "a", ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Proposition 2"],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "Proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontWeight->"Bold"],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  "We take all variables arbitrary but fixed."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["x"\_1, b, a, \("x"\_2\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f[b, a, "x"\_1, \("x"\_2\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "RL",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f[a, b, "x"\_1, \("x"\_2\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "RL",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["x"\_1, \("x"\_2\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TextAlignment->Right]
}, Open  ]],

Cell["We choose ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      \(T\&_\^"*"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(Sequence["c"\_2, \("c"\_1\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  "and show that the equality ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " holds ",
  "for this value",
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Theorem )",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Theorem "],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["c"\_2, b, a, a, b, a, b, 
          "f"\_1["c"\_2, \("c"\_1\)\&_], \("c"\_1\)\&_] = 
        f["f"\_1["c"\_2, \("c"\_1\)\&_], "c"\_2, \("c"\_1\)\&_]\)], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Theorem "],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "Proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontWeight->"Bold"],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["c"\_2, b, a, a, b, a, b, 
        "f"\_1["c"\_2, \("c"\_1\)\&_], \("c"\_1\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(f["f"\_1["c"\_2, \("c"\_1\)\&_], "c"\_2, \("c"\_1\)\&_]\)], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["c"\_2, b, a, a, b, a, b, 
        "f"\_1["c"\_2, \("c"\_1\)\&_], \("c"\_1\)\&_]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(f["c"\_2, "f"\_1["c"\_2, \("c"\_1\)\&_], \("c"\_1\)\&_]\)], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  ",  ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["c"\_2, "f"\_1["c"\_2, \("c"\_1\)\&_], \("c"\_1\)\&_]\)], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(f["c"\_2, "f"\_1["c"\_2, \("c"\_1\)\&_], \("c"\_1\)\&_]\)], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "which, by reflexivity of equality, concludes the proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TextAlignment->Right]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<Goal\>"]\), ",", 
          RowBox[{"using", "\[Rule]", " ", 
            RowBox[{
              StyleBox["Axiom",
                FontWeight->"Bold"], "[", "\"\<Sequence transformation\>\"", 
              "]"}]}]}], "]"}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2004/07/31"
}], "Text"],

Cell[TextData[{
  StyleBox["algutil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["enullspace`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["fastZeil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["linsolve`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ExternalSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/08/14 19:07:50 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`OrientedRewriting`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/01/21 09:47:43 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/11 15:53:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.56 ",
  ", ",
  "Date: 2003/03/04 08:52:19 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`NormalForms`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2003/03/13 15:37:26 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2003/03/04 08:50:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2002/07/24 09:43:06 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/06/18 13:01:15 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`ACCandidates`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/03/07 09:13:04 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`Cascade`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/08/30 11:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`ConjectureGenerator`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/03/07 09:13:04 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/03/20 13:36:48 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2003/06/18 15:37:29 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2003/06/18 15:35:43 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2003/06/18 15:30:14 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2003/02/06 15:00:03 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2003/03/13 15:39:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:15:12 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:21:54 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:23:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:24 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:24:55 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:36 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:06 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:40 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:32 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:08:27 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:43 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:05 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2002/02/04 19:27:41 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:10 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:28:16 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:18 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:47 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:22 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:09 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:25 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:31 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`GBProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/08/17 17:04:33 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2001/03/04 23:48:01 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PauleSchorn`Simplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/08/30 08:45:26 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2002/06/03 18:29:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:08:38 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2001/11/19 12:11:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`EquationalProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/06/25 07:40:59 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`External`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2002/02/12 12:15:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`GroebnerBasesProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/12/14 17:19:00 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Induction`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/12/14 17:23:01 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/12/14 17:39:30 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PredicateProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/12/14 17:43:32 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PropositionalProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:03:41 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/12/14 18:07:50 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["zeilutil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f[x20, b, a, a, b, a, b, z2[T\&_\^"*"], S3\&_] = 
        f[z2[T\&_\^"*"], T\&_\^"*"]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["c"\_2, b, a, a, b, a, b, "f"\_1[T\&_\^"*"], \("c"\_1\)\&_] = 
        f["f"\_1[T\&_\^"*"], T\&_\^"*"]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x1\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              StyleBox[\(x1\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{"a", ",", "b", ",", 
                StyleBox[\(x1\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x3\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x3\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x3\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x3",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x4\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x3",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x4\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x3",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x4\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 1)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 1"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"f", "[", 
          RowBox[{"a", ",", "b", ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "=", 
        RowBox[{"f", "[", 
          StyleBox[\(S\&_\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 1)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 1"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{"a", ",", "b", ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              StyleBox[\(S\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 2)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 2"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"f", "[", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "=", 
        RowBox[{"f", "[", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 2)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 2"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 3)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 3"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"f", "[", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "=", 
        RowBox[{"f", "[", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 3)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 3"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 4)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 4"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"f", "[", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "=", 
        RowBox[{"f", "[", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom (Sequence transformation): 4)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Axiom (Sequence transformation): 4"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(S\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom (Sequence transformation): 4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", "a", ",", "b", ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x2\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", "b", ",", "a", ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "=", 
            RowBox[{"f", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(x2\&_\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition (Goal))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition (Goal)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(S\&_\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox[\(T\&_\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"f", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", "b", ",", "a", ",", "a", ",", 
                    "b", ",", "a", ",", "b", ",", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(S\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}], "=", 
                RowBox[{"f", "[", 
                  RowBox[{
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(T\&_\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (Goal)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Theorem )",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Theorem "],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(f["c"\_2, b, a, a, b, a, b, 
          "f"\_1["c"\_2, \("c"\_1\)\&_], \("c"\_1\)\&_] = 
        f["f"\_1["c"\_2, \("c"\_1\)\&_], "c"\_2, \("c"\_1\)\&_]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem "]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (Goal)"->{
    Cell[1823, 55, 2447, 66, 55, "Conclusion",
      CellTags->"Proposition (Goal)"],
    Cell[90917, 3343, 2499, 67, 70, "Text",
      CellTags->"Proposition (Goal)"]},
  "Axiom (Sequence transformation): 1"->{
    Cell[4407, 128, 1252, 35, 53, "Assumption",
      CellTags->"Axiom (Sequence transformation): 1"],
    Cell[72470, 2797, 1016, 29, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 1"],
    Cell[73489, 2828, 1309, 37, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 1"]},
  "Axiom (Sequence transformation): 2"->{
    Cell[5662, 165, 2571, 72, 55, "Assumption",
      CellTags->"Axiom (Sequence transformation): 2"],
    Cell[74801, 2867, 1835, 54, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 2"],
    Cell[76639, 2923, 2628, 74, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 2"]},
  "Axiom (Sequence transformation): 3"->{
    Cell[8236, 239, 2571, 72, 55, "Assumption",
      CellTags->"Axiom (Sequence transformation): 3"],
    Cell[79270, 2999, 1835, 54, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 3"],
    Cell[81108, 3055, 2628, 74, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 3"]},
  "Axiom (Sequence transformation): 4"->{
    Cell[10810, 313, 2134, 60, 55, "Assumption",
      CellTags->"Axiom (Sequence transformation): 4"],
    Cell[83739, 3131, 1565, 46, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 4"],
    Cell[85307, 3179, 2191, 62, 70, "Text",
      CellTags->"Axiom (Sequence transformation): 4"]},
  "1"->{
    Cell[13512, 394, 558, 15, 45, "Conclusion",
      CellTags->"1"],
    Cell[65343, 2586, 610, 17, 70, "Text",
      CellTags->"1"],
    Cell[65956, 2605, 629, 17, 70, "Text",
      CellTags->"1"]},
  "Axiom 1"->{
    Cell[14245, 416, 1176, 33, 53, "Assumption",
      CellTags->"Axiom 1"],
    Cell[66588, 2624, 1219, 35, 70, "Text",
      CellTags->"Axiom 1"]},
  "Axiom 2"->{
    Cell[15424, 451, 2064, 58, 55, "Assumption",
      CellTags->"Axiom 2"],
    Cell[67810, 2661, 2107, 60, 70, "Text",
      CellTags->"Axiom 2"]},
  "Axiom 3"->{
    Cell[17491, 511, 2504, 70, 55, "Assumption",
      CellTags->"Axiom 3"],
    Cell[69920, 2723, 2547, 72, 70, "Text",
      CellTags->"Axiom 3"]},
  "Proposition 1"->{
    Cell[20152, 588, 1662, 46, 55, "Conclusion",
      CellTags->"Proposition 1"],
    Cell[87501, 3243, 1705, 48, 70, "Text",
      CellTags->"Proposition 1"]},
  "Proposition 2"->{
    Cell[23943, 716, 1662, 46, 55, "Conclusion",
      CellTags->"Proposition 2"],
    Cell[89209, 3293, 1705, 48, 70, "Text",
      CellTags->"Proposition 2"]},
  "Theorem "->{
    Cell[29268, 898, 659, 17, 45, "Conclusion",
      CellTags->"Theorem "],
    Cell[93419, 3412, 697, 18, 70, "Text",
      CellTags->"Theorem "]},
  "AdditionalInfo"->{
    Cell[34145, 1064, 88, 1, 72, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (Goal)", 94882, 3454},
  {"Axiom (Sequence transformation): 1", 95094, 3459},
  {"Axiom (Sequence transformation): 2", 95438, 3466},
  {"Axiom (Sequence transformation): 3", 95782, 3473},
  {"Axiom (Sequence transformation): 4", 96126, 3480},
  {"1", 96438, 3487},
  {"Axiom 1", 96654, 3494},
  {"Axiom 2", 96819, 3499},
  {"Axiom 3", 96984, 3504},
  {"Proposition 1", 97155, 3509},
  {"Proposition 2", 97338, 3514},
  {"Theorem ", 97516, 3519},
  {"AdditionalInfo", 97688, 3524}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 45, "ProofText"],
Cell[1823, 55, 2447, 66, 55, "Conclusion",
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{
Cell[4295, 125, 109, 1, 45, "ProofText"],
Cell[4407, 128, 1252, 35, 53, "Assumption",
  CellTags->"Axiom (Sequence transformation): 1"],
Cell[5662, 165, 2571, 72, 55, "Assumption",
  CellTags->"Axiom (Sequence transformation): 2"],
Cell[8236, 239, 2571, 72, 55, "Assumption",
  CellTags->"Axiom (Sequence transformation): 3"],
Cell[10810, 313, 2134, 60, 55, "Assumption",
  CellTags->"Axiom (Sequence transformation): 4"]
}, Open  ]],
Cell[12959, 376, 550, 16, 45, "ProofText"],
Cell[13512, 394, 558, 15, 45, "Conclusion",
  CellTags->"1"],
Cell[14073, 411, 169, 3, 45, "ProofText"],
Cell[14245, 416, 1176, 33, 53, "Assumption",
  CellTags->"Axiom 1"],
Cell[15424, 451, 2064, 58, 55, "Assumption",
  CellTags->"Axiom 2"],
Cell[17491, 511, 2504, 70, 55, "Assumption",
  CellTags->"Axiom 3"],
Cell[19998, 583, 129, 1, 45, "ProofText"],

Cell[CellGroupData[{
Cell[20152, 588, 1662, 46, 55, "Conclusion",
  CellTags->"Proposition 1"],
Cell[21817, 636, 180, 6, 45, "ProofText"],
Cell[22000, 644, 215, 6, 45, "ProofText"],
Cell[22218, 652, 615, 21, 45, "ProofText"],
Cell[22836, 675, 615, 21, 45, "ProofText"],
Cell[23454, 698, 317, 9, 45, "ProofText"],
Cell[23774, 709, 132, 2, 45, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23943, 716, 1662, 46, 55, "Conclusion",
  CellTags->"Proposition 2"],
Cell[25608, 764, 180, 6, 45, "ProofText"],
Cell[25791, 772, 215, 6, 45, "ProofText"],
Cell[26009, 780, 615, 21, 45, "ProofText"],
Cell[26627, 803, 615, 21, 45, "ProofText"],
Cell[27245, 826, 615, 21, 45, "ProofText"],
Cell[27863, 849, 317, 9, 45, "ProofText"],
Cell[28183, 860, 132, 2, 45, "ProofText"]
}, Open  ]],
Cell[28330, 865, 90, 1, 45, "ProofText"],
Cell[28423, 868, 398, 10, 45, "ProofText"],
Cell[28824, 880, 419, 14, 45, "ProofText"],

Cell[CellGroupData[{
Cell[29268, 898, 659, 17, 45, "Conclusion",
  CellTags->"Theorem "],
Cell[29930, 917, 180, 6, 45, "ProofText"],
Cell[30113, 925, 556, 14, 45, "ProofText"],
Cell[30672, 941, 457, 17, 45, "ProofText"],
Cell[31132, 960, 556, 14, 45, "ProofText"],
Cell[31691, 976, 1338, 50, 45, "ProofText"],
Cell[33032, 1028, 534, 14, 45, "ProofText"],
Cell[33569, 1044, 207, 5, 45, "ProofText"],
Cell[33779, 1051, 132, 2, 45, "ProofText"]
}, Open  ]],
Cell[33926, 1056, 182, 3, 35, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34145, 1064, 88, 1, 72, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[34258, 1069, 36, 0, 70, "Subsection"],
Cell[34297, 1071, 330, 8, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34664, 1084, 34, 0, 70, "Subsection"],
Cell[34701, 1086, 120, 7, 70, "Text"],
Cell[34824, 1095, 98, 4, 70, "Text"],
Cell[34925, 1101, 99, 4, 70, "Text"],
Cell[35027, 1107, 166, 9, 70, "Text"],
Cell[35196, 1118, 169, 9, 70, "Text"],
Cell[35368, 1129, 167, 9, 70, "Text"],
Cell[35538, 1140, 167, 9, 70, "Text"],
Cell[35708, 1151, 195, 9, 70, "Text"],
Cell[35906, 1162, 231, 9, 70, "Text"],
Cell[36140, 1173, 230, 9, 70, "Text"],
Cell[36373, 1184, 227, 9, 70, "Text"],
Cell[36603, 1195, 226, 9, 70, "Text"],
Cell[36832, 1206, 215, 9, 70, "Text"],
Cell[37050, 1217, 216, 9, 70, "Text"],
Cell[37269, 1228, 216, 9, 70, "Text"],
Cell[37488, 1239, 216, 9, 70, "Text"],
Cell[37707, 1250, 228, 9, 70, "Text"],
Cell[37938, 1261, 225, 9, 70, "Text"],
Cell[38166, 1272, 227, 9, 70, "Text"],
Cell[38396, 1283, 227, 9, 70, "Text"],
Cell[38626, 1294, 227, 9, 70, "Text"],
Cell[38856, 1305, 224, 9, 70, "Text"],
Cell[39083, 1316, 226, 9, 70, "Text"],
Cell[39312, 1327, 221, 9, 70, "Text"],
Cell[39536, 1338, 223, 9, 70, "Text"],
Cell[39762, 1349, 228, 9, 70, "Text"],
Cell[39993, 1360, 224, 9, 70, "Text"],
Cell[40220, 1371, 224, 9, 70, "Text"],
Cell[40447, 1382, 217, 9, 70, "Text"],
Cell[40667, 1393, 218, 9, 70, "Text"],
Cell[40888, 1404, 225, 9, 70, "Text"],
Cell[41116, 1415, 222, 9, 70, "Text"],
Cell[41341, 1426, 222, 9, 70, "Text"],
Cell[41566, 1437, 221, 9, 70, "Text"],
Cell[41790, 1448, 221, 9, 70, "Text"],
Cell[42014, 1459, 219, 9, 70, "Text"],
Cell[42236, 1470, 223, 9, 70, "Text"],
Cell[42462, 1481, 218, 9, 70, "Text"],
Cell[42683, 1492, 220, 9, 70, "Text"],
Cell[42906, 1503, 225, 9, 70, "Text"],
Cell[43134, 1514, 224, 9, 70, "Text"],
Cell[43361, 1525, 221, 9, 70, "Text"],
Cell[43585, 1536, 231, 9, 70, "Text"],
Cell[43819, 1547, 226, 9, 70, "Text"],
Cell[44048, 1558, 227, 9, 70, "Text"],
Cell[44278, 1569, 230, 9, 70, "Text"],
Cell[44511, 1580, 228, 9, 70, "Text"],
Cell[44742, 1591, 226, 9, 70, "Text"],
Cell[44971, 1602, 219, 9, 70, "Text"],
Cell[45193, 1613, 222, 9, 70, "Text"],
Cell[45418, 1624, 223, 9, 70, "Text"],
Cell[45644, 1635, 223, 9, 70, "Text"],
Cell[45870, 1646, 234, 9, 70, "Text"],
Cell[46107, 1657, 233, 9, 70, "Text"],
Cell[46343, 1668, 202, 9, 70, "Text"],
Cell[46548, 1679, 236, 9, 70, "Text"],
Cell[46787, 1690, 201, 9, 70, "Text"],
Cell[46991, 1701, 228, 9, 70, "Text"],
Cell[47222, 1712, 223, 9, 70, "Text"],
Cell[47448, 1723, 236, 9, 70, "Text"],
Cell[47687, 1734, 228, 9, 70, "Text"],
Cell[47918, 1745, 230, 9, 70, "Text"],
Cell[48151, 1756, 222, 9, 70, "Text"],
Cell[48376, 1767, 232, 9, 70, "Text"],
Cell[48611, 1778, 224, 9, 70, "Text"],
Cell[48838, 1789, 236, 9, 70, "Text"],
Cell[49077, 1800, 228, 9, 70, "Text"],
Cell[49308, 1811, 222, 9, 70, "Text"],
Cell[49533, 1822, 233, 9, 70, "Text"],
Cell[49769, 1833, 225, 9, 70, "Text"],
Cell[49997, 1844, 234, 9, 70, "Text"],
Cell[50234, 1855, 226, 9, 70, "Text"],
Cell[50463, 1866, 234, 9, 70, "Text"],
Cell[50700, 1877, 226, 9, 70, "Text"],
Cell[50929, 1888, 235, 9, 70, "Text"],
Cell[51167, 1899, 227, 9, 70, "Text"],
Cell[51397, 1910, 234, 9, 70, "Text"],
Cell[51634, 1921, 226, 9, 70, "Text"],
Cell[51863, 1932, 236, 9, 70, "Text"],
Cell[52102, 1943, 228, 9, 70, "Text"],
Cell[52333, 1954, 240, 9, 70, "Text"],
Cell[52576, 1965, 232, 9, 70, "Text"],
Cell[52811, 1976, 222, 9, 70, "Text"],
Cell[53036, 1987, 229, 9, 70, "Text"],
Cell[53268, 1998, 221, 9, 70, "Text"],
Cell[53492, 2009, 230, 9, 70, "Text"],
Cell[53725, 2020, 218, 9, 70, "Text"],
Cell[53946, 2031, 220, 9, 70, "Text"],
Cell[54169, 2042, 227, 9, 70, "Text"],
Cell[54399, 2053, 216, 9, 70, "Text"],
Cell[54618, 2064, 222, 9, 70, "Text"],
Cell[54843, 2075, 218, 9, 70, "Text"],
Cell[55064, 2086, 221, 9, 70, "Text"],
Cell[55288, 2097, 215, 9, 70, "Text"],
Cell[55506, 2108, 221, 9, 70, "Text"],
Cell[55730, 2119, 225, 9, 70, "Text"],
Cell[55958, 2130, 223, 9, 70, "Text"],
Cell[56184, 2141, 219, 9, 70, "Text"],
Cell[56406, 2152, 231, 9, 70, "Text"],
Cell[56640, 2163, 236, 9, 70, "Text"],
Cell[56879, 2174, 230, 9, 70, "Text"],
Cell[57112, 2185, 226, 9, 70, "Text"],
Cell[57341, 2196, 228, 9, 70, "Text"],
Cell[57572, 2207, 232, 9, 70, "Text"],
Cell[57807, 2218, 226, 9, 70, "Text"],
Cell[58036, 2229, 224, 9, 70, "Text"],
Cell[58263, 2240, 235, 9, 70, "Text"],
Cell[58501, 2251, 230, 9, 70, "Text"],
Cell[58734, 2262, 241, 9, 70, "Text"],
Cell[58978, 2273, 170, 9, 70, "Text"],
Cell[59151, 2284, 227, 9, 70, "Text"],
Cell[59381, 2295, 225, 9, 70, "Text"],
Cell[59609, 2306, 230, 9, 70, "Text"],
Cell[59842, 2317, 224, 9, 70, "Text"],
Cell[60069, 2328, 221, 9, 70, "Text"],
Cell[60293, 2339, 230, 9, 70, "Text"],
Cell[60526, 2350, 235, 9, 70, "Text"],
Cell[60764, 2361, 246, 9, 70, "Text"],
Cell[61013, 2372, 224, 9, 70, "Text"],
Cell[61240, 2383, 228, 9, 70, "Text"],
Cell[61471, 2394, 241, 9, 70, "Text"],
Cell[61715, 2405, 234, 9, 70, "Text"],
Cell[61952, 2416, 229, 9, 70, "Text"],
Cell[62184, 2427, 232, 9, 70, "Text"],
Cell[62419, 2438, 233, 9, 70, "Text"],
Cell[62655, 2449, 225, 9, 70, "Text"],
Cell[62883, 2460, 235, 9, 70, "Text"],
Cell[63121, 2471, 226, 9, 70, "Text"],
Cell[63350, 2482, 220, 9, 70, "Text"],
Cell[63573, 2493, 232, 9, 70, "Text"],
Cell[63808, 2504, 236, 9, 70, "Text"],
Cell[64047, 2515, 231, 9, 70, "Text"],
Cell[64281, 2526, 210, 9, 70, "Text"],
Cell[64494, 2537, 211, 9, 70, "Text"],
Cell[64708, 2548, 184, 9, 70, "Text"],
Cell[64895, 2559, 182, 9, 70, "Text"],
Cell[65080, 2570, 167, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[65284, 2584, 56, 0, 70, "Subsection"],
Cell[65343, 2586, 610, 17, 70, "Text",
  CellTags->"1"],
Cell[65956, 2605, 629, 17, 70, "Text",
  CellTags->"1"],
Cell[66588, 2624, 1219, 35, 70, "Text",
  CellTags->"Axiom 1"],
Cell[67810, 2661, 2107, 60, 70, "Text",
  CellTags->"Axiom 2"],
Cell[69920, 2723, 2547, 72, 70, "Text",
  CellTags->"Axiom 3"],
Cell[72470, 2797, 1016, 29, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 1"],
Cell[73489, 2828, 1309, 37, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 1"],
Cell[74801, 2867, 1835, 54, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 2"],
Cell[76639, 2923, 2628, 74, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 2"],
Cell[79270, 2999, 1835, 54, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 3"],
Cell[81108, 3055, 2628, 74, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 3"],
Cell[83739, 3131, 1565, 46, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 4"],
Cell[85307, 3179, 2191, 62, 70, "Text",
  CellTags->"Axiom (Sequence transformation): 4"],
Cell[87501, 3243, 1705, 48, 70, "Text",
  CellTags->"Proposition 1"],
Cell[89209, 3293, 1705, 48, 70, "Text",
  CellTags->"Proposition 2"],
Cell[90917, 3343, 2499, 67, 70, "Text",
  CellTags->"Proposition (Goal)"],
Cell[93419, 3412, 697, 18, 70, "Text",
  CellTags->"Theorem "]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

