(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     65927,       2119]*)
(*NotebookOutlinePosition[     69008,       2199]*)
(*  CellTagsIndexPosition[     68378,       2182]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{"3", "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "\[NotEqual]", "0"}], 
            "\[Or]", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "+", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[NotEqual]", "0"}], "\[Or]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        RowBox[{
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{"3", "*", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], "=", "0"}], ")"}], "\[Or]",
                   
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        RowBox[{\((\(-2\))\), "*", 
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}], "+", 
                        RowBox[{\((\(-7\))\), "*", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "3"], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{\((\(-2\))\), "*", 
                          SuperscriptBox[
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}], "+", 
                        RowBox[{\((\(-2\))\), "*", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          SuperscriptBox[
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}], "+", 
                        RowBox[{"2", "*", 
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], "*", 
                          SuperscriptBox[
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}]}], "=", "0"}], 
                    ")"}]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "+", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{"-", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}], "*", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "+", 
                    RowBox[{
                      SuperscriptBox[
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], "*", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "+", 
                    RowBox[{\((\(-2\))\), "*", 
                      SuperscriptBox[
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}], "+", 
                    RowBox[{\((\(-2\))\), "*", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      SuperscriptBox[
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], "=", "0"}], ")"}]}]}], 
          ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Formula (Test): B1"],

Cell["with no assumptions.", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[CellGroupData[{

Cell["Proved.", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\<\
The Theorem is proved by the Groebner Bases method.      

      The formula in the scope of the universal quantifier is transformed \
into an equivalent formula that is a conjunction of disjunctions of \
equalities and negated equalities. The universal quantifier can then be \
distributed over the individual parts of the conjunction. By this, we obtain:\
\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Independent proof problems:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[ForAll] \+\(x, y\)\), 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SuperscriptBox[
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "+", 
                  RowBox[{"(", 
                    RowBox[{"-", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "*", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}], "+", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{\((\(-2\))\), "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{\((\(-2\))\), "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], "=", "0"}], ")"}], 
            "\[Or]", 
            RowBox[{
              RowBox[{
                RowBox[{\((\(-3\))\), "*", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "+", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "*", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "\[NotEqual]", "0"}], "\[Or]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "\[NotEqual]", "0"}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[ForAll] \+\(x, y\)\), 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"3", "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "=", "0"}], ")"}], "\[Or]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{\((\(-2\))\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{\((\(-7\))\), "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{\((\(-2\))\), "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{\((\(-2\))\), "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{"2", "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], "=", "0"}], ")"}], 
            "\[Or]", 
            RowBox[{
              RowBox[{
                RowBox[{\((\(-3\))\), "*", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "+", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"], "*", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "\[NotEqual]", "0"}], "\[Or]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "\[NotEqual]", "0"}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["We now prove the above individual problems separately:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["This proof problem has the following structure:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.1.structure)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[ForAll] \+\(x, y\)\((Poly[1] \[NotEqual] 0 \[Or] 
            Poly[2] \[NotEqual] 0 \[Or] \((Poly[3] = 0)\))\)\)], "Conclusion",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.1.structure"],

Cell["where", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[GridBox[{
        {\(\(Poly[1]\)\(\ \)\(=\)\), 
          RowBox[{
            RowBox[{\((\(-3\))\), "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]},
        {\(\(Poly[2]\)\(\ \)\(=\)\), 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]},
        {\(\(Poly[3]\)\(\ \)\(=\)\), 
          RowBox[{
            SuperscriptBox[
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], "+", 
            RowBox[{"(", 
              RowBox[{"-", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{\((\(-2\))\), "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "+", 
            RowBox[{\((\(-2\))\), "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}]}
        },
      ColumnAlignments->{Left}]]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.1.structure",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.1.structure"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is equivalent to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.1.implication)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[ForAll] \+\(x, y\)\((\((Poly[1] = 0)\) \[And] \((Poly[2] = 
                  0)\) \[Implies] \((Poly[3] = 0)\))\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.1.implication"],

Cell[TextData[{
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.1.implication",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.1.implication"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is equivalent to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.1.not-exists)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[NotExists] \+\(x, y\)\((\((\((Poly[1] = 0)\) \[And] \((Poly[2] = 
                    0)\))\) \[And] Poly[3] \[NotEqual] 0)\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.1.not-exists"],

Cell["By introducing the slack variable(s)", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["{\[Xi]}", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.1.not-exists",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.1.not-exists"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is transformed into the equivalent formula"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.1.not-exists-slack)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[NotExists] \+\(x, y, \[Xi]\)\((\((\((Poly[1] = 
                    0)\) \[And] \((Poly[2] = 
                    0)\))\) \[And] \((\((\(-1\))\) + \[Xi]\ Poly[3] = 
                0)\))\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.1.not-exists-slack"],

Cell["\<\
Hence, we see that the proof problem is transformed into the question on \
whether or not a system of polynomial equations has a solution or not. This \
question can be answered by checking whether or not the (reduced) Groebner \
basis of\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[
    \({Poly[1], Poly[2], \((\(-1\))\) + \[Xi]\ Poly[3]}\)]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\<\
is exactly {1}.                  

Hence, we compute the Groebner basis for the following polynomial list:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[
    \({\((\(-1\))\) + x\^2\ \[Xi] + \(-x\)\ y\ \[Xi] + 
        x\^2\ y\ \[Xi] + \(-2\)\ y\^2\ \[Xi] + \(-2\)\ x\ y\^2\ \[Xi], \(-3\)\
\ x + x\^2\ y, x + y + x\ y}\)]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["The Groebner basis:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[
    \({1}\)]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Hence, ",
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is ",
  "proved."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["This proof problem has the following structure:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.2.structure)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[ForAll] \+\(x, y\)\((Poly[1] \[NotEqual] 0 \[Or] 
            Poly[2] \[NotEqual] 
              0 \[Or] \((Poly[3] = 0)\) \[Or] \((Poly[4] = 0)\))\)\)], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.2.structure"],

Cell["where", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[GridBox[{
        {\(\(Poly[1]\)\(\ \)\(=\)\), 
          RowBox[{
            RowBox[{\((\(-3\))\), "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]},
        {\(\(Poly[2]\)\(\ \)\(=\)\), 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]},
        {\(\(Poly[3]\)\(\ \)\(=\)\), 
          RowBox[{
            RowBox[{"3", "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]},
        {\(\(Poly[4]\)\(\ \)\(=\)\), 
          RowBox[{
            RowBox[{\((\(-2\))\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "+", 
            RowBox[{\((\(-7\))\), "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{\((\(-2\))\), "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "+", 
            RowBox[{\((\(-2\))\), "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "+", 
            RowBox[{"2", "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}]}
        },
      ColumnAlignments->{Left}]]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.2.structure",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.2.structure"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is equivalent to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.2.implication)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[ForAll] \+\(x, y\)\((\((Poly[1] = 0)\) \[And] \((Poly[2] = 
                  0)\) \[Implies] \((Poly[3] = 0)\) \[Or] \((Poly[4] = 
                  0)\))\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.2.implication"],

Cell[TextData[{
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.2.implication",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.2.implication"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is equivalent to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.2.not-exists)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[NotExists] \+\(x, y\)\((\((\((Poly[1] = 0)\) \[And] \((Poly[2] = 
                    0)\))\) \[And] \((Poly[3] \[NotEqual] 0 \[And] 
                Poly[4] \[NotEqual] 0)\))\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.2.not-exists"],

Cell["By introducing the slack variable(s)", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["{\[Xi]1, \[Xi]2}", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.2.not-exists",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.2.not-exists"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is transformed into the equivalent formula"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1.2.not-exists-slack)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[NotExists] \+\(x, y, \[Xi]1, \[Xi]2\)\((\((\((Poly[1] = 
                    0)\) \[And] \((Poly[2] = 
                    0)\))\) \[And] {\((\(-1\))\) + \[Xi]1\ Poly[3] = 
                0, \((\(-1\))\) + \[Xi]2\ Poly[4] = 0})\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Formula (Test): B1.2.not-exists-slack"],

Cell["\<\
Hence, we see that the proof problem is transformed into the question on \
whether or not a system of polynomial equations has a solution or not. This \
question can be answered by checking whether or not the (reduced) Groebner \
basis of\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[
    \({Poly[1], 
      Poly[2], \((\(-1\))\) + \[Xi]1\ Poly[3], \((\(-1\))\) + \[Xi]2\ Poly[
            4]}\)]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\<\
is exactly {1}.                  

Hence, we compute the Groebner basis for the following polynomial list:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[
    \({\((\(-1\))\) + 3\ x\ \[Xi]1 + 
        x\^2\ y\ \[Xi]1, \((\(-1\))\) + \(-2\)\ x\^2\ \[Xi]2 + \(-7\)\ x\ y\ \
\[Xi]2 + x\^2\ y\ \[Xi]2 + 
        x\^3\ y\ \[Xi]2 + \(-2\)\ y\^2\ \[Xi]2 + \(-2\)\ x\ y\^2\ \[Xi]2 + 
        2\ x\^2\ y\^2\ \[Xi]2, \(-3\)\ x + x\^2\ y, 
      x + y + x\ y}\)]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["The Groebner basis:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[BoxData[
    \({1}\)]]], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Hence, ",
  StyleBox["(", "Label"],
  ButtonBox["Formula (Test): B1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Formula (Test): B1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is ",
  "proved."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell["\<\
Since all of the individual subtheorems are proved, the original formula is \
proved.\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Formula["\<Test\>"], using \[Rule] {}, 
      by \[Rule] GroebnerBasesProver]; \)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2002/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/10/11 16:26:15 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 2001/10/25 17:30:54 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.54 ",
  ", ",
  "Date: 2001/12/05 10:16:33 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`NormalForms`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/04 16:09:42 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.64 ",
  ", ",
  "Date: 2001/11/20 21:43:03 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/11/05 16:24:59 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.62 ",
  ", ",
  "Date: 2001/11/28 15:39:25 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2001/10/08 08:48:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/11/20 21:56:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/11/20 21:50:54 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.41 ",
  ", ",
  "Date: 2001/10/23 10:58:04 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2000/12/13 20:09:49 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.50 ",
  ", ",
  "Date: 2001/12/14 17:02:24 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`GBProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/08/17 17:04:33 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2001/03/04 23:48:01 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.41 ",
  ", ",
  "Date: 2000/12/12 13:19:19 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:07:29 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/07/05 10:08:23 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/01/25 15:54:05 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`GroebnerBasesProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/12/14 17:19:00 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/12/14 18:07:50 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Formula (Test): B1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{"3", "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "\[NotEqual]", "0"}], 
            "\[Or]", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "+", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[NotEqual]", "0"}], "\[Or]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        RowBox[{
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{"3", "*", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], "=", "0"}], ")"}], "\[Or]",
                   
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        RowBox[{\((\(-2\))\), "*", 
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}], "+", 
                        RowBox[{\((\(-7\))\), "*", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "3"], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{\((\(-2\))\), "*", 
                          SuperscriptBox[
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}], "+", 
                        RowBox[{\((\(-2\))\), "*", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          SuperscriptBox[
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}], "+", 
                        RowBox[{"2", "*", 
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], "*", 
                          SuperscriptBox[
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"]}]}], "=", "0"}], 
                    ")"}]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "+", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{"-", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}], "*", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "+", 
                    RowBox[{
                      SuperscriptBox[
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"], "*", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "+", 
                    RowBox[{\((\(-2\))\), "*", 
                      SuperscriptBox[
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}], "+", 
                    RowBox[{\((\(-2\))\), "*", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      SuperscriptBox[
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], "=", "0"}], ")"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Formula (Test): B1"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Formula (Test): B1"->{
    Cell[1823, 55, 8274, 195, 176, "Conclusion",
      CellTags->"Formula (Test): B1"],
    Cell[57568, 1918, 8331, 197, 46, "Text",
      CellTags->"Formula (Test): B1"]},
  "Formula (Test): B1.1"->{
    Cell[10945, 276, 3772, 96, 84, "Conclusion",
      CellTags->"Formula (Test): B1.1"]},
  "Formula (Test): B1.2"->{
    Cell[14720, 374, 5342, 134, 130, "Conclusion",
      CellTags->"Formula (Test): B1.2"]},
  "Formula (Test): B1.1.structure"->{
    Cell[20825, 535, 541, 13, 80, "Conclusion",
      CellTags->"Formula (Test): B1.1.structure"]},
  "Formula (Test): B1.1.implication"->{
    Cell[24890, 651, 544, 12, 80, "Conclusion",
      CellTags->"Formula (Test): B1.1.implication"]},
  "Formula (Test): B1.1.not-exists"->{
    Cell[25871, 678, 553, 12, 84, "Conclusion",
      CellTags->"Formula (Test): B1.1.not-exists"]},
  "Formula (Test): B1.1.not-exists-slack"->{
    Cell[27122, 711, 628, 14, 84, "Conclusion",
      CellTags->"Formula (Test): B1.1.not-exists-slack"]},
  "Formula (Test): B1.2.structure"->{
    Cell[30029, 794, 580, 14, 80, "Conclusion",
      CellTags->"Formula (Test): B1.2.structure"]},
  "Formula (Test): B1.2.implication"->{
    Cell[35448, 948, 587, 13, 80, "Conclusion",
      CellTags->"Formula (Test): B1.2.implication"]},
  "Formula (Test): B1.2.not-exists"->{
    Cell[36472, 976, 605, 13, 84, "Conclusion",
      CellTags->"Formula (Test): B1.2.not-exists"]},
  "Formula (Test): B1.2.not-exists-slack"->{
    Cell[37784, 1010, 670, 14, 130, "Conclusion",
      CellTags->"Formula (Test): B1.2.not-exists-slack"]},
  "AdditionalInfo"->{
    Cell[40774, 1095, 88, 1, 46, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Formula (Test): B1", 66692, 2140},
  {"Formula (Test): B1.1", 66893, 2145},
  {"Formula (Test): B1.2", 67012, 2148},
  {"Formula (Test): B1.1.structure", 67143, 2151},
  {"Formula (Test): B1.1.implication", 67283, 2154},
  {"Formula (Test): B1.1.not-exists", 67424, 2157},
  {"Formula (Test): B1.1.not-exists-slack", 67570, 2160},
  {"Formula (Test): B1.2.structure", 67715, 2163},
  {"Formula (Test): B1.2.implication", 67855, 2166},
  {"Formula (Test): B1.2.not-exists", 67996, 2169},
  {"Formula (Test): B1.2.not-exists-slack", 68142, 2172},
  {"AdditionalInfo", 68273, 2175}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 45, "ProofText"],
Cell[1823, 55, 8274, 195, 176, "Conclusion",
  CellTags->"Formula (Test): B1"],
Cell[10100, 252, 107, 1, 45, "ProofText"],

Cell[CellGroupData[{
Cell[10232, 257, 101, 1, 45, "ProofText"],
Cell[10336, 260, 460, 9, 120, "ProofText"],

Cell[CellGroupData[{
Cell[10821, 273, 121, 1, 45, "ProofText"],
Cell[10945, 276, 3772, 96, 84, "Conclusion",
  CellTags->"Formula (Test): B1.1"],
Cell[14720, 374, 5342, 134, 130, "Conclusion",
  CellTags->"Formula (Test): B1.2"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20099, 513, 148, 1, 43, "ProofText"],

Cell[CellGroupData[{
Cell[20272, 518, 406, 12, 43, "ProofText"],
Cell[20681, 532, 141, 1, 43, "ProofText"],
Cell[20825, 535, 541, 13, 80, "Conclusion",
  CellTags->"Formula (Test): B1.1.structure"],
Cell[21369, 550, 99, 1, 43, "ProofText"],
Cell[21471, 553, 2986, 83, 82, "ProofText"],
Cell[24460, 638, 427, 11, 43, "ProofText"],
Cell[24890, 651, 544, 12, 80, "Conclusion",
  CellTags->"Formula (Test): B1.1.implication"],
Cell[25437, 665, 431, 11, 43, "ProofText"],
Cell[25871, 678, 553, 12, 84, "Conclusion",
  CellTags->"Formula (Test): B1.1.not-exists"],
Cell[26427, 692, 130, 1, 43, "ProofText"],
Cell[26560, 695, 101, 1, 43, "ProofText"],
Cell[26664, 698, 455, 11, 43, "ProofText"],
Cell[27122, 711, 628, 14, 84, "Conclusion",
  CellTags->"Formula (Test): B1.1.not-exists-slack"],
Cell[27753, 727, 340, 6, 90, "ProofText"],
Cell[28096, 735, 175, 2, 38, "ProofText"],
Cell[28274, 739, 208, 5, 90, "ProofText"],
Cell[28485, 746, 283, 4, 38, "ProofText"],
Cell[28771, 752, 113, 1, 43, "ProofText"],
Cell[28887, 755, 129, 2, 38, "ProofText"],
Cell[29019, 759, 420, 13, 43, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29476, 777, 406, 12, 43, "ProofText"],
Cell[29885, 791, 141, 1, 43, "ProofText"],
Cell[30029, 794, 580, 14, 80, "Conclusion",
  CellTags->"Formula (Test): B1.2.structure"],
Cell[30612, 810, 99, 1, 43, "ProofText"],
Cell[30714, 813, 4301, 120, 106, "ProofText"],
Cell[35018, 935, 427, 11, 43, "ProofText"],
Cell[35448, 948, 587, 13, 80, "Conclusion",
  CellTags->"Formula (Test): B1.2.implication"],
Cell[36038, 963, 431, 11, 43, "ProofText"],
Cell[36472, 976, 605, 13, 84, "Conclusion",
  CellTags->"Formula (Test): B1.2.not-exists"],
Cell[37080, 991, 130, 1, 43, "ProofText"],
Cell[37213, 994, 110, 1, 43, "ProofText"],
Cell[37326, 997, 455, 11, 43, "ProofText"],
Cell[37784, 1010, 670, 14, 130, "Conclusion",
  CellTags->"Formula (Test): B1.2.not-exists-slack"],
Cell[38457, 1026, 340, 6, 90, "ProofText"],
Cell[38800, 1034, 228, 4, 38, "ProofText"],
Cell[39031, 1040, 208, 5, 90, "ProofText"],
Cell[39242, 1047, 413, 7, 60, "ProofText"],
Cell[39658, 1056, 113, 1, 43, "ProofText"],
Cell[39774, 1059, 129, 2, 38, "ProofText"],
Cell[39906, 1063, 420, 13, 43, "ProofText"]
}, Open  ]]
}, Open  ]],
Cell[40353, 1080, 187, 4, 43, "ProofText"]
}, Open  ]],
Cell[40555, 1087, 182, 3, 33, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40774, 1095, 88, 1, 46, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[40887, 1100, 36, 0, 46, "Subsection"],
Cell[40926, 1102, 118, 2, 46, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41081, 1109, 34, 0, 46, "Subsection"],
Cell[41118, 1111, 120, 7, 46, "Text"],
Cell[41241, 1120, 98, 4, 46, "Text"],
Cell[41342, 1126, 99, 4, 46, "Text"],
Cell[41444, 1132, 195, 9, 46, "Text"],
Cell[41642, 1143, 231, 9, 46, "Text"],
Cell[41876, 1154, 230, 9, 46, "Text"],
Cell[42109, 1165, 216, 9, 46, "Text"],
Cell[42328, 1176, 216, 9, 46, "Text"],
Cell[42547, 1187, 216, 9, 46, "Text"],
Cell[42766, 1198, 228, 9, 46, "Text"],
Cell[42997, 1209, 225, 9, 46, "Text"],
Cell[43225, 1220, 227, 9, 46, "Text"],
Cell[43455, 1231, 226, 9, 46, "Text"],
Cell[43684, 1242, 227, 9, 46, "Text"],
Cell[43914, 1253, 221, 9, 46, "Text"],
Cell[44138, 1264, 228, 9, 46, "Text"],
Cell[44369, 1275, 224, 9, 46, "Text"],
Cell[44596, 1286, 224, 9, 46, "Text"],
Cell[44823, 1297, 217, 9, 46, "Text"],
Cell[45043, 1308, 220, 9, 46, "Text"],
Cell[45266, 1319, 225, 9, 46, "Text"],
Cell[45494, 1330, 222, 9, 46, "Text"],
Cell[45719, 1341, 222, 9, 46, "Text"],
Cell[45944, 1352, 221, 9, 46, "Text"],
Cell[46168, 1363, 223, 9, 46, "Text"],
Cell[46394, 1374, 219, 9, 46, "Text"],
Cell[46616, 1385, 225, 9, 46, "Text"],
Cell[46844, 1396, 218, 9, 46, "Text"],
Cell[47065, 1407, 220, 9, 46, "Text"],
Cell[47288, 1418, 227, 9, 46, "Text"],
Cell[47518, 1429, 229, 9, 46, "Text"],
Cell[47750, 1440, 230, 9, 46, "Text"],
Cell[47983, 1451, 228, 9, 46, "Text"],
Cell[48214, 1462, 226, 9, 46, "Text"],
Cell[48443, 1473, 219, 9, 46, "Text"],
Cell[48665, 1484, 224, 9, 46, "Text"],
Cell[48892, 1495, 223, 9, 46, "Text"],
Cell[49118, 1506, 234, 9, 46, "Text"],
Cell[49355, 1517, 233, 9, 46, "Text"],
Cell[49591, 1528, 222, 9, 46, "Text"],
Cell[49816, 1539, 229, 9, 46, "Text"],
Cell[50048, 1550, 222, 9, 46, "Text"],
Cell[50273, 1561, 218, 9, 46, "Text"],
Cell[50494, 1572, 221, 9, 46, "Text"],
Cell[50718, 1583, 221, 9, 46, "Text"],
Cell[50942, 1594, 225, 9, 46, "Text"],
Cell[51170, 1605, 223, 9, 46, "Text"],
Cell[51396, 1616, 219, 9, 46, "Text"],
Cell[51618, 1627, 231, 9, 46, "Text"],
Cell[51852, 1638, 236, 9, 46, "Text"],
Cell[52091, 1649, 230, 9, 46, "Text"],
Cell[52324, 1660, 228, 9, 46, "Text"],
Cell[52555, 1671, 227, 9, 46, "Text"],
Cell[52785, 1682, 232, 9, 46, "Text"],
Cell[53020, 1693, 226, 9, 46, "Text"],
Cell[53249, 1704, 224, 9, 46, "Text"],
Cell[53476, 1715, 235, 9, 46, "Text"],
Cell[53714, 1726, 230, 9, 46, "Text"],
Cell[53947, 1737, 241, 9, 46, "Text"],
Cell[54191, 1748, 170, 9, 46, "Text"],
Cell[54364, 1759, 227, 9, 46, "Text"],
Cell[54594, 1770, 225, 9, 46, "Text"],
Cell[54822, 1781, 230, 9, 46, "Text"],
Cell[55055, 1792, 224, 9, 46, "Text"],
Cell[55282, 1803, 221, 9, 46, "Text"],
Cell[55506, 1814, 228, 9, 46, "Text"],
Cell[55737, 1825, 229, 9, 46, "Text"],
Cell[55969, 1836, 232, 9, 46, "Text"],
Cell[56204, 1847, 235, 9, 46, "Text"],
Cell[56442, 1858, 231, 9, 46, "Text"],
Cell[56676, 1869, 210, 9, 46, "Text"],
Cell[56889, 1880, 211, 9, 46, "Text"],
Cell[57103, 1891, 184, 9, 46, "Text"],
Cell[57290, 1902, 182, 9, 46, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[57509, 1916, 56, 0, 46, "Subsection"],
Cell[57568, 1918, 8331, 197, 46, "Text",
  CellTags->"Formula (Test): B1"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

